<?php
/* Topbar */
/* Topbar Links */
function cascara_toplinks_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
  ), $atts));

  $result = do_shortcode($content);
  return $result;

}
add_shortcode("cascara_toplinks", "cascara_toplinks_function");

function cascara_toplink_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "toplinks_style" => '',
    "get_icon" => '',
    "get_text" => '',
    "get_link" => '',
  ), $atts));

  if($toplinks_style === 'style-two') {
    $top_style = ' top-style-two';
  } else {
    $top_style = ' style-one';
  }

  $get_icon_actual = $get_icon ? '<i class="'.$get_icon.'" aria-hidden="true"></i>' : '';

  $result = '<li class="'.$top_style.'"><a href="'.$get_link.'">'.$get_icon_actual.' '. $get_text .'</a></li>';
  return $result;

}
add_shortcode("cascara_toplink", "cascara_toplink_function");

/* Copyright Menu */
function cascara_copylinks_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
  ), $atts));

  $result = '<ul>'.do_shortcode($content).'</ul>';
  return $result;

}
add_shortcode("cascara_copylinks", "cascara_copylinks_function");

function cascara_copylink_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "get_icon" => '',
    "get_text" => '',
    "get_link" => '',
  ), $atts));

  $get_icon_actual = $get_icon ? '<i class="'.$get_icon.'" aria-hidden="true"></i>' : '';

  $result = '<li><a href="'.$get_link.'">'.$get_icon_actual.' '. $get_text .'</a></li>';
  return $result;

}
add_shortcode("cascara_copylink", "cascara_copylink_function");

/* Date & Time */
function cascara_date_time_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    "date" => '',
    "time" => '',
  ), $atts));

  $result = do_shortcode($content);
  if($date) {
    $date_actual = '<li class="top-date '.$custom_class.'"><i class="fa fa-calendar-o" aria-hidden="true"></i>'.date(get_option('date_format')).'</li>';
  } else {
    $date_actual = '';
  }
  $recently_updated_posts = new WP_Query( array(
    'post_type'      => 'post',
    'posts_per_page' => 1,
    'order'          => 'DESC',
    'orderby'        => 'modified',
    'no_found_rows'  => true, // speed up query when we don't need pagination
  ) );
  if ( $recently_updated_posts->have_posts() ) :
    while( $recently_updated_posts->have_posts() ) : $recently_updated_posts->the_post(); 
      $time_actual = get_the_modified_time();
    endwhile;
    wp_reset_postdata();
    endif;

  if($time) {
    $time_actual = '<li class="top-time '.$custom_class.'"><span class="updated-time">'.esc_html__('Updated ','cascara').$time_actual.'</span></li>';
  } else {
    $time_actual = '';
  }
  $result = $date_actual.$time_actual;
  return $result;

}
add_shortcode("cascara_date_time", "cascara_date_time_function");
/* Edition */
function cascara_editions_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    "get_icon" => '',
    "edition_text" => '',
  ), $atts));

  $edition_text = $edition_text ? $edition_text : esc_html__('Edition : ','cascara');

  $result = '<li class="edition-has-dropdown sub '.$custom_class.'"><a href="#0"><i class="'.$get_icon.'" aria-hidden="true"></i>'.$edition_text.'</a><ul class="edition-dropdown-nav">'.do_shortcode($content).'</ul></li>';
  return $result;

}
add_shortcode("cascara_editions", "cascara_editions_function");

function cascara_edition_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "country_text" => '',
    "country_link" => '',
  ), $atts));

  $country_link = $country_link ? '<a href="'.$country_link.'"><span class=country-txt>'.$country_text.'</span></a>' : $country;
  $country_actual = $country_text ? $country_link : '';

  $result = '<li>'.$country_actual.'</li>';
  return $result;

}
add_shortcode("cascara_edition", "cascara_edition_function");

/* Content Shortcodes */
/* Spacer */
function cascara_spacer_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "height" => '',
  ), $atts));

  $result = do_shortcode('[vc_empty_space height="'. $height .'"]');
  return $result;

}
add_shortcode("cascara_spacer", "cascara_spacer_function");

/* Social Icons */
function cascara_socials_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "social_select" => '',
    "square" => '',
    "custom_class" => '',
    // Colors
    "icon_color" => '',
    "icon_hover_color" => '',
    "bg_color" => '',
    "bg_hover_color" => '',
    "border_color" => '',
    "border_hover_color" => '',
    "icon_size" => '',
  ), $atts));

  // Atts
  if($square) {
    $social_style = ' square ';
  } else {
    $social_style = ' ';
  }
  // Div for topbar social icons
  if ($social_select === 'style-two') {
    $social_tag = 'li';
  } else {
    $social_tag = 'div';
  }

  // Shortcode Style CSS
  $e_uniqid       = uniqid();
  $inline_style   = '';

  // Colors & Size
  if ( $icon_color || $icon_size || $bg_color) {
    $inline_style .= '.cscra-socials-'. $e_uniqid .'.cscra-social a, .cscra-socials-'. $e_uniqid .' li a, .cscra-socials-'. $e_uniqid .'.tm-social-links a i {';
    $inline_style .= ( $icon_color ) ? 'color:'. $icon_color .';' : '';
    $inline_style .= ( $icon_size ) ? 'font-size:'. cascara_core_check_px($icon_size) .';' : '';
    $inline_style .= ( $bg_color ) ? 'background-color:'. $bg_color .' !important;' : '';
    $inline_style .= '}';
  }
  if ( $icon_hover_color ) {
    $inline_style .= '.cscra-socials-'. $e_uniqid .'.cscra-social a:hover, .cscra-socials-'. $e_uniqid .' span a:hover, .cscra-socials-'. $e_uniqid .'.tm-social-links a:hover i {';
    $inline_style .= ( $icon_hover_color ) ? 'color:'. $icon_hover_color .' !important;' : '';
    $inline_style .= '}';
  }
  if ( $bg_color ) {
    $inline_style .= '.cscra-socials-'. $e_uniqid .' span a, .cscra-socials-'. $e_uniqid .'.tm-social-links a {';
    $inline_style .= ( $bg_color ) ? 'background-color:'. $bg_color .';' : '';
    $inline_style .= '}';
  }
  if ( $bg_hover_color ) {
    $inline_style .= '.cscra-socials-'. $e_uniqid .' span a:hover {';
    $inline_style .= ( $bg_hover_color ) ? 'background-color:'. $bg_hover_color .';' : '';
    $inline_style .= '}';
  }
  if ( $border_color ) {
    $inline_style .= '.cscra-socials-'. $e_uniqid .'.cscra-social.square a:hover {';
    $inline_style .= ( $border_color ) ? 'border-color:'. $border_color .' !important;' : '';
    $inline_style .= '}';
  }

  // add inline style
  cascara_add_inline_style( $inline_style );
  $styled_class  = ' cscra-socials-'. $e_uniqid;

  $result = '<'.$social_tag.' class="cscra-social'. $social_style . $custom_class . $styled_class .'">'. do_shortcode($content) .'</'.$social_tag.'>';
  return $result;

}
add_shortcode("cascara_socials", "cascara_socials_function");

/* Social Icon */
function cascara_social_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "social_link" => '',
      "social_icon" => '',
      "target_tab" => ''
   ), $atts));

   $social_link = ( isset( $social_link ) ) ? 'href="'. $social_link . '"' : '';
   $target_tab = ( $target_tab === '1' ) ? ' target="_blank"' : '';

   $result = '<a '. $social_link . $target_tab .' class="'. str_replace('fa fa-', '', $social_icon) .'"><i class="'. $social_icon .'"></i></a>';
   return $result;

}
add_shortcode("cascara_social", "cascara_social_function");

/* Side Menus */
function cascara_sidemenus_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "menu_style" => '',
    "custom_class" => '',
  ), $atts));

  if($menu_style === 'style-two') {
    $style_cls = ' normal-menu';
  } else {
    $style_cls = ' bold-list';
  }

  $result = '<ul class="custom-dropdown-nav '.$custom_class.''.$style_cls.'">'.do_shortcode($content).'</ul>';
  return $result;

}
add_shortcode("cascara_sidemenus", "cascara_sidemenus_function");

function cascara_sidemenu_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "site_credit" => '',
    "get_text" => '',
    "get_text_secondary" => '',
    "get_link" => '',
  ), $atts));

  if($site_credit) {
    $list = $get_link ? '<li class="site-credit-link"><a href="'.$get_link.'" target="_blank"><span class="default-text">'.$get_text.'</span><span class="change-text">'.$get_text_secondary.'</span></a></li>' : '<li class="site-credit-link"><span class="default-text">'.$get_text.'</span><span class="change-text">'.$get_text_secondary.'</span></li>';
    $list_actual = $get_text ? $list : '';
  } else {
    $list = $get_link ? '<li><a href="'.$get_link.'">'.$get_text.'</a></li>' : '<li>'.$get_text.'</li>';
    $list_actual = $get_text ? $list : '';
  }

  $result = $list_actual;
  return $result;

}
add_shortcode("cascara_sidemenu", "cascara_sidemenu_function");

/* Post Images */
function cascara_post_images_function($atts, $content = true) {
   extract(shortcode_atts(array(
      "custom_class" => ''
   ), $atts));

   $result = '<div class="post-images '. $custom_class .'">'. do_shortcode($content) .'</div>';
   return $result;

}
add_shortcode("cascara_post_images", "cascara_post_images_function");

/* Post Image */
function cascara_post_image_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "get_image" => '',
   ), $atts));

   $result = '<img src="'. $get_image .'" alt=""/>';
   return $result;

}
add_shortcode("cascara_post_image", "cascara_post_image_function");

/* Subscribe */
function cascara_subscribe_function($atts, $content = true) {
   extract(shortcode_atts(array(
      "custom_class" => '',
      "get_subscribe_image" => '',
      "title" => '',
      "sub_content" => '',
      "link_text" => '',
      "subscribe_link" => '',
   ), $atts));

   $title_actual = $title ? '<h6>'.$title.'</h6>' : '';
   $content_actual = $sub_content ? '<p>'.$sub_content.'</p>' : '';
   $sub_link = $subscribe_link ? '<span class="subscribe-lttr"><a href="'.$subscribe_link.'">'.$link_text.'</a></span>' : '<span class="subscribe-lttr">'.$link_text.'</span>';
   $sub_link_actual = $link_text ? $sub_link : '';

   $image_actual = '<div class="cscra-image cscra-item"><img src="'.$get_subscribe_image.'" alt="subscribe"/></div>';

   $result = '<div class="side-nav-newsletter">'.$image_actual.''.$title_actual.''.$content_actual.''.$sub_link_actual.'
</div>';

   return $result;

}
add_shortcode("cascara_subscribe", "cascara_subscribe_function");

/* Advertisement Banner */
function cascara_ads_banner_function($atts, $content = true) {
   extract(shortcode_atts(array(
      "custom_class" => '',
      "get_banner_image" => '',
      "ad_link" => '',
      "ad_text" => '',
   ), $atts));

   $text = $ad_text ? '<div class="advertisement-title">'.$ad_text.'</div>' : '';

   $result = '<img src="'.$get_banner_image.'" alt="Advertisement"/>'.$text;

   return $result;

}
add_shortcode("cascara_ads_banner", "cascara_ads_banner_function");

/* Blockquote */
function cascara_blockquote_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "blockquote_style" => '',
    "text_size" => '',
    "custom_class" => '',
    "content_color" => '',
    "left_color" => '',
    "border_color" => '',
    "bg_color" => ''
  ), $atts));

  // Shortcode Style CSS
  $e_uniqid        = uniqid();
  $inline_style  = '';

  // Text Color
  if ( $text_size || $content_color || $border_color || $bg_color ) {
    $inline_style .= '.cscra-blockquote-'. $e_uniqid .' {';
    $inline_style .= ( $text_size ) ? 'font-size:'. $text_size .';' : '';
    $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
    $inline_style .= ( $border_color ) ? 'border-color:'. $border_color .';' : '';
    $inline_style .= ( $bg_color ) ? 'background-color:'. $bg_color .';' : '';
    $inline_style .= '}';
  }
  if ( $left_color ) {
    $inline_style .= '.cscra-blockquote-'. $e_uniqid .':before {';
    $inline_style .= ( $left_color ) ? 'background-color:'. $left_color .';' : '';
    $inline_style .= '}';
  }

  // add inline style
  cascara_add_inline_style( $inline_style );
  $styled_class  = ' cscra-blockquote-'. $e_uniqid;

  // Style
  $blockquote_style = ($blockquote_style === 'style-two') ? 'blockquote-two ' : '';

  $result = '<blockquote class="'. $blockquote_style . $custom_class . $styled_class .'"><p>'. do_shortcode($content) .'</p></blockquote>';
  return $result;

}
add_shortcode("cascara_blockquote", "cascara_blockquote_function");

/* Simple Lists */
function cascara_simple_lists_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    // Colors
    "text_color" => '',
    "title_color" => '',
    // Size
    "text_size" => '',
    "title_size" => '',
  ), $atts));

  // Shortcode Style CSS
  $e_uniqid       = uniqid();
  $inline_style   = '';

  if ( $text_color || $text_size ) {
    $inline_style .= '.cscra-list-'. $e_uniqid .' li {';
    $inline_style .= ( $text_color ) ? 'color:'. $text_color .';' : '';
    $inline_style .= ( $text_size ) ? 'font-size:'. cascara_core_check_px($text_size) .';' : '';
    $inline_style .= '}';
  }
  if ( $title_size || $title_color ) {
    $inline_style .= '.cscra-list-'. $e_uniqid .'.cscra-list-three li strong {';
    $inline_style .= ( $title_color ) ? 'color:'. $title_color .';' : '';
    $inline_style .= ( $title_size ) ? 'font-size:'. cascara_core_check_px($title_size) .';' : '';
    $inline_style .= '}';
  }

  // add inline style
  cascara_add_inline_style( $inline_style );
  $styled_class  = ' cscra-list-'. $e_uniqid;

  // Output
  $output = '';

  $output .= '<ul class="bullet-list '. $custom_class . $styled_class .'">';
  $output .= do_shortcode($content);
  $output .= '</ul>';

  return $output;

}
add_shortcode("cascara_simple_lists", "cascara_simple_lists_function");

/* Simple List */
function cascara_simple_list_function($atts, $content = NULL) {
  extract(shortcode_atts(array(
    "list_title" => '',
    "list_text" => '',
  ), $atts));

  // Atts
  $list_title = $list_title ? '<strong>'. $list_title .' :</strong> ' : '';
  $list_text = $list_text ? $list_text : '';

  $result = '<li>'. $list_title . $list_text .'</li>';
  return $result;

}
add_shortcode("cascara_simple_list", "cascara_simple_list_function");

/* Simple Image */
function cascara_simple_image_function($atts, $content = NULL) {
  extract(shortcode_atts(array(
    "image_style" => '',
    "custom_class" => '',
    "get_image" => '',
    "link" => '',
    "open_tab" => ''
  ), $atts));

  // Atts
  if ($get_image) {
    $my_image = ($get_image) ? '<img src="'. $get_image .'" alt=""/>' : '';
  } else {
    $my_image = '';
  }
  if ($link) {
    $open_tab = $open_tab ? 'target="_blank"' : '';
    $link_o = '<a href="'. $link .'" '. $open_tab .'>';
    $link_c = '</a>';
    $video_pop = '<a href="'. $link .'" class="play-icon cscra-popup-video"></a>';
  } else {
    $link_o = '';
    $link_c = '';
    $video_pop = '';
  }
  if ($image_style === 'style-two') {
    $result = '<div class="video-post-image">'. $my_image . $video_pop .'</div>';
  } else {
    $result = '<div class="cscra-image '.$custom_class.'">'. $link_o . $my_image . $link_c .'</div>';
  }
  return $result;

}
add_shortcode("cascara_simple_image", "cascara_simple_image_function");

/* Simple Textarea */
function cascara_simple_textarea_function($atts, $content = NULL) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    "get_text" => '',
  ), $atts));

  $result = '<p class="'.$custom_class.'">'. $get_text .'</p>';
  return $result;

}
add_shortcode("cascara_simple_textarea", "cascara_simple_textarea_function");

/* Current Year - Shortcode */
if( ! function_exists( 'cascara_current_year' ) ) {
  function cascara_current_year() {
    return date('Y');
  }
  add_shortcode( 'cascara_current_year', 'cascara_current_year' );
}

/* Get Home Page URL - Via Shortcode */
if( ! function_exists( 'cascara_home_url' ) ) {
  function cascara_home_url() {
    return esc_url( home_url( '/' ) );
  }
  add_shortcode( 'cascara_home_url', 'cascara_home_url' );
}
