<?php
/*
 * All Custom Shortcode for cascara theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

if( ! function_exists( 'cascara_theme_shortcodes' ) ) {
  function cascara_theme_shortcodes( $options ) {

    $options       = array();

    /* Topbar Shortcodes */
    $options[]     = array(
      'title'      => __('Topbar Shortcodes', 'cascara'),
      'shortcodes' => array(

        // Topbar Link
        array(
          'name'          => 'cascara_toplinks',
          'title'         => __('Topbar Link (Topbar Only)', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_toplink',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
          'clone_fields'  => array(
            array(
              'id'        => 'toplinks_style',
              'type'      => 'select',
              'options'   => array(
                'style-one' => __('Style One', 'cascara'),
                'style-two' => __('Style Two', 'cascara'),
              ),
              'title'     => __('Toplinks Style', 'cascara'),
            ),
            array(
              'id'        => 'get_icon',
              'type'      => 'icon',
              'title'     => __('Icon', 'cascara')
            ),
            array(
              'id'        => 'get_text',
              'type'      => 'text',
              'title'     => __('Text', 'cascara')
            ),
            array(
              'id'        => 'get_link',
              'type'      => 'text',
              'title'     => __('Link', 'cascara')
            ),
          ),
        ),
        // Topbar Link

        // Date & Time
        array(
          'name'          => 'cascara_date_time',
          'title'         => __('Date & Time (Topbar Only)', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'date',
              'type'      => 'switcher',
              'title'     => __('Include Current Date?', 'cascara'),
              'on_text'     => __('Yes', 'cascara'),
              'off_text'     => __('No', 'cascara'),
            ),
            array(
              'id'        => 'time',
              'type'      => 'switcher',
              'title'     => __('Include Last Update Time?', 'cascara'),
              'on_text'     => __('Yes', 'cascara'),
              'off_text'     => __('No', 'cascara'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
        ),
        // Date & Time

        // Edition
        array(
          'name'          => 'cascara_editions',
          'title'         => __('Edition (Topbar Only)', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_edition',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'get_icon',
              'type'      => 'icon',
              'title'     => __('Icon', 'cascara')
            ),
            array(
              'id'        => 'edition_text',
              'type'      => 'text',
              'title'     => __('Edition Text', 'cascara'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
          'clone_fields'  => array(
            
            array(
              'id'        => 'country_text',
              'type'      => 'text',
              'title'     => __('Country', 'cascara')
            ),
            array(
              'id'        => 'country_link',
              'type'      => 'text',
              'title'     => __('Link', 'cascara')
            ),
          ),
        ),
        // Edition

      ),
    );

    $options[]     = array(
      'title'      => __('Copyright Shortcode', 'cascara'),
      'shortcodes' => array(

        // Copyright Menu
        array(
          'name'          => 'cascara_copylinks',
          'title'         => __('Copyright Menu', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_copylink',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'get_icon',
              'type'      => 'icon',
              'title'     => __('Icon', 'cascara')
            ),
            array(
              'id'        => 'get_text',
              'type'      => 'text',
              'title'     => __('Text', 'cascara')
            ),
            array(
              'id'        => 'get_link',
              'type'      => 'text',
              'title'     => __('Link', 'cascara')
            ),
          ),
        ),
        // Copyright Menu
      ),
    );

    /* Content Shortcodes */
    $options[]     = array(
      'title'      => __('Content Shortcodes', 'cascara'),
      'shortcodes' => array(

        // Spacer
        array(
          'name'          => 'vc_empty_space',
          'title'         => __('Spacer', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'height',
              'type'      => 'text',
              'title'     => __('Height', 'cascara'),
              'attributes' => array(
                'placeholder'     => '20px',
              ),
            ),

          ),
        ),
        // Spacer

        // Social Icons
        array(
          'name'          => 'cascara_socials',
          'title'         => __('Social Icons', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_social',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'social_select',
              'type'      => 'select',
              'options'   => array(
                'style-one' => __('Style One (Normal)', 'cascara'),
                'style-two' => __('Style Two (Topbar)', 'cascara'),
              ),
              'title'     => __('Social Icons Style', 'cascara'),
            ),
            array(
              'id'        => 'square',
              'type'      => 'switcher',
              'title'     => __('Square?', 'cascara'),
              'on_text'     => __('Yes', 'cascara'),
              'off_text'     => __('No', 'cascara'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

            // Colors
            array(
              'type'    => 'notice',
              'class'   => 'info',
              'content' => __('Colors', 'cascara')
            ),
            array(
              'id'        => 'icon_color',
              'type'      => 'color_picker',
              'title'     => __('Icon Color', 'cascara'),
              'wrap_class' => 'column_third',
            ),
            array(
              'id'        => 'icon_hover_color',
              'type'      => 'color_picker',
              'title'     => __('Icon Hover Color', 'cascara'),
              'wrap_class' => 'column_third',
            ),
            array(
              'id'        => 'bg_color',
              'type'      => 'color_picker',
              'title'     => __('Backrgound Color', 'cascara'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-one'),
            ),
            array(
              'id'        => 'bg_hover_color',
              'type'      => 'color_picker',
              'title'     => __('Backrgound Hover Color', 'cascara'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-one'),
            ),
            array(
              'id'        => 'border_color',
              'type'      => 'color_picker',
              'title'     => __('Border Color', 'cascara'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-one'),
            ),
            array(
              'id'        => 'border_hover_color',
              'type'      => 'color_picker',
              'title'     => __('Border Hover Color', 'cascara'),
              'wrap_class' => 'column_third',
              'dependency'  => array('social_select', '==', 'style-one'),
            ),
            // Icon Size
            array(
              'id'        => 'icon_size',
              'type'      => 'text',
              'title'     => __('Icon Size', 'cascara'),
              'wrap_class' => 'column_full',
            ),

          ),
          'clone_fields'  => array(
            
            array(
              'id'        => 'social_link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => __('Link', 'cascara')
            ),
            array(
              'id'        => 'social_icon',
              'type'      => 'icon',
              'title'     => __('Social Icon', 'cascara')
            ),
            array(
              'id'        => 'target_tab',
              'type'      => 'switcher',
              'title'     => __('Open New Tab?', 'cascara'),
              'on_text'     => __('Yes', 'cascara'),
              'off_text'     => __('No', 'cascara'),
            ),

          ),

        ),
        // Social Icons

        // Side Menus
        array(
          'name'          => 'cascara_sidemenus',
          'title'         => __('Side Menus (for sidebar menu only)', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_sidemenu',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'menu_style',
              'type'      => 'select',
              'options'   => array(
                'style-one' => __('Style One (Bold)', 'cascara'),
                'style-two' => __('Style Two (Normal)', 'cascara'),
              ),
              'title'     => __('Menu List Style', 'cascara'),
            ),

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
          'clone_fields'  => array(
            array(
              'id'    => 'site_credit',
              'type'  => 'switcher',
              'std'   => false,
              'title' => __('Include site credit link?', 'cascara'),
            ),
            array(
              'id'        => 'get_text',
              'type'      => 'text',
              'title'     => __('Text', 'cascara')
            ),
            array(
              'id'        => 'get_text_secondary',
              'type'      => 'text',
              'title'     => __('Secondary Text', 'cascara'),
              'dependency'  => array('site_credit', '==', 'true'),
            ),
            array(
              'id'        => 'get_link',
              'type'      => 'text',
              'title'     => __('Link', 'cascara')
            ),
          ),
        ),
        // Side Menus

        // Subscribe
        array(
          'name'          => 'cascara_subscribe',
          'title'         => __('Subscribe', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),
            array(
              'id'        => 'get_subscribe_image',
              'type'      => 'upload',
              'title'     => __('Image', 'cascara')
            ),
            array(
              'id'        => 'title',
              'type'      => 'text',
              'title'     => __('Subscribe Title', 'cascara'),
            ),
            array(
              'id'        => 'sub_content',
              'type'      => 'textarea',
              'title'     => __('Subscribe Content', 'cascara'),
            ),
            array(
              'id'        => 'link_text',
              'type'      => 'text',
              'title'     => __('Subscribe Link Text', 'cascara'),
            ),
            array(
              'id'        => 'subscribe_link',
              'type'      => 'text',
              'title'     => __('Subscribe Link', 'cascara'),
            ),

          ),

        ),
        // Subscribe

        // Post Images
        array(
          'name'          => 'cascara_post_images',
          'title'         => __('Post Images', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_post_image',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'get_image',
              'type'      => 'upload',
              'title'     => __('Image', 'cascara')
            ),

          ),

        ),
        // Post Images

        // Advertisement Banner
        array(
          'name'          => 'cascara_ads_banner',
          'title'         => __('Advertisement Banner', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),
            array(
              'id'        => 'get_banner_image',
              'type'      => 'upload',
              'title'     => __('Image', 'cascara')
            ),
            array(
              'id'        => 'ad_link',
              'type'      => 'text',
              'title'     => __('Advertisement Link', 'cascara'),
            ),
            array(
              'id'        => 'ad_text',
              'type'      => 'text',
              'title'     => __('Advertisement Text', 'cascara'),
            ),

          ),

        ),
        // Advertisement Banner

        // Blockquotes
        array(
          'name'          => 'cascara_blockquote',
          'title'         => __('Blockquote', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => __('Content Size', 'cascara'),
            ),
            array(
              'id'        => 'content_color',
              'type'      => 'color_picker',
              'title'     => __('Content Color', 'cascara'),
            ),
            
            // Content
            array(
              'id'        => 'content',
              'type'      => 'textarea',
              'title'     => __('Content', 'cascara'),
            ),

          ),

        ),
        // Blockquotes

        // Simple Lists
        array(
          'name'          => 'cascara_simple_lists',
          'title'         => __('Simple Lists', 'cascara'),
          'view'          => 'clone',
          'clone_id'      => 'cascara_simple_list',
          'clone_title'   => __('Add New', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),

            array(
              'id'        => 'text_color',
              'type'      => 'color_picker',
              'title'     => __('Text Color', 'cascara'),
              'wrap_class' => 'column_half el-hav-border',
            ),
            array(
              'id'        => 'text_size',
              'type'      => 'text',
              'title'     => __('Text Size', 'cascara'),
              'wrap_class' => 'column_half el-hav-border',
            ),

          ),
          'clone_fields'  => array(

            array(
              'id'        => 'list_text',
              'type'      => 'textarea',
              'title'     => __('List Text', 'cascara')
            ),

          ),

        ),
        // Simple Lists

        // Simple Image
        array(
          'name'          => 'cascara_simple_image',
          'title'         => __('Simple Image', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'image_style',
              'type'      => 'select',
              'options'   => array(
                'style-one' => __('Style One (Normal)', 'cascara'),
                'style-two' => __('Style Two (Video)', 'cascara'),
              ),
              'title'     => __('Image Style', 'cascara'),
            ),
            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),
            array(
              'id'        => 'get_image',
              'type'      => 'upload',
              'title'     => __('Image', 'cascara')
            ),
            array(
              'id'        => 'link',
              'type'      => 'text',
              'attributes' => array(
                'placeholder'     => 'http://',
              ),
              'title'     => __('Link', 'cascara')
            ),
            array(
              'id'    => 'open_tab',
              'type'  => 'switcher',
              'std'   => false,
              'title' => __('Open link to new tab?', 'cascara'),
              'dependency'  => array('image_style', '==', 'style-one'),
            ),

          ),

        ),
        // Simple Image

        // Simple Textarea
        array(
          'name'          => 'cascara_simple_textarea',
          'title'         => __('Simple Textarea', 'cascara'),
          'fields'        => array(

            array(
              'id'        => 'custom_class',
              'type'      => 'text',
              'title'     => __('Custom Class', 'cascara'),
            ),
            array(
              'id'        => 'get_text',
              'type'      => 'textarea',
              'title'     => __('Text Block', 'cascara')
            ),

          ),

        ),
        // Simple Textarea

      ),
    );

  return $options;

  }
  add_filter( 'cs_shortcode_options', 'cascara_theme_shortcodes' );
}
