<?php
/* ==============================================
  Try to remove default template
=============================================== */
add_filter( 'vc_load_default_templates', 'cascara_template_modify_array' );
function cascara_template_modify_array($data) {
    return array(); // This will remove all default templates
}

/* ==============================================
  Create Custom Template in Visual Composer
=============================================== */

/* Home Version One */
if( ! function_exists( 'home_version_one_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_version_one_page_template' );
  function home_version_one_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Version One', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row_content_no_spaces" overlay_dotted=""][vc_column][cscra_primary_posts blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="ASC" blog_orderby="date" blog_pagination=""][/vc_column][/vc_row][vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row][vc_column width="2/3" css=".vc_custom_1535436493903{padding-right: 0px !important;padding-left: 0px !important;}"][cscra_blog blog_style="style-two" blog_listing_title="Lifestyle" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/lifestyle/" blog_limit="5" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="lifestyle" short_content="18" blog_pagination=""][cscra_blog blog_style="style-three" blog_listing_title="Sports" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/sports/" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="ID" blog_show_category="sports" blog_pagination=""][cscra_blog blog_style="style-four" blog_listing_title="Fashion" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/fashion/" blog_limit="4" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="author" blog_show_category="fashion" short_content="22" blog_pagination=""][cscra_blog blog_style="style-five" blog_listing_title="FOOD & BEVERAGES" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/food/" blog_limit="9" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="food" short_content="22" blog_pagination=""][/vc_column][vc_column width="1/3" css=".vc_custom_1535436450950{padding-right: 0px !important;padding-left: 0px !important;}"][vc_widget_sidebar sidebar_id="sidebar-2"][/vc_column][/vc_row][vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row][vc_column][cscra_blog blog_column="col-three" blog_listing_title="RECENT POSTS" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="9" hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="ID" short_content="15" blog_pagination="true" blog_pagination_type="load-more" blog_load_btn_type="button"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* About Us */
if( ! function_exists( 'about_us_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'about_us_page_template' );
  function about_us_page_template($data) {
    $template               = array();
    $template['name']       = __( 'About Us', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1537189140735{padding-top: 3% !important;}"][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1537189177780{padding-top: 2% !important;}"][vc_column][cascara_section_title title_text="About Cascara"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1537189183794{padding-bottom: 5% !important;}"][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-science" title_text="Our Mission" about_content="Our mission is to help our readers make distinctive, lasting, and substantial improvements in their knowledge and to build a great firm."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-notebook" title_text="Our Philosophy" about_content="specialized in News Since 2015, We specialize in
user News, including sports, politics which we consider."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-light" title_text="Our History" about_content="Cascara is the world's best news agency, tracing all the way back to The news. It was the first company to develop a nationwide communications network."][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1531743651237{padding-top: 9% !important;padding-bottom: 8% !important;background-color: #f8f8f8 !important;}"][vc_column css=".vc_custom_1531743659707{padding-top: 0px !important;}"][cascara_section_title title_text="Cascara Team"][cascara_team team_limit="4"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1534762071651{padding-top: 4% !important;padding-bottom: 8% !important;}"][vc_column][cascara_section_title title_text="Client Logo"][cscra_client_carousel open_link="true" client_logos="%5B%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Advertise With Us */
if( ! function_exists( 'advertise_with_us_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'advertise_with_us_page_template' );
  function advertise_with_us_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Advertise With Us', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cscra_buy_add add_image="955" add_title="Google Billboard Ad" add_banner_size="970 * 250px" add_content="Google Billboard Ad is the advertising platform of Google. This ad will be displayed in the top of the header .where ads are served to users when they perform a search. Google AdWords improves the visibility of the brand and brings in faster results. Google AdWords itself is a boon to advertisers to speed the process of revenue generation." btn_text="Book Your Ad" btn_text_link="#0" open_link="true" need_border=""][cscra_buy_add add_image="955" add_title="Leaderboard Ad" add_banner_size="728 * 90px" add_content="Leaderboard Ad is rectangular advertising space displayed in below header. highly visible ad size-cost-effective tool for branding, product awareness, lead generation, direct sales. Print-Friendly pages for articles and recipes feature top of page placement. Printed pages offer extended branding power." btn_text="Book Your Ad" btn_text_link="#0" open_link="true" need_border=""][cscra_buy_add add_image="955" add_title="You Tube Display Ad" add_banner_size="480 * 70px" add_content="Running an ad on YouTube allows you to connect with potential customers in a memorable way at the exact moment they perform a keyword search related to your business. Google’s AdWords for video system makes it easy for businesses of all sizes to develop video campaigns for YouTube." btn_text="Book Your Ad" btn_text_link="#0" open_link="true" need_border=""][cscra_buy_add add_image="955" add_title="Banner Ad" add_banner_size="468 * 60px" add_content="You can advertise your business to potential customers with a variety of media and advertising techniques ready to spread your message to specific audiences. This will be displayed in a banner section of the paper and it is Inexpensive, Targeted, Repetitive, Reusable, Effective." btn_text="Book Your Ad" btn_text_link="#0" open_link="true" need_border=""][cscra_buy_add add_image="955" add_title="Inline Rectangle Ad" add_banner_size="300 * 250px" add_content="Inline Rectangle Ads commonly referred to as “banners” or “rectangles”, are ad units that appear inline with other app content. Normally it will displayed in the sidebars of the paper. Inline Ads are often found at the top or bottom of your screen while reading articles and searching through content." btn_text="Book Your Ad" btn_text_link="#0" open_link="true" need_border=""][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536908953639{padding-top: 5% !important;}"][vc_column][cascara_section_title title_text="Our Clients" title_btm_space="25"][cscra_client_carousel open_link="true" client_logos="%5B%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%2C%7B%22client_logo%22%3A%22118%22%2C%22client_link%22%3A%22%230%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Blog Page */
if( ! function_exists( 'blog_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'blog_page_template' );
  function blog_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Blog Page', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cscra_blog hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_pagination="true" blog_pagination_type="load-more" blog_load_btn_type="button"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Contact Page Three */
if( ! function_exists( 'contact_page_three_template' ) ) {

  add_filter( 'vc_load_default_templates', 'contact_page_three_template' );
  function contact_page_three_template($data) {
    $template               = array();
    $template['name']       = __( 'Contact Page Three', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" overlay_dotted=""][vc_column][cscra_gmap gmap_api="AIzaSyBWmUapFYTBXV3IJL9ggjT9Z1wppCER55g" gmap_type="ROADMAP" gmap_style="ultra-light-labels" gmap_height="600px" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712775%22%2C%22longitude%22%3A%22-74.005973%22%2C%22location_heading%22%3A%22New%20York%22%2C%22location_text%22%3A%22New%20York%2C%20NY%22%7D%2C%7B%22latitude%22%3A%2240.711412%22%2C%22longitude%22%3A%22-74.009009%22%2C%22location_heading%22%3A%22Newark%2C%20NJ%22%7D%2C%7B%22latitude%22%3A%2240.710013%22%2C%22longitude%22%3A%22-73.999053%22%2C%22location_heading%22%3A%22Union%2C%20NJ%22%7D%5D"][vc_empty_space height="50px"][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536755479933{padding-bottom: 2% !important;}"][vc_column][cscra_contact id="384"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536755465001{padding-top: 5% !important;}"][vc_column width="1/3"][vc_widget_sidebar sidebar_id="recent-posts"][/vc_column][vc_column width="1/3"][vc_widget_sidebar sidebar_id="post-categories"][/vc_column][vc_column width="1/3"][vc_widget_sidebar sidebar_id="recent-comments"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536755460313{padding-top: 0px !important;}"][vc_column][cascara_section_title title_align="left" title_text="For Inquiries" title_size="28px" title_btm_space="40"][vc_row_inner][vc_column_inner width="1/2"][cscra_address address_title="For Editorial inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22editorial%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aeditorial%40cascara.com%22%7D%5D" title_size="18px"][vc_empty_space height="25px"][cscra_address address_title="For Advertise inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22advertise%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aadvertise%40cascara.com%22%7D%5D" title_size="18px"][/vc_column_inner][vc_column_inner width="1/2"][cscra_address address_title="For Media inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22media%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aeditorial%40media%40cascara.com%22%7D%5D" title_size="18px"][vc_empty_space height="25px"][cscra_address address_title="For Licensing inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22licensing%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Alicensing%40cascara.com%22%7D%5D" title_size="18px"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Contact Page Two */
if( ! function_exists( 'contact_page_two_template' ) ) {

  add_filter( 'vc_load_default_templates', 'contact_page_two_template' );
  function contact_page_two_template($data) {
    $template               = array();
    $template['name']       = __( 'Contact Page Two', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row_content" content_placement="middle" overlay_dotted=""][vc_column width="1/2"][cscra_gmap gmap_api="AIzaSyBWmUapFYTBXV3IJL9ggjT9Z1wppCER55g" gmap_type="ROADMAP" gmap_style="ultra-light-labels" gmap_height="900px" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712775%22%2C%22longitude%22%3A%22-74.005973%22%2C%22location_heading%22%3A%22New%20York%22%2C%22location_text%22%3A%22New%20York%2C%20NY%22%7D%2C%7B%22latitude%22%3A%2240.711412%22%2C%22longitude%22%3A%22-74.009009%22%2C%22location_heading%22%3A%22Newark%2C%20NJ%22%7D%2C%7B%22latitude%22%3A%2240.710013%22%2C%22longitude%22%3A%22-73.999053%22%2C%22location_heading%22%3A%22Union%2C%20NJ%22%7D%5D"][/vc_column][vc_column width="1/2" css=".vc_custom_1537190547716{padding-top: 2% !important;}"][cascara_section_title title_align="left" title_text="Contact Info" title_size="28px" title_btm_space="40"][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1536757571371{padding-bottom: 30px !important;}"][cscra_address address_title="Head Office Address :" address_content="601 West 26th St. Suite 1507
New York, NY 10001
+1 212-229-1500" list_items="%5B%7B%7D%5D"][vc_empty_space height="20px"][cscra_address address_title="Australia Office Address :" address_content="4 Allen Ramp, News Street
New Dean, T01 2WA
+2 451-548-8596" list_items="%5B%7B%7D%5D"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1536757578392{padding-bottom: 30px !important;}"][cscra_address address_title="USA Head Office Address :" address_content="728 Dooley Branch,
Beckershire, LA 63598-2909
+1 154-512-5214" list_items="%5B%7B%7D%5D"][vc_empty_space height="20px"][cscra_address address_title="UK Head Office Address :" address_content="Flat 60, Ross Green,
South Lilyberg, Q7M 8ZV
+5 451-326-6578" list_items="%5B%7B%7D%5D"][/vc_column_inner][/vc_row_inner][vc_empty_space height="40px"][cascara_section_title title_align="left" title_text="For Inquiries" title_size="28px" title_btm_space="40"][vc_row_inner css=".vc_custom_1537190587442{padding-bottom: 3% !important;}"][vc_column_inner width="1/2"][cscra_address address_title="For Editorial inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22editorial%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aeditorial%40cascara.com%22%7D%5D" title_size="18px"][vc_empty_space height="25px"][cscra_address address_title="For Advertise inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22advertise%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aadvertise%40cascara.com%22%7D%5D" title_size="18px"][/vc_column_inner][vc_column_inner width="1/2"][cscra_address address_title="For Media inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22media%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aeditorial%40media%40cascara.com%22%7D%5D" title_size="18px"][vc_empty_space height="25px"][cscra_address address_title="For Licensing inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22licensing%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Alicensing%40cascara.com%22%7D%5D" title_size="18px"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Contact Page One */
if( ! function_exists( 'contact_page_one_template' ) ) {

  add_filter( 'vc_load_default_templates', 'contact_page_one_template' );
  function contact_page_one_template($data) {
    $template               = array();
    $template['name']       = __( 'Contact Page One', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1536902237488{margin-bottom: 6% !important;padding-top: 7% !important;}"][vc_column][cascara_section_title title_text="Contact Form" title_btm_space="40"][cscra_contact id="384"][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1537339121515{padding-top: 5% !important;padding-bottom: 7% !important;background-image: url(https://victorthemes.com/themes/cascara/wp-content/uploads/2018/06/blog-image-33.jpg?id=571) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_color="rgba(15,25,66,0.9)"][vc_column width="1/2"][cscra_address address_title="For Editorial inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22editorial%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aeditorial%40cascara.com%22%7D%5D" title_color="#ffffff" content_color="#ffffff"][vc_empty_space height="30px"][cscra_address address_title="For Advertise inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22advertise%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Aadvertise%40cascara.com%22%7D%5D" title_color="#ffffff" content_color="#ffffff"][/vc_column][vc_column width="1/2"][cscra_address address_title="For Media inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22media%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Amedia%40cascara.com%22%7D%5D" title_color="#ffffff" content_color="#ffffff"][vc_empty_space height="30px"][cscra_address address_title="For Licensing inquiries please contact" list_items="%5B%7B%22list_text%22%3A%22licensing%40cascara.com%22%2C%22text_link%22%3A%22mailto%3Alicensing%40cascara.com%22%7D%5D" title_color="#ffffff" content_color="#ffffff"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1536757327541{padding-top: 5% !important;padding-bottom: 7% !important;}"][vc_column width="1/2"][vc_single_image image="617" img_size="full" css=".vc_custom_1537339192851{margin-bottom: 0px !important;}"][cscra_gmap gmap_api="AIzaSyBWmUapFYTBXV3IJL9ggjT9Z1wppCER55g" gmap_type="ROADMAP" gmap_style="ultra-light-labels" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712775%22%2C%22longitude%22%3A%22-74.005973%22%2C%22location_heading%22%3A%22New%20York%22%2C%22location_text%22%3A%22New%20York%2C%20NY%22%7D%2C%7B%22latitude%22%3A%2240.711412%22%2C%22longitude%22%3A%22-74.009009%22%2C%22location_heading%22%3A%22Newark%2C%20NJ%22%7D%2C%7B%22latitude%22%3A%2240.710013%22%2C%22longitude%22%3A%22-73.999053%22%2C%22location_heading%22%3A%22Union%2C%20NJ%22%7D%5D"][vc_empty_space height="15px"][cscra_address address_title="Head Office Address :" address_content="601 West 26th St. Suite 1507
New York, NY 10001
+1 212-229-1500" list_items="%5B%7B%7D%5D" title_top="15px" title_btm="8px"][/vc_column][vc_column width="1/2"][vc_single_image image="617" img_size="full" css=".vc_custom_1537339243751{margin-bottom: 0px !important;}"][cscra_gmap gmap_api="AIzaSyBWmUapFYTBXV3IJL9ggjT9Z1wppCER55g" gmap_type="ROADMAP" gmap_style="ultra-light-labels" gmap_scroll_wheel="" gmap_street_view="" gmap_maptype_control="" locations="%5B%7B%22latitude%22%3A%2240.712775%22%2C%22longitude%22%3A%22-74.005973%22%2C%22location_heading%22%3A%22New%20York%22%2C%22location_text%22%3A%22New%20York%2C%20NY%22%7D%2C%7B%22latitude%22%3A%2240.711412%22%2C%22longitude%22%3A%22-74.009009%22%2C%22location_heading%22%3A%22Newark%2C%20NJ%22%7D%2C%7B%22latitude%22%3A%2240.710013%22%2C%22longitude%22%3A%22-73.999053%22%2C%22location_heading%22%3A%22Union%2C%20NJ%22%7D%5D"][vc_empty_space height="15px"][cscra_address address_title="Head Office Address :" address_content="728 Dooley Branch,
Beckershire, LA 63598-2909
+1 154-512-5214" list_items="%5B%7B%7D%5D" title_top="15px" title_btm="8px"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1537339165369{padding-top: 5% !important;padding-bottom: 5% !important;background-image: url(https://victorthemes.com/themes/cascara/wp-content/uploads/2018/06/blog-image-47.jpg?id=617) !important;}" overlay_color="rgba(15,25,66,0.91)"][vc_column width="5/12"][cascara_section_title title_align="left" title_text="Subscribe Newsletter" title_color="#ffffff" title_size="30px" title_btm_space="40"][vc_column_text][mc4wp_form id="310"][/vc_column_text][/vc_column][vc_column width="1/6" offset="vc_hidden-xs"][/vc_column][vc_column width="5/12"][cascara_section_title title_align="left" title_text="Get In Touch With US" title_color="#ffffff" title_size="30px" title_btm_space="40"][vc_column_text][cascara_socials social_select="style-one" square="1"][cascara_social social_link="#0" social_icon="fa fa-facebook" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-twitter" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-rss" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-pinterest-p" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-linkedin" target_tab="1"][/cascara_socials][/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Disclaimer */
if( ! function_exists( 'disclaimer_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'disclaimer_page_template' );
  function disclaimer_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Disclaimer', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cascara_section_title title_align="left" title_text="Cascara Disclaimer" title_size="25px" title_btm_space="25px"][/vc_column][/vc_row][vc_row][vc_column][vc_column_text css=".vc_custom_1537265726590{margin-bottom: 20px !important;}"]The information, software, products, and services included in or available through cascara sites/services may include inaccuracies or typographical errors.

Changes are periodically made to cascara sites/services and to the information therein. cascara and/or its respective suppliers may make improvements and/or changes in cascara sites/services at any time. Advice received via cascara sites/services should not be relied upon for personal, medical, legal or financial decisions and you should consult an appropriate professional for specific advice tailored to your situation.

cascara(www.cascara.com) and/or its respective suppliers make no representations about the suitability, reliability, availability, timeliness, lack of viruses or other harmful components and accuracy of the information, software, products, services and related graphics contained within cascara sites/services for any purpose. All such information, software, products, services and related graphics are provided “As is” without warranty of any kind. _cascara and/or its respective suppliers hereby disclaim all warranties and conditions with regard to this information, software, products, services and related graphics, including all implied warranties and conditions of merchantability, fitness for a particular purpose, workmanlike effort, title and non-infringement.

This site may contain links to other web sites operated by third parties (“Linked sites”). You acknowledge that, when you click on a link to visit a linked site, a frame may appear that contains the cascara logo, advertisements and/or other content selected by cascara. You acknowledge that cascara and its sponsors neither endorse nor are affiliated with the linked site and are not responsible for any content of any linked site or any link contained in a link site, or any changes or updates to such sites. You also acknowledge that cascara is providing these links to you only as a convenience.[/vc_column_text][vc_separator css=".vc_custom_1536898803508{margin-bottom: 25px !important;}"][vc_column_text]You specifically agree that cascara shall not be responsible for unauthorized access to or alteration of your transmissions or data, any material or data sent or received or not sent or received, or any transactions entered into through cascara/service. You specifically agree that cascara is not responsible or liable for any threatening, defamatory, obscene, offensive or illegal content or conduct of any other party or any infringement of another’s rights, including intellectual property rights. You specifically agree that cascara is not responsible for any content sent using and/or included in a site/service by any third party.

In no event shall cascara and/or its suppliers be liable for any direct, indirect, punitive, incidental, special, consequential damages or any damages whatsoever including, without limitation, damages for loss of use, data or profits, arising out of or in any way connected with the use or performance of cascara sites/services, with the delay or inability to use cascara sites/services or related services, the provision of or failure to provide services, or for any information, software, products, services and related graphics obtained through cascara sites/services, or otherwise arising out of the use of cascara sites/services, whether based on contract, tort, negligence, strict liability or otherwise, even if cascara or any of its suppliers has been advised of the possibility of damages. cascara does not endorse in anyway any advertisers/ contents of advertisers on its webpages. Please therefore verify the veracity of all information on your own before undertaking reliance and actioning thereupon. cascara shall not be responsible nor liable for any consequential damages arising on account of your relying on the contents of the advertisement.

This agreement is governed by the laws of the USA. You hereby irrevocably consent to the exclusive jurisdiction and venue of courts in new york, USA in all disputes arising out of or relating to the use of cascara sites/services. Use of cascara sites/services is unauthorized in any jurisdiction that does not give effect to all provisions of these terms and conditions, including without limitation this paragraph. You agree to indemnify and hold cascara, its subsidiaries, affiliates, officers and employees, harmless from any claim, demand, or damage, including reasonable attorneys’ fees, asserted by any third party due to or arising out of your use of or conduct on cascara sites/services. cascara reserves the right to disclose any personal information about you or your use of cascara sites/services, including its contents, without your prior permission if cascara has a good faith belief that such action is necessary to:[/vc_column_text][cscra_list list_style="cscra-list-four" list_items="%5B%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Conform%20to%20legal%20requirements%20or%20comply%20with%20legal%20process%3B%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22%20Protect%20and%20defend%20the%20rights%20or%20property%20of%20%20cascara%20or%20its%20affiliated%20companies%3B%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Act%20to%20protect%20the%20interests%20of%20its%20members%20or%20others.%20cascara%20performance%20of%20this%20agreement%20is%20subject%20to%20existing%20laws%20and%20legal%20process%2C%20and%20nothing%20contained%20in%20this%20agreement%20is%20in%20derogation%20of%20cascara%E2%80%99s%20right%20to%20comply%20with%20governmental%2C%20court%20and%20law%20enforcement%20requests%20or%20requirements%20relating%20to%20your%20use%20of%20cascara%20sites%2Fservices%20or%20information%20provided%20to%20or%20gathered%20by%20cascara%20with%20respect%20to%20such%20use.%22%7D%5D"][vc_column_text css=".vc_custom_1537266026464{padding-top: 30px !important;}"]If any part of this agreement is determined to be invalid or unenforceable pursuant to applicable law including, but not limited to, the warranty disclaimers and liability limitations set forth above, then the invalid or unenforceable provision will be deemed superseded by a valid, enforceable provision that most closely matches the intent of the original provision and the remainder of the agreement shall continue in effect. Unless otherwise specified herein, this agreement constitutes the entire agreement between the user and cascara with respect to cascara sites/services and it supersedes all prior or contemporaneous communications and proposals, whether electronic, oral or written, between the user and cascara with respect to cascara sites/service.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="For any clarifications please get in touch with" title_size="20px" title_btm_space="20px"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1537189880048{padding-right: 20px !important;padding-left: 0px !important;}"][cscra_address address_title="UK Office Address :" address_content="Flat 60, Ross Green,
South Lilyberg, Q7M 8ZV
+5 451-326-6578" list_items="%5B%7B%7D%5D"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1537189884589{padding-right: 20px !important;padding-left: 0px !important;}"][cscra_address address_title="USA Office Address :" address_content="601 West 26th St. Suite 1507
New York, NY 10001
+1 212-229-1500" list_items="%5B%7B%7D%5D"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1537189888606{padding-right: 20px !important;padding-left: 0px !important;}"][cscra_address address_title="Australia Office Address :" address_content="4 Allen Ramp, News Street
New Dean, T01 2WA
+2 451-548-8596" list_items="%5B%7B%7D%5D"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Edition & Translation */
if( ! function_exists( 'edition_translation_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'edition_translation_page_template' );
  function edition_translation_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Edition & Translation', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1536927523189{padding-bottom: 5% !important;}"][vc_column width="1/2" text_alignment="text-left" css=".vc_custom_1536927907851{padding-right: 6% !important;}"][cascara_section_title title_align="left" title_text="Edition" btm_space="10px" title_btm_space="25px"][vc_column_text css=".vc_custom_1536931873273{margin-bottom: 20px !important;}"]A newspaper is a periodical publication containing written information about current events. Most of the newspaper has different types of edition based on the country, region, and language.[/vc_column_text][cscra_list list_style="cscra-list-four" list_items="%5B%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Newspapers%20can%20cover%20a%20wide%20variety%20of%20fields%20such%20as%20politics%2C%20business%2C%20sports%20and%20art%2C%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Most%20newspapers%20are%20businesses%2C%20and%20they%20pay%20their%20expenses%20with%20a%20mixture%20of%20subscription%20revenue%2C%20newsstand%20sales%2C%20and%20advertising%20revenue.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22The%20journalism%20organizations%20that%20publish%20newspapers%20are%20themselves%20often%20metonymically%20called%20newspapers.%22%7D%5D"][/vc_column][vc_column width="1/2"][vc_single_image image="999" img_size="full" css=".vc_custom_1536927724145{padding-top: 5% !important;}"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536926150024{padding-bottom: 5% !important;}"][vc_column width="1/2" text_alignment="text-left" css=".vc_custom_1536927962537{padding-right: 6% !important;}"][cascara_section_title title_align="left" title_text="Translation" btm_space="10px" title_btm_space="25px"][vc_column_text css=".vc_custom_1536931962123{margin-bottom: 20px !important;}"]Translating newspapers presents its own unique challenges. Much of it has to do with the fact that newspapers are made up of different sections and types of articles, each with their own style and language. What works for one section or article may not work for all of them[/vc_column_text][cscra_list list_style="cscra-list-four" list_items="%5B%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Newspapers%20are%20a%20staple%20in%20every%20country%2C%20whether%20they%20are%20still%20printed%20on%20newsprint%20and%20distributed%20or%20published%20online%20for%20everyone%20to%20read.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22%20They%20are%20excellent%20things%20to%20read%20in%20order%20to%20get%20an%20idea%20of%20what%20the%20culture%20of%20a%20foreign%20country%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Those%20who%20have%20trouble%20reading%20in%20a%20foreign%20language%2C%20%22%7D%5D"][/vc_column][vc_column width="1/2"][vc_single_image image="994" img_size="full" css=".vc_custom_1536927630015{padding-top: 5% !important;}"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Version Four */
if( ! function_exists( 'home_version_four_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_version_four_template' );
  function home_version_four_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Version Four', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row][vc_column width="2/3" css=".vc_custom_1535436493903{padding-right: 0px !important;padding-left: 0px !important;}"][cscra_blog blog_style="style-two" blog_listing_title="Lifestyle" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/lifestyle/" blog_limit="5" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="lifestyle" short_content="18" blog_pagination=""][cscra_blog blog_style="style-three" blog_listing_title="Sports" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/sports/" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="ID" blog_show_category="sports" blog_pagination=""][cscra_blog blog_style="style-four" blog_listing_title="Fashion" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/fashion/" blog_limit="4" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="author" blog_show_category="fashion" short_content="22" blog_pagination=""][cscra_blog blog_style="style-five" blog_listing_title="FOOD & BEVERAGES" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/food/" blog_limit="9" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="food" short_content="22" blog_pagination=""][/vc_column][vc_column width="1/3" css=".vc_custom_1535436450950{padding-right: 0px !important;padding-left: 0px !important;}"][vc_widget_sidebar sidebar_id="sidebar-2"][/vc_column][/vc_row][vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row][vc_column][cscra_blog blog_column="col-three" blog_listing_title="RECENT POSTS" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="9" hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="ID" short_content="15" blog_pagination="true" blog_pagination_type="load-more" blog_load_btn_type="button"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Version Three */
if( ! function_exists( 'home_version_three_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_version_three_template' );
  function home_version_three_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Version Three', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cscra_primary_posts blog_style="style-three" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_pagination=""][/vc_column][/vc_row][vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row][vc_column width="2/3" css=".vc_custom_1536066947032{padding-right: 0px !important;padding-left: 0px !important;}"][vc_row_inner][vc_column_inner][cscra_blog blog_style="style-five" blog_listing_title="FASHION" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/fashion/" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="ASC" blog_orderby="date" blog_show_category="fashion" post_id="477,45,235" blog_pagination=""][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][cscra_blog blog_style="style-three" blog_listing_title="LIFESTYLE" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/lifestyle/" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="lifestyle" blog_pagination=""][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][cscra_blog blog_style="style-two" blog_listing_title="FOOD & BEVERAGES" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/food/" blog_limit="5" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="food" short_content="22" blog_pagination=""][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][cscra_blog blog_style="style-four" blog_listing_title="SPORTS" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/sports/" blog_limit="10" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_show_category="sports" short_content="15" blog_pagination=""][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/3" css=".vc_custom_1536066955210{padding-right: 0px !important;padding-left: 0px !important;}"][vc_widget_sidebar sidebar_id="sidebar-2"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1534759242627{padding-top: 4% !important;padding-bottom: 3% !important;background-color: #f8f8f8 !important;}"][vc_column][cscra_blog blog_style="style-seven" blog_column="col-three" blog_limit="3" blog_category="" blog_date="" blog_author="" blog_comments="" blog_orderby="post__in" post_id="53,34,24" blog_pagination=""][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1534760747882{margin-top: 4% !important;padding-bottom: 2% !important;}"][vc_column][cscra_blog blog_column="col-two" blog_listing_title="MOST VIEWED" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="2" hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_orderby="post__in" post_id="462,237" short_content="24" blog_pagination=""][/vc_column][/vc_row][vc_row][vc_column][cscra_blog blog_column="col-four" blog_listing_title="RECENT NEWS" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="4" hide_content="true" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="ID" blog_pagination="true" blog_pagination_type="load-more" blog_load_btn_type="button"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Home Version Two */
if( ! function_exists( 'home_version_two_template' ) ) {

  add_filter( 'vc_load_default_templates', 'home_version_two_template' );
  function home_version_two_template($data) {
    $template               = array();
    $template['name']       = __( 'Home Version Two', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cscra_primary_posts blog_style="style-two" blog_limit="4" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="ASC" blog_orderby="date" blog_pagination=""][/vc_column][/vc_row][vc_row overlay_dotted=""][vc_column width="2/3" css=".vc_custom_1536065775133{padding-right: 0px !important;padding-left: 0px !important;}"][cascara_advertisement advertisement_image="86" advertisement_link="#0"][cascara_category_tabs blog_items="7" list_items="%5B%7B%22cat_id%22%3A%223%22%7D%2C%7B%22cat_id%22%3A%225%22%7D%2C%7B%22cat_id%22%3A%224%22%7D%2C%7B%22cat_id%22%3A%226%22%7D%5D"][cscra_blog blog_style="style-six" blog_listing_title="MOST VIEWED" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="10" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="DESC" blog_orderby="title" blog_pagination=""][/vc_column][vc_column width="1/3" css=".vc_custom_1536065787439{padding-right: 0px !important;padding-left: 0px !important;}"][vc_widget_sidebar sidebar_id="sidebar-2"][/vc_column][/vc_row][vc_row][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1534749406032{padding-bottom: 2% !important;}"][vc_column][cscra_blog blog_column="col-two" blog_listing_title="Recent Videos" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/category/video/" blog_limit="2" hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_orderby="post__in" post_id="53,596" short_content="22" blog_pagination=""][/vc_column][/vc_row][vc_row][vc_column][cscra_blog blog_column="col-three" blog_listing_title="Latest Posts" blog_view_all_txt="View All" blog_view_all_link="https://victorthemes.com/themes/cascara/blog-style-one/" blog_limit="3" hide_content="" blog_category="" blog_date="" blog_author="" blog_comments="" blog_views="" blog_order="ASC" blog_orderby="title" short_content="20" blog_pagination="true" blog_pagination_type="load-more"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Login */
if( ! function_exists( 'login_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'login_page_template' );
  function login_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Login', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cascara_login_signup][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Our Partners */
if( ! function_exists( 'our_partners_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'our_partners_page_template' );
  function our_partners_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Our Partners', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1536926150024{padding-bottom: 5% !important;}"][vc_column text_alignment="text-left"][cascara_section_title title_align="left" title_text="Our Trusted Partners" btm_space="10px" title_btm_space="25px"][vc_column_text]Business-to-business client beta funding customer equity iteration MVP first mover advantage creative. IPhone rockstar business to-consumer freemium return on investment founders seed round android bootstrapping. Vesting period cutomer ramen crowd funding iPhone non-disclosure agreement investor sales and inter action. Product management facebook A/B testing client. Investor user experience accelerator beta customer. gen-z non-disclosure agreement social media android ecosystem MVP. Marketing business plan value proposition iPhone vesting period backing android low hanging fruit partnership social media virality. Non-disclosure agreement advisor seed money hypotheses channels.[/vc_column_text][cscra_partner partner_logos="%5B%7B%22partner_logo%22%3A%22118%22%2C%22partner_link%22%3A%22%230%22%2C%22company_name%22%3A%22Tmiint%20industry%22%2C%22company_type%22%3A%22Travel%20Agency%22%2C%22company_desc%22%3A%22A%20private%20retailer%20provides%20travel%20and%20tourism%20related%20services%20to%20the%20public%20on%20behalf%20of%20suppliers%20such%20as%20activities%2C%20airlines%2C%20car%20rentals%20and%20package%20tours.%22%7D%2C%7B%22partner_logo%22%3A%22118%22%2C%22company_name%22%3A%22Procedo%22%2C%22company_type%22%3A%22Marketing%20Consultancy%22%2C%22company_desc%22%3A%22A%20marketing%20consultant%20works%20with%20companies%20to%20create%20and%20implement%20marketing%20strategies.%20These%20strategies%20are%20centered%20on%20the%20core%20of%20products%20they%20offer.%22%7D%2C%7B%22partner_logo%22%3A%22118%22%2C%22partner_link%22%3A%22%230%22%2C%22company_name%22%3A%22Chart%20IQ%22%2C%22company_type%22%3A%22Online%20Store%22%2C%22company_desc%22%3A%22Chart%20IQ%2C%20Inc.%20is%20an%20e-commerce%20company%20based%20in%20New%20Stanton%2C%20Pennsylvania%2C%20specializing%20in%20retail%20niche%20markets%20that%20has%20been%20in%20operation%20since%202001.%22%7D%2C%7B%22partner_logo%22%3A%22118%22%2C%22partner_link%22%3A%22%230%22%2C%22company_name%22%3A%22Dem%22%2C%22company_type%22%3A%22IT%20Sector%22%2C%22company_desc%22%3A%22Dem%20Information%20technology%20in%20India%20is%20an%20industry%20consisting%20of%20two%20major%20components%3A%20IT%20services%20and%20business%20process%20outsourcing.%22%7D%2C%7B%22partner_logo%22%3A%22118%22%2C%22partner_link%22%3A%22%230%22%2C%22company_name%22%3A%22Aria%20Deposites%22%2C%22company_type%22%3A%22Banking%22%2C%22company_desc%22%3A%22Financial%20institution%20that%20accepts%20deposits%20from%20the%20public%20and%20creates%20credit%2C%20Lending%20activities%20can%20be%20performed%20either%20directly%20or%20indirectly%20through%20markets.%22%7D%2C%7B%22partner_logo%22%3A%22118%22%2C%22partner_link%22%3A%22%230%22%2C%22company_name%22%3A%22Saba%20Foods%22%2C%22company_type%22%3A%22Food%20Industry%22%2C%22company_desc%22%3A%22The%20food%20industry%20is%20a%20complex%2C%20global%20collective%20of%20diverse%20businesses%20that%20supplies%20most%20of%20the%20food%20consumed%20by%20the%20world's%20population%22%7D%5D" open_link="true" client_logos="%5B%7B%7D%5D"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1537339063388{padding-top: 5% !important;padding-bottom: 5% !important;background-image: url(https://victorthemes.com/themes/cascara/wp-content/uploads/2018/06/blog-image-54.jpg?id=639) !important;}" overlay_color="rgba(15,25,66,0.91)"][vc_column width="5/12"][cascara_section_title title_align="left" title_text="Become A Partner" title_color="#ffffff" title_size="30px" title_btm_space="40"][vc_column_text][mc4wp_form id="310"][/vc_column_text][/vc_column][vc_column width="1/6" offset="vc_hidden-xs"][/vc_column][vc_column width="5/12"][cascara_section_title title_align="left" title_text="Get In Touch With US" title_color="#ffffff" title_size="30px" title_btm_space="40"][vc_column_text][cascara_socials social_select="style-one" square="1"][cascara_social social_link="#0" social_icon="fa fa-facebook" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-twitter" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-rss" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-pinterest-p" target_tab="1"][cascara_social social_link="#0" social_icon="fa fa-linkedin" target_tab="1"][/cascara_socials][/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Privacy Policy */
if( ! function_exists( 'privacy_policy_template' ) ) {

  add_filter( 'vc_load_default_templates', 'privacy_policy_template' );
  function privacy_policy_template($data) {
    $template               = array();
    $template['name']       = __( 'Privacy Policy', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_column_text]Free Press Journal respects the privacy of everyone who visits the website of Free Press Journal Group. We would like to inform you regarding the way we would use your personal data. Free Press Journal recommends you to read this privacy policy so that you understand our approach towards the use of your personal data. By submitting your personal data to us, you will be treated as having given your permission – where necessary and appropriate – for disclosures referred to in this policy. Free Press Journal uses your Personal Information only for providing and improving the Site.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="Information Collection and Use:" title_size="20px" title_btm_space="20px"][vc_column_text]When you visit Free Press Journal website(s) just to browse, read pages or download news/information. Free Press Journal may collect your personally identifiable information, i.e. your name, email address, residence and office address, telephone, mobile number automatically.

Further, Free Press Journal may automatically collect non-personal information about you such as the information about your computer hardware, IP address, browser type, domain names, access times and exit times and referring identical or group website.

While using Free Press Journal website, Free Press Journal may ask you to provide us with personal information that can be used to contact or identify you. Your personal identifiable information may include, but it is not limited to your name.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="Third Party Content" title_size="20px" title_btm_space="20px"][vc_column_text]The Company is a distributor (and not a publisher) of content supplied by third parties and Subscribers. Accordingly, the Company has no more editorial control over such content than does a public library, bookstore, or newsstand. Any opinions, advice, statements, services, offers, or other information or content expressed or made available by third parties, including information providers, Subscribers or any other user of cascara, are those of the respective author(s) or distributor(s) and not of the Company. Neither the Company nor any third-party provider of information guarantees the accuracy, completeness, or usefulness of any content, nor its merchantability or fitness for any particular purpose.

In many instances, the content available through cascara represents the opinions and judgements of the respective information provider, Subscriber, or other user not under contract with the Company. The Company neither endorses nor is responsible for the accuracy or reliability of any opinion, advice or statement made on cascara by anyone other than authorized the Company employee spokespersons while acting in their official capacities. Under no circumstances will the Company be liable for any loss or damage caused by a Subscriber’s reliance on information obtained through the cascara. It is the responsibility of Subscriber to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content available through cascara. Please seek the advice of professionals, as appropriate, regarding the evaluation of any specific information, opinion, advice or other content.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="Security of your Personal Information and Data" title_size="20px" title_btm_space="20px"][vc_column_text]As Free Press Journal values your personal information, Free Press Journal will ensure an adequate level of protection. Free Press Journal have therefore implemented technology and policies with the objective of protecting your privacy from unauthorised access and improper use and will update these measures as new technology becomes available, as appropriate. However, remember that no method of transmission over the Internet, or method of electronic storage, is 100% secure. While Free Press Journal strives to use commercial acceptable means to protect your Personal Information, Free Press Journal cannot guarantee its absolute security.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="Miscellaneous" title_size="20px" title_btm_space="20px"][vc_column_text]This Agreement and any operating rules for cascara established by the Company constitute the entire agreement of the parties with respect to the subject matter hereof and supersede all previous written or oral agreements between the parties with respect to such subject matter. This Agreement shall be construed in accordance with the laws of India and courts in Visakhapatnam, Andhra Pradesh shall have the exclusive jurisdiction to entertain and try any dispute arising out of or in relation to this Contract. No waiver by either party of any breach or default hereunder shall be deemed to be a waiver of any preceding or subsequent breach or default. The section headings used herein are for convenience only and shall not be given any legal import.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="Terms and Conditions:" title_size="20px" title_btm_space="20px"][vc_column_text]Welcome to Free Press Journal website(s). If you continue to browse and use Free Press Journal website(s), you are agreeing to comply with and be bound by the following terms and conditions of use, which together with our privacy policy in relation to this website. If you disagree with any part of these terms and conditions, please do not use Free Press Journal website(s).[/vc_column_text][cscra_list list_style="cscra-list-four" list_items="%5B%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22The%20content%20of%20the%20pages%20of%20Free%20Press%20Journal%20website(s)%20is%20for%20your%20general%20information%20and%20use%20only.%20It%20is%20subject%20to%20change%20without%20notice.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Free%20Press%20Journal%20website(s)%20uses%20cookies%20to%20monitor%20browsing%20preferences.%20If%20you%20do%20allow%20cookies%20to%20be%20used%2C%20the%20personal%20information%20may%20be%20stored%20by%20us%20for%20use%20by%20third%20parties.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Neither%20Free%20Press%20Journal%20nor%20any%20third%20parties%20provide%20any%20warranty%20or%20guarantee%20as%20to%20the%20accuracy%2C%20timeliness%2C%20performance%2C%20completeness%20or%20suitability%20of%20the%20information%20and%20materials%20found%20or%20offered%20on%20this%20website(s)%20for%20any%20particular%20purpose.%20You%20acknowledge%20that%20such%20information%20and%20materials%20may%20contain%20inaccuracies%20or%20errors%20and%20we%20expressly%20exclude%20liability%20for%20any%20such%20inaccuracies%20or%20errors%20to%20the%20fullest%20extent%20permitted%20by%20law.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22All%20trade%20marks%20reproduced%20in%20Free%20Press%20Journal%20website(s)%20which%20are%20not%20the%20property%20of%2C%20or%20licensed%20to%2C%20the%20operator%20are%20acknowledged%20on%20the%20website.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22Unauthorised%20use%20of%20Free%20Press%20Journal%20website(s)%20may%20give%20rise%20to%20a%20claim%20for%20damages%20and%2For%20be%20a%20criminal%20offence.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22From%20time%20to%20time%20Free%20Press%20Journal%20website(s)%20may%20also%20include%20links%20to%20other%20websites.%20These%20links%20are%20provided%20for%20your%20convenience%20to%20provide%20further%20information.%20They%20do%20not%20signify%20that%20we%20endorse%20the%20website(s).%20Free%20Press%20Journal%20has%20no%20responsibility%20for%20the%20content%20of%20the%20linked%20website(s).%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Signup */
if( ! function_exists( 'signup_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'signup_page_template' );
  function signup_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Signup', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][cascara_login_signup form_type="signup"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Site Map */
if( ! function_exists( 'site_map_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'site_map_page_template' );
  function site_map_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Site Map', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column width="1/2"][cscra_sitemap menu_title="All Pages" select_menu="15"][/vc_column][vc_column width="1/2"][cscra_sitemap menu_title="Pages" select_menu="134"][cscra_sitemap menu_title="About" select_menu="134"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Submit Article */
if( ! function_exists( 'submit_article_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'submit_article_page_template' );
  function submit_article_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Submit Article', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1536751332860{padding-top: 3% !important;}"][vc_column][cascara_section_title title_align="left" title_text="Guest Blogging for Cascara" title_btm_space="30px"][vc_column_text]Welcome! Feel free to pitch in any topic you like. We’re always looking for posts that are engaging, interesting and relatable. Have something to say that nobody else is saying, or a personal story everyone will relate to? Send it to us here. Also, please note that, like any publication, we cannot respond to all queries and you’ll only hear from us if it’s something we’re interested in running.

Are you a budding writer? Do you have a penchant for writing? Want to share your thoughts with the world? Then we are offering you just the right platform for it. We at cascara are providing a writing platform for all of you where you can write your articles and share it with us. If your article has that particular fizz about it, then we’ll publish it on our website!![/vc_column_text][cascara_section_title title_align="left" title_text="Guidelines for your guest blogging article" title_size="20px" title_btm_space="20px"][cscra_list list_style="cscra-list-four" list_items="%5B%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22It%20must%20be%20original.%20We%20have%20a%20strict%20policy%20against%20plagiarism.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22The%20content%20must%20be%20engaging%20and%20reader-friendly.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22There%20should%20be%20a%20logical%20flow%20throughout%20the%20article.%22%7D%2C%7B%22icon_image%22%3A%22list_icon%22%2C%22list_text%22%3A%22There%20shouldn%E2%80%99t%20be%20any%20grammatical%20errors.%22%7D%5D"][vc_column_text]Our team of specialists designs your guest post in such a way that it covers all the important details that you want in it and at the same time make it light and understandable for the reader. The links that are created by our specialists will boost the traffic to your article and get it more traffic on the internet.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][cascara_section_title title_align="left" title_text="So without waiting anymore, be Our Guest!" title_size="20px" title_btm_space="20px"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536899254754{padding-top: 2% !important;padding-right: 0px !important;padding-left: 0px !important;}"][vc_column css=".vc_custom_1536899297897{padding-right: 0px !important;padding-left: 0px !important;}"][cscra_contact id="817"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536751258509{padding-top: 5% !important;}"][vc_column][cascara_advertisement advertisement_image="86" advertisement_link="#0"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Subscribe */
if( ! function_exists( 'subscribe_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'subscribe_page_template' );
  function subscribe_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Subscribe', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column width="1/4"][/vc_column][vc_column width="1/2"][vc_custom_heading text="Subscribe our Newsletter" font_container="tag:h2|text_align:center" use_theme_fonts="yes"][vc_custom_heading text="Self Improvement Resources That Will Take You From Stuck To Unstoppable" font_container="tag:p|text_align:center" use_theme_fonts="yes"][vc_column_text][mc4wp_form id="310"][/vc_column_text][vc_single_image image="617" img_size="full" css=".vc_custom_1537434008427{margin-top: 70px !important;}"][/vc_column][vc_column width="1/4"][/vc_column][/vc_row][vc_row][vc_column][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Write For Us */
if( ! function_exists( 'write_for_us_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'write_for_us_page_template' );
  function write_for_us_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Write For Us', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row overlay_dotted="" css=".vc_custom_1536747162595{padding-bottom: 5% !important;}"][vc_column text_alignment="text-center"][cascara_section_title title_align="center" title_text="Share Ideas" btm_space="0px" title_btm_space="25px"][vc_column_text]

Want to share your opinion, ideas, expertise with the rest of the world? Well you
came to the right place – we’re looking for writers!
[/vc_column_text][vc_single_image img_size="full" alignment="center" css=".vc_custom_1537353703927{padding-top: 2% !important;}"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1536747146129{padding-top: 5% !important;padding-bottom: 5% !important;background-color: #0f1942 !important;}"][vc_column width="1/2"][cascara_about title_text="Promote Your Brand" about_content="Many of our contributors leverage their exposure on cascara to promote their personal brand, company and work. We allow you to provide an author bio that will appear below your article, where you can include your company." title_color="#ffffff" content_color="#ffffff"][vc_empty_space height="30px"][cascara_about title_text="Tell Your Story To The Right Audience" about_content="You take enormous effort to share your expertise in a story. It really matters that your story should be presented in front of the right audience. Through cascara you can reach out to readers from 70+ countries." title_color="#ffffff" content_color="#ffffff"][/vc_column][vc_column width="1/2"][cascara_about title_text="Join As Regular Contributor" about_content="Join our guest contributor community and submit article whenever you can. You can join us as our regular contributor and submit article frequently. As a regular contributor you can share as many articles as you can on monthly basis." title_color="#ffffff" content_color="#ffffff"][vc_empty_space height="30px"][cascara_about title_text="We Value You" about_content="For us you are very important. We understand that and we value that. We will not keep your article in pending for long time, and take one business day to post it if it is approved. And your content will remain online on our website for life time." title_color="#ffffff" content_color="#ffffff"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536747205820{padding-top: 5% !important;padding-bottom: 5% !important;}"][vc_column][cascara_section_title title_align="center" title_text="What We’re Looking For" title_btm_space="20px"][/vc_column][/vc_row][vc_row overlay_dotted="" css=".vc_custom_1536748154442{padding-bottom: 5% !important;}"][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-science" title_text="Industry experience" about_content="Experience matters, and we like that. Tell us what makes you an expert in your field. Whether you’re a thought leader, designer, developer, or just a knowledgeable writer – we love them all."][cascara_about about_icon="pe-7s-sun" title_text="Understand the trends" about_content="If you think you are capable of understanding recent technological, social media, marketing, business and startup trends then contact with us. We’ll love to hear from you."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-notebook" title_text="Previous writing experience" about_content="Wrote articles for other publications? This gives you an added advantage to join our guest contributor community. Select the topics we cover that aligns with your expertise."][cascara_about about_icon="pe-7s-study" title_text="Original content" about_content="Please remember that cascara accepts article if it original and not published anywhere. If you want to write for us then you would have to follow the following editorial guidelines."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about about_icon="pe-7s-light" title_text="A positive, informative voice" about_content="We want to hear your voice in your articles. We always prefer to keep things positive, informative, and inspiring that adds value to our readers. If that sound good say hello to us."][cascara_about about_icon="pe-7s-anchor" title_text="If you are expert in" about_content="We are looking content on SEO, SEM, digital marketing, WordPress, social media marketing, PPC, app development, startup, entrepreneurship, business, career & motivation and more."][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1536748168179{padding-top: 5% !important;background-color: #f9f9f9 !important;}"][vc_column][cascara_section_title title_align="center" title_text="What We Prefer" title_btm_space="20px"][/vc_column][/vc_row][vc_row full_width="stretch_row" overlay_dotted="" css=".vc_custom_1536748174216{padding-bottom: 5% !important;background-color: #f9f9f9 !important;}"][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about title_text="Post Word Count" title_link="#0" about_content="We accept Guest articles usually run about 600 – 800 words giving in-depth analysis of the selected topic. We also publish long form feature articles generally start at around 1200 words that is more compelling."][cascara_about title_text="Compelling Title" about_content="We are in a world where people take seconds to decide which article to read. When crafting a title, think about who is your reader, what they are looking for, achieve, or the solution you are giving."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about title_text="Content Format" about_content="f you are attaching a complete article, please submit as a Word document. We encourage the use of in-line hyperlinks for referring to the original sources."][cascara_about title_text="Impressive Intro" about_content="Your intro is most impressive section of your article. It decides if the reader will go through the entire content or not. As a writer you should ensure your opening paragraph is engaging and tell the reader what they are going to get from the article."][/vc_column][vc_column width="1/2" offset="vc_col-lg-4 vc_col-md-4"][cascara_about title_text="We Might Take" about_content="We receive a large volume of submissions daily we will contact you only if our editors feel that your content idea really impressive. We try to reply all the submissions we get within two working days."][cascara_about title_text="We Hate Duplicates" about_content="Your article must be your original work, has not previously been published. If your article is approved that should be solely on the cascara website and must not later be republished."][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

/* Blog Single Content */
if( ! function_exists( 'blog_single_content_page_template' ) ) {

  add_filter( 'vc_load_default_templates', 'blog_single_content_page_template' );
  function blog_single_content_page_template($data) {
    $template               = array();
    $template['name']       = __( 'Blog Single Content', 'cascara-core' );
    $template['content']    = <<<CONTENT
[vc_row][vc_column][vc_column_text css=".vc_custom_1531464324941{margin-bottom: 0px !important;}"]Leverage agile frameworks to provide a robust synopsis for high level overviews. Iterative approaches to corporate strategy foster collaborative thinking to further the overall value proposition. Organically grow the holistic world view of disruptive innovation via workplace diversity and empowerment. Kinfolk said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting for you a man like Herbert Hsoover again.

Said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting for you a man like Herbert Hoover again.

[cascara_blockquote]They got diff'rent strokes its takes diff'rent strokes it takes diff'rent strokes to on our door we've been waiting for you a man.[/cascara_blockquote]

Too will done their very best to make the others comfortable girls were girls be and men were men mister we could use well the first thing you know ol' Jeds a millionaire. Kinfolk said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting.[/vc_column_text][vc_single_image image="571" img_size="full" alignment="center" css=".vc_custom_1537339837676{margin-top: 19px !important;margin-bottom: 17px !important;}"][vc_column_text css=".vc_custom_1536304613235{margin-bottom: 0px !important;}"]Said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting for you a man like Herbert Hoover again.

Men mister we could use well the first thing you know ol' Jeds a millionaire. Kinfolk said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting.[/vc_column_text][vc_custom_heading text="Take a step that is new" font_container="tag:h4|font_size:26|text_align:left|color:%23333333" use_theme_fonts="yes"][vc_column_text css=".vc_custom_1536304748626{margin-bottom: 0px !important;}"][cascara_simple_lists][cascara_simple_list list_text="Today still wanted by the government they survive as soldiers of fortune."][cascara_simple_list list_text="Hills someday the mountain might get them but the law never win."][cascara_simple_list list_text="You would see the biggest gift would be from me and the card attached."][/cascara_simple_lists][/vc_column_text][vc_custom_heading text="Kind of torture to have to watch" font_container="tag:h4|font_size:26|text_align:left|color:%23333333" use_theme_fonts="yes"][vc_column_text]These men promptly escaped from a maximum security stockade to the Los Angeles underground. Come and listen to a story about a man named JedJeds a millionaire. Kinfolk said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting.[/vc_column_text][vc_single_image image="571" img_size="full" alignment="center" css=".vc_custom_1537339849815{margin-top: 19px !important;margin-bottom: 5px !important;}"][vc_media_grid element_width="6" initial_loading_animation="none" grid_id="vc_gid:1537339857862-80978689-1ab3-7" include="639,617"][vc_column_text css=".vc_custom_1531464640362{margin-bottom: 0px !important;}"]The others comfortable girls were girls be and men were men mister we could use well the first thing you know ol' Jeds a millionaire. Kinfolk said Jed move awa from there here he comes here comes speed Racer he's a demon on wheels black gold but they got diff'rent strokes its takes diff'rent strokes - it takes diff'rent strokes to move the world come and knock on our door we've been waiting for you a man.[/vc_column_text][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
  }

}

