<?php
/**
 * About - Shortcode Options
 */
add_action( 'init', 'cascara_about_vc_map' );
if ( ! function_exists( 'cascara_about_vc_map' ) ) {
  function cascara_about_vc_map() {
    vc_map( array( 
      "name" => __( "About", 'cascara-core'),
      "base" => "cascara_about",
      "description" => __( "About Shortcodes", 'cascara-core'),
      "icon" => "fa fa-user color-pink",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          "type"      => 'vt_icon',
          "heading"   => __('Set Icon', 'cascara-core'),
          "param_name" => "about_icon",
          "value"      => "",
          "description" => __( "Set your about icon.", 'cascara-core'),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "About Title", 'cascara-core' ),
          "param_name" => "title_text",
          'value' => '',
          'admin_label' => true,
          "description" => __( "Enter your about title.", 'cascara-core'),
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Link', 'cascara-core'),
          "param_name" => "title_link",
          "value"      => "",
          "description" => __( "Enter your about link.", 'cascara-core'),
        ),
        array(
          "type" => "textarea",
          "heading" => __( "About Content", 'cascara-core' ),
          "param_name" => "about_content",
          'value' => '',
          "description" => __( "Enter your about content.", 'cascara-core'),
        ),

        CascaraLib::vt_class_option(),

        // Styling
        array(
          "type" => "colorpicker",
          "heading" => __( "Title Color", 'cascara-core' ),
          "param_name" => "title_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-4 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Title Size", 'cascara-core' ),
          "param_name" => "title_size",
          'value' => '',
          "description" => __( "Enter section title text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-4 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Title Hover Color", 'cascara-core' ),
          "param_name" => "title_hover_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-4 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Content Color", 'cascara-core' ),
          "param_name" => "content_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Content Size", 'cascara-core' ),
          "param_name" => "content_size",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Icon Color", 'cascara-core' ),
          "param_name" => "icon_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Icon Size", 'cascara-core' ),
          "param_name" => "icon_size",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),

      )
    ) );
  }
}
