<?php
/* ==========================================================
  About
=========================================================== */
if ( !function_exists('cascara_about_function')) {
  function cascara_about_function( $atts, $content = true ) {

    extract(shortcode_atts(array(
      'about_icon'  => '',
      'title_text'  => '',
      'title_link'  => '',
      'about_content'  => '',
      // Styling
      'title_color'  => '',
      'title_size'  => '',
      'title_hover_color'  => '',
      'content_color'  => '',
      'content_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'class'  => '',
      
    ), $atts));

    // Shortcode Style CSS
    $e_uniqid     = uniqid();
    $inline_style = '';

    // Title
    if ( $title_color || $title_size ) {
      $inline_style .= '.cscra-about-'. $e_uniqid .'.about-item h3.about-title, .cscra-about-'. $e_uniqid .'.about-item h3.about-title a {';
      $inline_style .= ( $title_color ) ? 'color:'. $title_color .';' : '';
      $inline_style .= ( $title_size ) ? 'font-size:'. cascara_core_check_px($title_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $title_hover_color ) {
      $inline_style .= '.cscra-about-'. $e_uniqid .'.cscra-about-'. $e_uniqid .'.about-item h3.about-title a:hover {';
      $inline_style .= ( $title_hover_color ) ? 'color:'. $title_hover_color .';' : '';
      $inline_style .= '}';
    }
    // Content
    if ( $content_color || $content_size ) {
      $inline_style .= '.cscra-about-'. $e_uniqid .'.about-item p {';
      $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
      $inline_style .= ( $content_size ) ? 'font-size:'. cascara_core_check_px($content_size) .';' : '';
      $inline_style .= '}';
    }
    // Icon
    if ( $icon_color || $icon_size ) {
      $inline_style .= '.cscra-about-'. $e_uniqid .'.about-item [class*="pe-7s"] {';
      $inline_style .= ( $icon_color ) ? 'color:'. $icon_color .';' : '';
      $inline_style .= ( $icon_size ) ? 'font-size:'. cascara_core_check_px($icon_size) .';' : '';
      $inline_style .= '}';
    }
    
    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' cscra-about-'. $e_uniqid;

    $about_icon = $about_icon ? '<div class="cscra-icon"><span class="'.$about_icon.'"></span></div>' : '';
    $title = $title_link ? '<h3 class="about-title"><a href="'.$title_link.'">'.$title_text.'</a></h3>' : '<h3 class="about-title">'.$title_text.'</h3>';
    $about_content = $about_content ? '<p>'.$about_content.'</p>' : '';

    $output = '<div class="about-item cscra-item'. $styled_class .' '. $class .'">'. $about_icon . $title . $about_content .'</div>';

    return $output;
  }
}
add_shortcode( 'cascara_about', 'cascara_about_function' );
