<?php
/**
 * Address - Shortcode Options
 */
add_action( 'init', 'cascara_address_vc_map' );
if ( ! function_exists( 'cascara_address_vc_map' ) ) {
  function cascara_address_vc_map() {
    vc_map( array( 
      "name" => __( "Address", 'cascara-core'),
      "base" => "cscra_address",
      "description" => __( "Address Shortcodes", 'cascara-core'),
      "icon" => "fa fa-info color-brown",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          "type"      => 'vt_icon',
          "heading"   => __('Set Icon', 'cascara-core'),
          "param_name" => "address_icon",
          "value"      => "",
          "description" => __( "Set your address icon.", 'cascara-core'),
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Address Title', 'cascara-core'),
          "param_name" => "address_title",
          "value"      => "",
          "description" => __( "Enter your address title.", 'cascara-core'),
          'admin_label' => true,
        ),
        array(
          "type"      => 'textarea',
          "heading"   => __('Content', 'cascara-core'),
          "param_name" => "address_content",
          "value"      => "",
          "description" => __( "Enter your address content here.", 'cascara-core'),
        ),

        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => __( 'Lists', 'cascara-core' ),
          'param_name' => 'list_items',
          // Note params is mapped inside param-group:
          'params' => array(
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Text', 'cascara-core' ),
              'param_name' => 'list_text',
              'admin_label' => true,
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Text Link', 'cascara-core' ),
              'param_name' => 'text_link',
            ),
            array(
              "type" => "switcher",
              "heading" => __( "Open New Tab?", 'cascara-core' ),
              "param_name" => "open_link",
              "std" => false,
              'value' => '',
              "on_text" => __( "Yes", 'cascara-core' ),
              "off_text" => __( "No", 'cascara-core' ),
            ),

          )
        ),
        
        CascaraLib::vt_class_option(),

        // Style
        CascaraLib::vt_notice_field(__( "Title Styling", 'cascara-core' ),'tle_opt','cs-warning', 'Style'), // Notice
        array(
          "type"      => 'colorpicker',
          "heading"   => __('Title Color', 'cascara-core'),
          "param_name" => "title_color",
          "value"      => "",
          "description" => __( "Pick your title color.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Title Size', 'cascara-core'),
          "param_name" => "title_size",
          "value"      => "",
          "description" => __( "Enter the numeric value for title size in px.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => __('Link Hover Color', 'cascara-core'),
          "param_name" => "link_hover_color",
          "value"      => "",
          "description" => __( "Pick your link hover color.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
        ),

        array(
          "type"      => 'colorpicker',
          "heading"   => __('Content Color', 'cascara-core'),
          "param_name" => "content_color",
          "value"      => "",
          "description" => __( "Pick your content color.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Content Size', 'cascara-core'),
          "param_name" => "content_size",
          "value"      => "",
          "description" => __( "Enter the numeric value for content size in px.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'colorpicker',
          "heading"   => __('Icon Color', 'cascara-core'),
          "param_name" => "icon_color",
          "value"      => "",
          "description" => __( "Pick your icon color.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Icon Size', 'cascara-core'),
          "param_name" => "icon_size",
          "value"      => "",
          "description" => __( "Enter the numeric value for icon size in px.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        // Spacings
        array(
          "type"      => 'textfield',
          "heading"   => __('Title Top Space', 'cascara-core'),
          "param_name" => "title_top",
          "value"      => "",
          "description" => __( "Enter the numeric value for title top space in px.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Title Bottom Space', 'cascara-core'),
          "param_name" => "title_btm",
          "value"      => "",
          "description" => __( "Enter the numeric value for title bottom space in px.", 'cascara-core'),
          "group" => __( "Style", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),

      )
    ) );
  }
}
