<?php
/* ==========================================================
  Address
=========================================================== */
if ( !function_exists('cascara_address_function')) {
  function cascara_address_function( $atts, $content = true ) {

    extract(shortcode_atts(array(
      'address_icon'  => '',
      'address_title'  => '',
      'address_content'  => '',
      'list_items'  => '',
      'class'  => '',

      // Style
      'title_color'  => '',
      'title_size'  => '',
      'content_color'  => '',
      'content_size'  => '',
      'link_hover_color'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'title_top' =>'',
      'title_btm' =>'',
      
    ), $atts));

    // Group Field One
    $list_items = (array) vc_param_group_parse_atts( $list_items );
    $get_each_list = array();
    foreach ( $list_items as $list_item ) {
      $each_list = $list_item;
      $each_list['list_text'] = isset( $list_item['list_text'] ) ? $list_item['list_text'] : '';
      $each_list['text_link'] = isset( $list_item['text_link'] ) ? $list_item['text_link'] : '';
      $each_list['open_link'] = isset( $list_item['open_link'] ) ? $list_item['open_link'] : '';
      $get_each_list[] = $each_list;
    }

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';
    
    if ( $title_size || $title_color ) {
      $inline_style .= '.cscra-address-'. $e_uniqid .' .contact-info .contact-title {';
      $inline_style .= ( $title_color ) ? 'color:'. $title_color .';' : '';
      $inline_style .= ( $title_size ) ? 'font-size:'. cascara_core_check_px($title_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $content_color || $content_size ) {
      $inline_style .= '.cscra-address-'. $e_uniqid .' .contact-info p, .cscra-address-'. $e_uniqid .'.contact-item a {';
      $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
      $inline_style .= ( $content_size ) ? 'font-size:'. cascara_core_check_px($content_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $link_hover_color ) {
      $inline_style .= '.cscra-address-'. $e_uniqid .'.contact-item a:hover {';
      $inline_style .= ( $link_hover_color ) ? 'color:'. $link_hover_color .';' : '';
      $inline_style .= '}';
    }
    if ( $icon_color || $icon_size ) {
      $inline_style .= '.cscra-address-'. $e_uniqid .'.contact-item .cscra-icon [class*="pe-7s-"] {';
      $inline_style .= ( $icon_color ) ? 'color:'. $icon_color .';' : '';
      $inline_style .= ( $icon_size ) ? 'font-size:'. cascara_core_check_px($icon_size) .';' : '';
      $inline_style .= '}';
    }
    // Spacings
     if ( $title_top || $title_btm ) {
      $inline_style .= '.cscra-address-'. $e_uniqid .'.contact-item .contact-info h4 {';
      $inline_style .= ( $title_top ) ? 'padding-top:'. cascara_core_check_px($title_top) .';' : '';
      $inline_style .= ( $title_btm ) ? 'padding-bottom:'. cascara_core_check_px($title_btm) .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' cscra-address-'. $e_uniqid;

    // Address Icon
    $address_icon = $address_icon ? '<div class="cscra-icon"><span class="'. $address_icon .'"></span></div>' : '';
    $address_title = $address_title ? '<h4 class="contact-title">'. $address_title .'</h4>' : '';
    $address_content = $address_content ? '<p>'. $address_content .'</p>' : '';


    $output = '<div class="contact-item'.$styled_class.' '.$class.'">'. $address_icon .'<div class="contact-info">'. $address_title . $address_content;
      foreach ( $get_each_list as $list_item ) {
        $open_link = $list_item['open_link'] ? ' target="_blank"' : '';
        if ($list_item['list_text']) {
        $output .= '<div class="contact-link"><a href="'. $list_item['text_link'] .'"'.$open_link.'>'. $list_item['list_text'] .'</a></div>';
        }
      }
    $output .= '</div></div>';

    return $output;
  }
}
add_shortcode( 'cscra_address', 'cascara_address_function' );
