<?php
/**
 * Button - Shortcode Options
 */
add_action( 'init', 'cascara_button_vc_map' );
if ( ! function_exists( 'cascara_button_vc_map' ) ) {
  function cascara_button_vc_map() {
    vc_map( array(
      "name" => __( "Button", 'cascara-core'),
      "base" => "cscra_button",
      "description" => __( "Button Styles", 'cascara-core'),
      "icon" => "fa fa-mouse-pointer color-orange",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Button Size', 'cascara-core' ),
          'value' => array(
            __( 'Select Button Size', 'cascara-core' ) => '',
            __( 'Small', 'cascara-core' ) => 'btn-small',
            __( 'Medium', 'cascara-core' ) => 'btn-medium',
            __( 'Large', 'cascara-core' ) => 'btn-large',
          ),
          'admin_label' => true,
          'param_name' => 'button_size',
          'description' => __( 'Select button size', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Button Text", 'cascara-core' ),
          "param_name" => "button_text",
          'value' => '',
          'admin_label' => true,
          "description" => __( "Enter your button text.", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "href",
          "heading" => __( "Button Link", 'cascara-core' ),
          "param_name" => "button_link",
          'value' => '',
          "description" => __( "Enter your button link.", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "switcher",
          "heading" => __( "Open New Tab?", 'cascara-core' ),
          "param_name" => "open_link",
          "std" => false,
          'value' => '',
          "on_text" => __( "Yes", 'cascara-core' ),
          "off_text" => __( "No", 'cascara-core' ),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "switcher",
          "heading" => __( "Disable Simple Dark Hover", 'cascara-core' ),
          "param_name" => "simple_hover",
          "std" => false,
          'value' => '',
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        CascaraLib::vt_class_option(),

        // Styling
        array(
          "type" => "colorpicker",
          "heading" => __( "Text Color", 'cascara-core' ),
          "param_name" => "text_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Text Hover Color", 'cascara-core' ),
          "param_name" => "text_hover_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Background Hover Color", 'cascara-core' ),
          "param_name" => "bg_hover_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'simple_hover',
            'value' => 'true',
          ),
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Border Hover Color", 'cascara-core' ),
          "param_name" => "border_hover_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'dependency' => array(
            'element' => 'simple_hover',
            'value' => 'true',
          ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Text Size", 'cascara-core' ),
          "param_name" => "text_size",
          'value' => '',
          "description" => __( "Enter button text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
        ),

        // Icon
        array(
          'type' => 'dropdown',
          'heading' => __( 'Icon Alignment', 'cascara-core' ),
          'value' => array(
            __( 'Select Icon Alignment', 'cascara-core' ) => '',
            __( 'Left', 'cascara-core' ) => 'btn-icon-left',
            __( 'Right', 'cascara-core' ) => 'btn-icon-right',
          ),
          'param_name' => 'icon_alignment',
          'description' => __( 'Select icon alignment in this button.', 'cascara-core' ),
          "group" => __( "Icon", 'cascara-core'),
        ),
        array(
          "type" => "vt_icon",
          "heading" => __( "Select Icon", 'cascara-core' ),
          "param_name" => "select_icon",
          'value' => '',
          "description" => __( "Select icon if you want.", 'cascara-core'),
          "group" => __( "Icon", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Icon Size", 'cascara-core' ),
          "param_name" => "icon_size",
          'value' => '',
          "description" => __( "Enter icon size in px.", 'cascara-core'),
          "group" => __( "Icon", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Icon Color", 'cascara-core' ),
          "param_name" => "icon_color",
          'value' => '',
          "description" => __( "Pick your icon color.", 'cascara-core'),
          "group" => __( "Icon", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Icon Hover Color", 'cascara-core' ),
          "param_name" => "icon_hover_color",
          'value' => '',
          "description" => __( "Pick your icon hover color.", 'cascara-core'),
          "group" => __( "Icon", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),

        // Design Tab
        array(
          "type" => "css_editor",
          "heading" => __( "Text Size", 'cascara-core' ),
          "param_name" => "css",
          "group" => __( "Design", 'cascara-core'),
        ),

      )
    ) );
  }
}
