<?php
/**
 * Buy Add Section - Shortcode Options
 */
add_action( 'init', 'buy_add_vc_map' );
if ( ! function_exists( 'buy_add_vc_map' ) ) {
  function buy_add_vc_map() {
    vc_map( array(
      "name" => __( "Buy Advertisement ", 'cascara-core'),
      "base" => "cscra_buy_add",
      "description" => __( "Buy Add Section", 'cascara-core'),
      "icon" => "fa fa-briefcase color-white",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        // Buy Advertisement Section
         CascaraLib::vt_notice_field(__( "Buy Advertisement Content Section", 'cascara-core' ),'tle_opt','cs-info', ''), // Notice
 
        array(
          'type' => 'attach_image',
          'value' => '',
          'heading' => __( 'Upload Image', 'cascara-core' ),
          'param_name' => 'add_image',
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Advertisement Title', 'cascara-core' ),
          'param_name' => 'add_title',
          'admin_label' => true,
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Advertisement Banner Size', 'cascara-core' ),
          'param_name' => 'add_banner_size',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'textarea',
          'value' => '',
          'heading' => __( 'Advertisement Content', 'cascara-core' ),
          'param_name' => 'add_content',
        ),

          CascaraLib::vt_notice_field(__( "Button Section", 'cascara-core' ),'tle_opt','cs-info', ''), // Notice
        // Button
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Button Text', 'cascara-core' ),
          'param_name' => 'btn_text',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
         array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Button Text Link', 'cascara-core' ),
          'param_name' => 'btn_text_link',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        CascaraLib::vt_open_link_tab(),
        CascaraLib::vt_class_option(),
        
         // Title
         CascaraLib::vt_notice_field(__( "Buy Advertisement Styling", 'cascara-core' ),'tle_opt','cs-warning', 'Styling'), // Notice

        array(
          "type" => "colorpicker",
          "heading" => __( "Advertisement Title Color", 'cascara-core' ),
          "param_name" => "title_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your title color.', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Advertisement Title Size", 'cascara-core' ),
          "param_name" => "title_size",
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Enter your title size.', 'cascara-core' ),
        ), 
        array(
          "type" => "colorpicker",
          "heading" => __( "Advertisement Banner Size Text Color", 'cascara-core' ),
          "param_name" => "banner_text_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your banner text color.', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Advertisement Banner Size Text Size", 'cascara-core' ),
          "param_name" => "banner_text_size",
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Enter your banner text size.', 'cascara-core' ),
        ), 
        array(
          "type" => "colorpicker",
          "heading" => __( "Content Color", 'cascara-core' ),
          "param_name" => "content_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your content color.', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Content Size", 'cascara-core' ),
          "param_name" => "content_size",
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Enter your content size.', 'cascara-core' ),
        ), 
        // Button Style
        array(
          "type" => "colorpicker",
          "heading" => __( "Button Text Color", 'cascara-core' ),
          "param_name" => "btn_text_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your button text color.', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Button Text Size", 'cascara-core' ),
          "param_name" => "btn_text_size",
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Enter your button text size.', 'cascara-core' ),
        ), 
        array(
          "type" => "colorpicker",
          "heading" => __( "Button Background Color", 'cascara-core' ),
          "param_name" => "btn_bg_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your button background color.', 'cascara-core' ),
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Button Background Hover Color", 'cascara-core' ),
          "param_name" => "btn_bg_hover_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your button background hover color.', 'cascara-core' ),
        ),

      )
    ) );
  }
}
