<?php
/**
 * Category Tabs - Shortcode Options
 */
add_action( 'init', 'cascara_category_tabs_vc_map' );
if ( ! function_exists( 'cascara_category_tabs_vc_map' ) ) {
  function cascara_category_tabs_vc_map() {
    vc_map( array(
      "name" => __( "Category Tabs", 'cascara-core'),
      "base" => "cascara_category_tabs",
      "description" => __( "Posts with category filter", 'cascara-core'),
      "icon" => "fa fa-credit-card-alt color-green",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(
        array(
          "type"        =>'textfield',
          "heading"     =>__('Title', 'cascara-core'),
          "param_name"  => "blog_title",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter the custom title to show.", 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Items', 'cascara-core'),
          "param_name"  => "blog_items",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter the number of blogs to show.", 'cascara-core'),
        ),
        // List
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => __( 'Lists', 'cascara-core' ),
          'param_name' => 'list_items',
          // Note params is mapped inside param-group:
          'params' => array(
            array(
              'type' => 'cscra_taxonomy',
              'value' => "",
              'heading' => __( 'Category', 'cascara-core' ),
              'param_name' => 'cat_id',
              'admin_label' => true,
            ),
            array(
              'type' => 'textfield',
              'value' => "",
              'heading' => __( 'Show only certain post ids?', 'cascara-core' ),
              'param_name' => 'cat_specific_post',
              "description" => __( "Enter post ID (comma separated).", 'cascara-core'),
            ),

          )
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Order', 'cascara-core' ) => '',
            __('Ascending', 'cascara-core') => 'ASC',
            __('Descending', 'cascara-core') => 'DESC',
          ),
          'param_name' => 'blog_order',
          'admin_label' => true,
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order By', 'cascara-core' ),
          'value' => array(
            __('None', 'cascara-core') => 'none',
            __('ID', 'cascara-core') => 'ID',
            __('Author', 'cascara-core') => 'author',
            __('Title', 'cascara-core') => 'title',
            __('Date', 'cascara-core') => 'date',
          ),
          'param_name' => 'blog_orderby',
          'admin_label' => true,
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),

        CascaraLib::vt_class_option(),

        // Styling
        array(
          "type" => "colorpicker",
          "heading" => __( "Tiny Heading Border Color", 'cascara-core' ),
          "param_name" => "border_color",
          'value' => '',          
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          "group" => __( "Styling", 'cascara-core')
        ),      
        array(
          'type' => 'dropdown',
          'heading' => __( 'Preloader', 'cascara-core' ),
          "group" => __( "Styling", 'cascara-core'),
          'value' => array(
            __( 'Select Preloader Style', 'cascara-core' ) => '',
            __('Ball pulse', 'cascara-core') => 'ball-pulse',
            __('Ball grid pulse', 'cascara-core') => 'ball-grid-pulse',
            __('Ball clip rotate', 'cascara-core') => 'ball-clip-rotate',
            __('Ball clip rotate pulse', 'cascara-core') => 'ball-clip-rotate-pulse',
            __('Square spin', 'cascara-core') => 'square-spin',
            __('Ball clip rotate multiple', 'cascara-core') => 'ball-clip-rotate-multiple',
            __('Ball pulse rise', 'cascara-core') => 'ball-pulse-rise',
            __('Ball rotate', 'cascara-core') => 'ball-rotate',
            __('Cube transition', 'cascara-core') => 'cube-transition',
            __('Ball zig zag', 'cascara-core') => 'ball-zig-zag',
            __('Ball zig zag deflect', 'cascara-core') => 'ball-zig-zag-deflect',
            __('Ball triangle path', 'cascara-core') => 'ball-triangle-path',
            __('Ball scale', 'cascara-core') => 'ball-scale',
            __('Line scale', 'cascara-core') => 'line-scale',
            __('Line scale party', 'cascara-core') => 'line-scale-party',
            __('Ball scale multiple', 'cascara-core') => 'ball-scale-multiple',
            __('Ball pulse sync', 'cascara-core') => 'ball-pulse-sync',
            __('Ball beat', 'cascara-core') => 'ball-beat',
            __('Line scale pulse out', 'cascara-core') => 'line-scale-pulse-out',
            __('Line scale pulse out rapid', 'cascara-core') => 'line-scale-pulse-out-rapid',
            __('Ball scale ripple', 'cascara-core') => 'ball-scale-ripple',
            __('Ball scale ripple multiple', 'cascara-core') => 'ball-scale-ripple-multiple',
            __('Ball spin fade loader', 'cascara-core') => 'ball-spin-fade-loader',
            __('Line spin fade loader', 'cascara-core') => 'line-spin-fade-loader',
            __('Triangle skew spin', 'cascara-core') => 'triangle-skew-spin',
            __('Pacman', 'cascara-core') => 'pacman',
            __('Semi circle spin', 'cascara-core') => 'semi-circle-spin',
            __('Ball grid beat', 'cascara-core') => 'ball-grid-beat',
            __('Ball scale random', 'cascara-core') => 'ball-scale-random',
          ),
          'param_name' => 'preloader_style',          

        ),

      )
    ) );
  }
}
