<?php
/* ==========================================================
  Category Tabs
=========================================================== */
if ( !function_exists('cascara_category_tabs_function')) {
  function cascara_category_tabs_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'blog_title'  => '',
      'blog_items' => '',
      'list_items'  => '',
      // Listing
      'blog_order'  => '',
      'blog_orderby'  => '',
      'border_color'  => '',
      'preloader_style'  => '',
      'class'  => '',
      // Design
      'css' => ''
    ), $atts));

    // Image Link
    $image_link_wrap = cs_get_option('image_link_wrap');
    // Lazy Load
    $theme_lazyload = cs_get_option('theme_lazyload');

    // Design Tab
    $custom_css = ( function_exists( 'vc_shortcode_custom_css_class' ) ) ? vc_shortcode_custom_css_class( $css, ' ' ) : '';

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';

    // Button Text Color
    if ( $border_color ) {
      $inline_style .= '.nwshb-title-'. $e_uniqid .' .posts-title:after {';
      $inline_style .= ( $border_color ) ? 'background:'. $border_color .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $border_class  = ' nwshb-title-'. $e_uniqid;

    $list_items = (array) vc_param_group_parse_atts( $list_items );

    $values = array();
    foreach ( $list_items as $list_item ) {
      $each_list = $list_item;
      $each_list['cat_id'] = isset( $list_item['cat_id'] ) ? $list_item['cat_id'] : '';
      $each_list['cat_specific_post'] = isset( $list_item['cat_specific_post'] ) ? $list_item['cat_specific_post'] : '';
      $values[] = $each_list;
    }

    $metas_hide = (array) cs_get_option( 'theme_metas_hide' );
    $preloader = ($preloader_style) ? $preloader_style : 'ball-pulse';
    $blog_title = $blog_title ? $blog_title : esc_html__('Categories','cascara');

    // Turn output buffer on
    ob_start();
    ?>

  <div class="nwshb-item-block <?php esc_attr( $class ); ?>">
    <div class="nwshb-title nwshb-tab-title posts-title-wrap <?php echo esc_attr( $border_class ); ?>">
          <?php if ($blog_title): ?>
      <div class="posts-title">
          <span class="nwshb-title-text"><?php echo esc_attr( $blog_title ); ?></span>
        <?php endif; ?>
        <div class="masonry-filters">
          <ul class="nav navbar-nav filter-buttons">
            <li><a href="javascript:void(0);" data-filter="*" class="active">All</a></li>
            <?php foreach ( array_slice($values, 0, 3)  as $key => $value):

                $cat_slug = get_term_by( 'id', $value['cat_id'], 'category' );
              ?>
              <li><a href="javascript:void(0);" data-loader="<?php echo esc_attr( $preloader ); ?>" data-key="<?php echo esc_attr($key+1); ?>" data-order="<?php echo esc_attr($blog_order); ?>" data-orderby="<?php echo esc_attr($blog_orderby); ?>" data-filter=".<?php echo esc_attr($cat_slug->slug); ?>" data-cat="<?php echo esc_attr($cat_slug->slug); ?>" data-ids="<?php echo esc_attr($value['cat_specific_post']); ?>" ><?php echo esc_attr( get_cat_name( $value['cat_id'] ) ); ?></a></li>
            <?php endforeach;
             if ( count($values) > 3  ) : ?>
            <li class="dropdown">
              <?php
                $cat_slug = get_term_by( 'id', $values[3]['cat_id'], 'category' );
              ?>
              <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="0" data-close-others="false" data-loader="<?php echo esc_attr( $preloader ); ?>" data-key="<?php echo esc_attr($key+2); ?>" data-order="<?php echo esc_attr($blog_order); ?>" data-orderby="<?php echo esc_attr($blog_orderby); ?>" data-filter=".<?php echo esc_attr($cat_slug->slug); ?>" data-cat="<?php echo esc_attr($cat_slug->slug); ?>"><?php echo esc_attr__( 'More', 'cascara-core' ); ?> <i class="fa fa-angle-down" aria-hidden="true"></i></a>
              <ul class="dropdown-menu">
              <?php foreach ( array_slice($values, 3)  as $key => $value):
               $cat_slug = get_term_by( 'id', $value['cat_id'], 'category' ); ?>
                <li><a href="javascript:void(0);" data-loader="<?php echo esc_attr( $preloader ); ?>" data-key="<?php echo esc_attr($key+4); ?>" data-order="<?php echo esc_attr($blog_order); ?>" data-orderby="<?php echo esc_attr($blog_orderby); ?>" data-filter=".<?php echo esc_attr($cat_slug->slug); ?>" data-cat="<?php echo esc_attr($cat_slug->slug); ?>" data-ids="<?php echo esc_attr($value['cat_specific_post']); ?>"><?php echo esc_attr( get_cat_name( $value['cat_id'] ) ); ?></a></li>
              <?php endforeach; ?>
              </ul>
            </li>
            <?php endif; ?>
          </ul>
       </div>
      </div>
    </div>
    <div class="nwshb-masonry nwshb-cat-tabdata">
      <?php
        $value = $values[0];
        $args = array(
          'post_type'       => 'post',
          'posts_per_page'  => $blog_items,
          'post_status'     => 'publish',
          'orderby'         => $blog_orderby,
          'order'           => $blog_order,
          // 'cat'             => $value['cat_id']
        );

        if( !empty( $value['cat_specific_post'] ) ){
          $integerIDs = array_map('intval', explode(',', $value['cat_specific_post']));
          $args['post__in'] = $integerIDs;
        }
        $cat_query = new WP_Query($args);

        $cat_slug = get_term_by( 'id', $value['cat_id'], 'category' );
        $order_first = ($key % 2 == 0) ? 'even' : 'odd';

      if ($cat_query->have_posts()): ?>
      <div class="post-items-wrap items-spacer-four">
        <div class="cscra-masonry">
          <?php $counter = 1;
           while ($cat_query->have_posts()) : $cat_query->the_post();
           $cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
           $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );

           if($cascara_large_image) {
            $cascara_large_image = $cascara_large_image[0];
             if(class_exists('Aq_Resize')) {
                $image_large = aq_resize( $cascara_large_image, '815', '415', true );
              } else {
                $image_large = $cascara_large_image;
              }
              
              $large_img = ( $image_large ) ? $image_large : $cascara_large_image;            
           } else {
            $large_img = '';
           }

            // Category
            global $post;
            $terms = get_the_category();
            foreach ($terms as $term) {
              $cat_class = ' '.$term->slug.'-item';
            }
            $count = count($terms);
            $i=0;
            $cat_class = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $cat_class .= ' '.$term->slug.'-item';
                if ($count != $i) {
                  $cat_class .= '';
                } else {
                  $cat_class .= '';
                }
              }
            }

          if ($counter == 1) {
            $place_img_actual = CASCARA_IMAGES .'/815x415.jpg'; ?>
            <div class="masonry-item full-width <?php echo esc_attr($cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
              <div class="post-item">
                <?php if ( get_post_format() === 'gallery' ) {
                if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
                  <!-- Gallery -->
                  <div class="flexslider main-flexslider">
                    <ul class="slides">
                      <?php
                        $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
                        foreach ( $cascara_ids as $id ) {
                          $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
                          $cascara_attachment = $cascara_attachment[0];
                          $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
                          echo '<li><div class="cscra-image">';
                          if($image_link_wrap) {
                            echo '<a href="'.esc_url(get_the_permalink()).'">';
                          }
                          if(!$theme_lazyload) {
                            echo '<img src="'. $cascara_attachment .'" alt="'. esc_attr($cascara_alt) .'">';
                          } else {
                            echo '<img data-src="'. $cascara_attachment .'" src="'.$place_img_actual.'" alt="'. esc_attr($cascara_alt) .'">';
                          }
                          if($image_link_wrap) {
                            echo '</a>';
                          }
                          echo '</div></li>';
                        }
                        ?>
                    </ul>
                    <?php
                    cascara_post_cat(); ?>
                  </div>
                <?php } else {
                  if ($cascara_large_image) { ?>
                    <!-- Standard -->
                    <div class="cscra-image">
                    <?php if($image_link_wrap) { ?>
                      <a href="<?php echo esc_url(get_the_permalink()); ?>">
                    <?php }
                    if(!$theme_lazyload) { ?>
                      <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                    <?php } else { ?>
                      <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual);?>" alt="<?php echo get_the_title(); ?>">
                    <?php } if($image_link_wrap) { ?>
                      </a>
                    <?php }
                      cascara_post_cat(); ?>
                    </div>
                  <?php }
                }
              } elseif ( get_post_format() === 'video' ) {
                if($cascara_post_type){
                  $video_post = $cascara_post_type['video_post'];
                } else {
                  $video_post = '';
                }
                if ($cascara_large_image) { ?>
                  <!-- Video -->
                  <div class="cscra-image">
                  <?php if($image_link_wrap) { ?>
                    <a href="<?php echo esc_url(get_the_permalink()); ?>">
                  <?php }
                  if(!$theme_lazyload) { ?>
                    <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                  <?php } else { ?>
                    <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual); ?>" alt="<?php echo get_the_title(); ?>">
                  <?php } if($image_link_wrap) { ?>
                    </a>
                  <?php }
                    cascara_post_cat();
                    if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
                    <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
                    <?php } ?>
                  </div>
                <?php } } else {
                if ($cascara_large_image) { ?>
                  <!-- Standard -->
                  <div class="cscra-image">
                  <?php if($image_link_wrap) { ?>
                    <a href="<?php echo esc_url(get_the_permalink()); ?>">
                  <?php } if(!$theme_lazyload) { ?>
                    <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                  <?php } else { ?>
                    <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual);?>" alt="<?php echo get_the_title(); ?>">
                  <?php } if($image_link_wrap) { ?>
                    </a>
                  <?php }
                    cascara_post_cat();
                    ?>
                  </div>
                <?php } } ?>
                <div class="post-info">
                  <div class="post-meta">
                    <ul>
                    <?php
                    if ( function_exists( 'cascara_post_views_two' ) ) {
                      cascara_post_views_two(get_the_ID());
                    } ?>
                      <li><i class="fa fa-user-o" aria-hidden="true"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_attr(get_the_author()); ?></a></li>
                      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                      <?php if (get_comments_number()!=0) { ?>
                      <li><?php echo '<i class="fa fa-commenting-o"></i>';
                        comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                      <?php } ?>
                    </ul>
                  </div>
                  <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
                  <p><?php
                  $blog_excerpt = cs_get_option('theme_blog_excerpt');
                  if ($blog_excerpt) {
                    $blog_excerpt = $blog_excerpt;
                  } else {
                    $blog_excerpt = '24';
                  }
                  cascara_excerpt($blog_excerpt);
                  echo cascara_wp_link_pages();
                  ?></p>
                </div>
              </div>
            </div>

          <?php }
          $counter++;
          endwhile; ?>
        </div>
      </div>

      <div class="post-items-wrap items-spacer-five items-style-four">
        <div class="cscra-masonry">
          <?php
          $counter=1;
          while ($cat_query->have_posts()) : $cat_query->the_post();
            global $post;
            $terms = get_the_category();
            foreach ($terms as $term) {
              $cat_class = ' '.$term->slug.'-item';
            }
            $count = count($terms);
            $i=0;
            $cat_class = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $cat_class .= ' '.$term->slug.'-item';
                if ($count != $i) {
                  $cat_class .= '';
                } else {
                  $cat_class .= '';
                }
              }
            }
            if ($counter != 1) { ?>
            <div class="masonry-item one-half <?php echo esc_attr($cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
              <div class="post-item">
                <div class="cscra-image">
                  <?php
                    $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                    $cascara_large_image = $cascara_large_image[0];

                    if(class_exists('Aq_Resize')) {
                      $gallery_thumb = aq_resize( $cascara_large_image, '130', '120', true );
                    } else {$gallery_thumb = $cascara_large_image;}
                    $place_img_actual = CASCARA_IMAGES .'/130x120.jpg';
                    $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;
                    $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                    if($image_link_wrap) {
                      echo '<a href="'.esc_url(get_the_permalink()).'">';
                    }
                    if(!$theme_lazyload) {
                      echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
                    } else {
                      echo '<img data-src="'. $gallery_img .'" src="'. $place_img_actual .'" alt="'. esc_attr($cascara_alt) .'">';
                    }
                    if($image_link_wrap) {
                      echo '</a>';
                    }
                    if ( function_exists( 'cascara_post_views' ) ) {
                      cascara_post_views(get_the_ID());
                    }
                   ?>
                </div>
                <div class="post-info cscra-item">
                  <div class="cscra-table-wrap">
                    <div class="cscra-align-wrap">
                      <div class="post-meta">
                        <ul>
                        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                        <?php if (get_comments_number()!=0) { ?>
                          <li><?php echo '<i class="fa fa-commenting-o"></i>';
                            comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                        <?php } ?>
                      </ul>
                      </div>
                      <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php }
          $counter++;
          endwhile;
          wp_reset_postdata(); ?>
        </div>
      </div>
      <?php endif; ?>
    </div>
  </div>
    <?php
    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'cascara_category_tabs', 'cascara_category_tabs_function' );
