<?php
/**
 * Client Carousel - Shortcode Options
 */
add_action( 'init', 'client_carousel_vc_map' );
if ( ! function_exists( 'client_carousel_vc_map' ) ) {
  function client_carousel_vc_map() {
    vc_map( array(
      "name" => __( "Client", 'cascara-core'),
      "base" => "cscra_client_carousel",
      "description" => __( "Client Carousel", 'cascara-core'),
      "icon" => "fa fa-shield color-green",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        CascaraLib::vt_open_link_tab(),

        // Client Logos
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => __( 'Client Logos', 'cascara-core' ),
          'param_name' => 'client_logos',
          // Note params is mapped inside param-group:
          'params' => array(
            array(
              'type' => 'attach_image',
              'value' => '',
              "admin_label"=> true,
              'heading' => __( 'Upload Image', 'cascara-core' ),
              'param_name' => 'client_logo',
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Client Link', 'cascara-core' ),
              'param_name' => 'client_link',
            )
          )
        ),
        CascaraLib::vt_class_option(),

        // Carousel
        CascaraLib::vt_notice_field(__( "Basic Options", 'cascara-core' ),'bsic_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_loop(), // Loop
        CascaraLib::vt_carousel_items(), // Items
        CascaraLib::vt_carousel_margin(), // Margin
        CascaraLib::vt_notice_field(__( "Auto Play & Interaction", 'cascara-core' ),'apyi_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_autoplay_timeout(), // Autoplay Timeout
        CascaraLib::vt_carousel_autoplay(), // Autoplay
        CascaraLib::vt_carousel_animateout(), // Animate Out
        CascaraLib::vt_carousel_mousedrag(), // Mouse Drag
        CascaraLib::vt_notice_field(__( "Width & Height", 'cascara-core' ),'wah_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_autowidth(), // Auto Width
        CascaraLib::vt_carousel_autoheight(), // Auto Height
        CascaraLib::vt_notice_field('Responsive Options','res_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_tablet(), // Tablet
        CascaraLib::vt_carousel_mobile(), // Mobile
        CascaraLib::vt_carousel_small_mobile(), // Small Mobile

      )
    ) );
  }
}
