<?php
/**
 * Featured Slider - Shortcode Options
 */
add_action( 'init', 'cascara_featured_slider_vc_map' );
if ( ! function_exists( 'cascara_featured_slider_vc_map' ) ) {
  function cascara_featured_slider_vc_map() {
    vc_map( array(
      "name" => __( "Featured Slider", 'cascara-core'),
      "base" => "cascara_featured_slider",
      "description" => __( "Featured Slider Styles", 'cascara-core'),
      "icon" => "fa fa-window-maximize color-red",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Featured Slider Style', 'cascara-core' ),
          'value' => array(
            __( 'Select an Option', 'cascara-core' )   => '',
            __( 'Style One(4 posts in a slide) - Full-Width', 'cascara-core' )   => 'style-one',
            __( 'Style Two(3 posts in a slide) - Full-Width', 'cascara-core' )   => 'style-two',
            __( 'Style Three(2 posts in a slide) - Only with sidebar', 'cascara-core' )   => 'style-three',
            __( 'Style Four(Grid, 3 posts in a slide) - Only with sidebar', 'cascara-core' )   => 'style-four'
          ),
          'admin_label' => true,
          'param_name' => 'blog_style',
          'description' => __( 'Select your blog style.', 'cascara-core' ),
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Show only certain categories?', 'cascara-core'),
          "param_name"  => "blog_show_category",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter category SLUGS (comma separated) you want to display.", 'cascara-core'),
        ),
        array(
          'type' => 'cascara_post_format',
          "heading"     =>__('Format', 'cascara-core'),
          'value' => "",
          'param_name' => 'blog_show_post_format',
          'admin_label' => true,
          "description" => __( "Select Post Format.", 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Limit', 'cascara-core'),
          "param_name"  => "blog_show_posts",
          "value"       => "",
          "description" => __( "Enter the number of items to show.", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Show only certain post ids?', 'cascara-core'),
          "param_name"  => "blog_show_id",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter post ID (comma separated) you want to display.", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Order', 'cascara-core' ) => '',
            __('Ascending', 'cascara-core') => 'ASC',
            __('Descending', 'cascara-core') => 'DESC',
          ),
          'param_name' => 'blog_order',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order By', 'cascara-core' ),
          'value' => array(
            __('None', 'cascara-core') => 'none',
            __('ID', 'cascara-core') => 'ID',
            __('Author', 'cascara-core') => 'author',
            __('Title', 'cascara-core') => 'title',
            __('Date', 'cascara-core') => 'date',
          ),
          'param_name' => 'blog_orderby',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),

        CascaraLib::vt_class_option(),

        // Carousel
        CascaraLib::vt_notice_field(__( "Basic Options", 'cascara-core' ),'bsic_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_loop(), // Loop
        CascaraLib::vt_carousel_items(), // Items
        CascaraLib::vt_carousel_margin(), // Margin
        CascaraLib::vt_carousel_dots(), // Loop
        CascaraLib::vt_carousel_nav(), // Loop
        CascaraLib::vt_notice_field(__( "Auto Play & Interaction", 'cascara-core' ),'apyi_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_autoplay_timeout(), // Autoplay Timeout
        CascaraLib::vt_carousel_autoplay(), // Autoplay
        CascaraLib::vt_carousel_animateout(), // Animate Out
        CascaraLib::vt_carousel_mousedrag(), // Mouse Drag
        CascaraLib::vt_notice_field(__( "Width & Height", 'cascara-core' ),'wah_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_autowidth(), // Auto Width
        CascaraLib::vt_carousel_autoheight(), // Auto Height
        CascaraLib::vt_notice_field('Responsive Options','res_opt','cs-warning', 'Carousel'), // Notice
        CascaraLib::vt_carousel_tablet(), // Tablet
        CascaraLib::vt_carousel_mobile(), // Mobile
        CascaraLib::vt_carousel_small_mobile(), // Small Mobile

      )
    ) );
  }
}
