<?php
/* ==========================================================
  Featured Slider
=========================================================== */
if ( !function_exists('cascara_featured_slider_function')) {
  function cascara_featured_slider_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'blog_style'  => '',
      'slide_post'  => '',
      // Listing
      'blog_order'  => '',
      'blog_orderby'  => '',
      'blog_show_category'  => '',
      'blog_show_post_format'  => '',
      'blog_show_id'  => '',
      'blog_show_posts'  => '',
      'class'  => '',

      // Carousel
      'carousel_loop'  => '',
      'carousel_items'  => '',
      'carousel_margin'  => '',
      'carousel_dots' => '',
      'carousel_nav' => '',
      'carousel_autoplay_timeout'  => '',
      'carousel_autoplay'  => '',
      'carousel_animate_out'  => '',
      'carousel_mousedrag'  => '',
      'carousel_autowidth'  => '',
      'carousel_autoheight'  => '',
      'carousel_tablet'  => '',
      'carousel_mobile'  => '',
      'carousel_small_mobile'  => '',
    ), $atts));

    // Image Link
    $image_link_wrap = cs_get_option('image_link_wrap');
    // Lazy Load
    $theme_lazyload = cs_get_option('theme_lazyload');

    $blog_style_class = ($blog_style) ? 'featured-slider-'. $blog_style : 'featured-slider-style-four';
    $posts_per_page = ( $blog_show_posts ) ? $blog_show_posts : -1;

    if($blog_style == 'style-one'){
      $blog_slide_post = 4;
    } elseif($blog_style == 'style-two'){
      $blog_slide_post = 3;
    } elseif($blog_style == 'style-three'){
      $blog_slide_post = 2;
    } else {
      $blog_slide_post = 1;
    }

    // Carousel Data's
    $carousel_loop = $carousel_loop !== 'true' ? ' data-loop="true"' : ' data-loop="false"';
    $carousel_dots = $carousel_dots === 'true' ? ' data-dots="true"' : ' data-dots="false"';
    $carousel_nav = $carousel_nav === 'true' ? ' data-nav="true"' : ' data-nav="false"';
    $carousel_items = $carousel_items ? ' data-items="'. $carousel_items .'"' : ' data-items="3"';
    $carousel_margin = $carousel_margin ? ' data-margin="'. $carousel_margin .'"' : ' data-margin="5"';
    $carousel_autoplay_timeout = $carousel_autoplay_timeout ? ' data-autoplay-timeout="'. $carousel_autoplay_timeout .'"' : '';
    $carousel_autoplay = $carousel_autoplay ? ' data-autoplay="'. $carousel_autoplay .'"' : '';
    $carousel_animate_out = $carousel_animate_out ? ' data-animateout="'. $carousel_animate_out .'"' : '';
    $carousel_mousedrag = $carousel_mousedrag !== 'true' ? ' data-mouse-drag="true"' : ' data-mouse-drag="false"';
    $carousel_autowidth = $carousel_autowidth ? ' data-auto-width="'. $carousel_autowidth .'"' : '';
    $carousel_autoheight = $carousel_autoheight ? ' data-auto-height="'. $carousel_autoheight .'"' : '';
    $carousel_tablet = $carousel_tablet ? ' data-items-tablet="'. $carousel_tablet .'"' : ' data-items-tablet="3"';
    $carousel_mobile = $carousel_mobile ? ' data-items-mobile-landscape="'. $carousel_mobile .'"' : ' data-items-mobile-landscape="2"';
    $carousel_small_mobile = $carousel_small_mobile ? ' data-items-mobile-portrait="'. $carousel_small_mobile .'"' : ' data-items-mobile-portrait="1"';

    $args = array(
      // other query params here,
      'post_type'     => 'post',
      'posts_per_page' => $posts_per_page,
      'orderby'       => $blog_orderby,
      'order'         => $blog_order
    );

    if(!empty($blog_show_id)){
      $integerIDs = array_map('intval', explode(',', $blog_show_id));
      $args['post__in'] = $integerIDs;
    }

    if( !empty( $blog_show_category ) ){
      $args['category_name'] = esc_attr($blog_show_category);
    }

    if( !empty( $blog_show_post_format ) ){
      $term = get_term_by( 'id', $blog_show_post_format, 'post_format');
      $args['tax_query'] = array(
        array(
          'taxonomy' => 'post_format',
          'field' => 'slug',
          'terms' => array($term->slug)
        )
      );
    }

    $cascara_post = new WP_Query( $args );

    $metas_hide = (array) cs_get_option( 'theme_metas_hide' );

    // Turn output buffer on
    ob_start();

    if ( $cascara_post->have_posts() ) : ?>
    <!-- nwshb primary posts -->
    <div class="cscra-primary-posts owl-carousel" <?php echo $carousel_loop . $carousel_items . $carousel_margin . $carousel_autoplay_timeout . $carousel_autoplay . $carousel_animate_out . $carousel_mousedrag . $carousel_autowidth . $carousel_dots . $carousel_nav . $carousel_autoheight . $carousel_tablet . $carousel_mobile . $carousel_small_mobile; ?>>
    <?php while($cascara_post->have_posts()) : $cascara_post->the_post(); ?>


      <div class="post-item ">
        <div class="cscra-image">
          <?php
            $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
            $cascara_large_image = $cascara_large_image[0];

            if(class_exists('Aq_Resize')) {
              $gallery_thumb = aq_resize( $cascara_large_image, '640', '590', true );
            } else {$gallery_thumb = $cascara_large_image;}
            $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;

            $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
            if($image_link_wrap) {
              echo '<a href="'.esc_url(get_the_permalink()).'">';
            }
            if(!$theme_lazyload) {
              echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
            } else {
              echo '<img class="lazyload" data-src="'. $gallery_img .'" src="'.CASCARA_IMAGES . '/640x590.jpg" alt="'. esc_attr($cascara_alt) .'">';
            }
            if($image_link_wrap) {
              echo '</a>';
            }

          cascara_post_cat(); ?>
          <div class="post-info">
            <?php if(!in_array( 'views', $metas_hide ) || !in_array( 'date', $metas_hide ) || !in_array( 'comments', $metas_hide )) { ?>
              <div class="post-meta">
                <ul>
                  <?php
                  if ( !in_array( 'views', $metas_hide ) ) {
                    if ( function_exists( 'cascara_post_views_two' ) ) {
                      echo cascara_post_views_two(get_the_ID());
                    }
                  }
                  if ( !in_array( 'date', $metas_hide ) ) {  ?>
                  <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                  <?php } if ( !in_array( 'comments', $metas_hide ) ) {
                  if (get_comments_number()!=0) { ?>
                  <li><?php echo '<i class="fa fa-commenting-o"></i>';
                    comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                  <?php } } ?>
                </ul>
              </div>
            <?php } ?>
            <h3 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
          </div>
        </div>
      </div>

      <?php
      endwhile;
      endif; ?>
    </div>
    <?php
    wp_reset_query();

    // Return outbut buffer
    return ob_get_clean();
  }
}
add_shortcode( 'cascara_featured_slider', 'cascara_featured_slider_function' );