<?php
/**
 * List - Shortcode Options
 */
add_action( 'init', 'cascara_list_vc_map' );
if ( ! function_exists( 'cascara_list_vc_map' ) ) {
  function cascara_list_vc_map() {
    vc_map( array(
      "name" => __( "List", 'cascara-core'),
      "base" => "cscra_list",
      "description" => __( "List Styles", 'cascara-core'),
      "icon" => "fa fa-list color-red",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'List Style', 'cascara-core' ),
          'value' => array(
            __( 'Style One (Image or Icon)', 'cascara-core' ) => 'cscra-list-one',
            __( 'Style Two (Simple Circle)', 'cascara-core' ) => 'cscra-list-two',
            __( 'Style Three (Contact Section)', 'cascara-core' ) => 'cscra-list-three',
            __( 'Style Four (Person Details)', 'cascara-core' ) => 'cscra-list-four',
          ),
          'admin_label' => true,
          'param_name' => 'list_style',
          'description' => __( 'Select your list style.', 'cascara-core' ),
        ),

        // List
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => __( 'Lists', 'cascara-core' ),
          'param_name' => 'list_items',
          // Note params is mapped inside param-group:
          'params' => array(
            array(
              'type' => 'dropdown',
              'value' => array(
                __( 'Icon', 'cascara-core' ) => 'list_icon',
                __( 'Image', 'cascara-core' ) => 'list_image',
              ),
              'heading' => __( 'Icon or Image', 'cascara-core' ),
              'param_name' => 'icon_image',
            ),
            array(
              'type' => 'vt_icon',
              'value' => '',
              'heading' => __( 'Select Icon', 'cascara-core' ),
              'param_name' => 'select_icon',
              'dependency' => array(
                'element' => 'icon_image',
                'value' => 'list_icon',
              ),
            ),
            array(
              'type' => 'attach_image',
              'value' => '',
              'heading' => __( 'Upload Icon Image', 'cascara-core' ),
              'param_name' => 'select_image',
              'dependency' => array(
                'element' => 'icon_image',
                'value' => 'list_image',
              ),
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'admin_label' => true,
              'heading' => __( 'Title', 'cascara-core' ),
              'param_name' => 'list_title',
            ),
            array(
              'type' => 'textarea',
              'value' => '',
              'heading' => __( 'Text', 'cascara-core' ),
              'param_name' => 'list_text',
            ),

          )
        ),
        CascaraLib::vt_class_option(),

        // Style
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Text Color', 'cascara-core' ),
          'param_name' => 'text_color',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Bullet/Icon Color', 'cascara-core' ),
          'param_name' => 'icon_color',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Text Size', 'cascara-core' ),
          'param_name' => 'text_size',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Bullet/Icon Size', 'cascara-core' ),
          'param_name' => 'icon_size',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Title Color', 'cascara-core' ),
          'param_name' => 'title_color',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Pick your title color.', 'cascara-core' ),
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Title Size', 'cascara-core' ),
          'param_name' => 'title_size',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
          'description' => __( 'Enter the px value if you used title area in list style type one.', 'cascara-core' ),
        ),

      )
    ) );
  }
}
