<?php
/**
 * Login signup - Shortcode Options
 */
add_action( 'init', 'login_signup_vc_map' );
if ( ! function_exists( 'login_signup_vc_map' ) ) {
  function login_signup_vc_map() {
    vc_map( array(
    "name" => __( "Login Signup", 'cascara-core'),
    "base" => "cascara_login_signup",
    "description" => __( "Login Signup form", 'cascara-core'),
    "icon" => "fa fa-user color-red",
    "category" => CascaraLib::cascara_cat_name(),
    "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Select Form', 'cascara-core' ),
          'value' => array(
            __( 'Login Form', 'cascara-core' ) => 'login',
            __( 'Signup Form', 'cascara-core' ) => 'signup',

          ),
          'param_name' => 'form_type',
          'description' => __( 'Select form', 'cascara-core' ),
          "admin_label"=> true,
        ),

        array(
        "type"        =>'textfield',
        "heading"     =>__('Form Title', 'cascara-core'),
        "param_name"  => "form_title",
        "value"       => "",
        "description" => __( "Enter the title for your form", 'cascara-core'),
        "admin_label"=> true,
        'dependency' => array(
            'element' => 'form_type',
            'value' => array('login', 'signup'),
          ),
        ),
        array(
        "type"        =>'textarea',
        "heading"     =>__('Form Sub-Title', 'cascara-core'),
        "param_name"  => "form_sub_title",
        "value"       => "",
        "description" => __( "Enter the sub-title for your form", 'cascara-core'),
        "admin_label"=> true,
        'dependency' => array(
            'element' => 'form_type',
            'value' => array('login', 'signup'),
          ),
        ),
        array(
        "type"        =>'textfield',
        "heading"     =>__('Text After Form', 'cascara-core'),
        "param_name"  => "text_after",
        "value"       => "",
        "description" => __( "Enter the text after form", 'cascara-core'),
        'dependency' => array(
            'element' => 'form_type',
            'value' => array('login', 'signup'),
          ),
        ),
        array(
        "type"        =>'textfield',
        "heading"     =>__('Link Text', 'cascara-core'),
        "param_name"  => "link_text",
        "value"       => "",
        "description" => __( "Enter the text of the link", 'cascara-core'),
        'dependency' => array(
            'element' => 'form_type',
            'value' => array('login', 'signup'),
          ),
        ),
        array(
        "type"        =>'textfield',
        "heading"     =>__('Link Url', 'cascara-core'),
        "param_name"  => "link_url",
        "value"       => "",
        "description" => __( "Enter the url of the link", 'cascara-core'),
        'dependency' => array(
            'element' => 'form_type',
            'value' => array('login', 'signup'),
          ),
        ),
      CascaraLib::vt_class_option(),
       // Design Tab
        array(
          "type" => "css_editor",
          "heading" => __( "Design Options", 'cascara-core' ),
          "param_name" => "css",
          "group" => __( "Design", 'cascara-core'),
        ),
      ),
    ) );
  }
}
