<?php
/* Team */
if ( !function_exists('cascara_login_signup_function')) {
  function cascara_login_signup_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'form_type'  => '',
      'form_title' => '',
      'form_sub_title' => '',
      'link_url'  => '',
      'text_after'  => '',
      'link_text'  => '',
      // Horizontal Forms
      'hr_form_style' =>'',
      'form_title_hr' =>'',
      'form_sub_title_hr' =>'',
      'form_aftr_text_hr' =>'',
      'form_aftr_link_text_hr' =>'',
      'form_aftr_text_link_hr' =>'',
      'class'  => '',
      // Design
      'css' => ''
    ), $atts));

    // Design Tab
    $custom_css = ( function_exists( 'vc_shortcode_custom_css_class' ) ) ? vc_shortcode_custom_css_class( $css, ' ' ) : '';
    $form_type = $form_type ?  $form_type  : 'login';
    $title = $form_title ? '<h2 class="section-title">'.$form_title.'</h2>' : '';
    $sub_title = $form_sub_title ? '<p>'.$form_sub_title.'</p>' : '';

    // Turn output buffer on
    ob_start();

    if ($form_type == "signup"){
        $text_after = $text_after ? $text_after : esc_html__('Already have an account? ','cascara-core');
        $link_text = $link_text ? $link_text : esc_html__('Login','cascara-core');
        $link_url = $link_url ? $link_url : cs_get_option('login_link');
        $link_text = $link_text ?  '<a href="'.esc_url($link_url).'">'.esc_attr($link_text).'</a>'  : '';
        //signup form
        ?>
        <div class="cscra-form signup-form <?php echo $class; ?> ">
        <div class="cscra-section-title">
          <?php echo $title.$sub_title; ?>
        </div>
        <div class="form-wrap">
        <?php
        if ( ! is_user_logged_in() ) {
            echo do_shortcode('[cascara_registration]');
             echo '<p class="create-account-link"><span>' . esc_attr($text_after) .'</span>'. $link_text .'</p>';
        } else { // If logged in:
            echo '<div class="cscra-logout-admin">';
            wp_loginout( home_url() ); // Display "Log Out" link.
            echo " | ";
            wp_register('', ''); // Display "Site Admin" link.
            echo '</div>';
        }
        ?>
        </div>
        </div>
        <?php
    } else {
    $text_after = $text_after ? $text_after : esc_html__('Don\'t have an account yet? ','cascara-core');
    $link_text = $link_text ? $link_text : esc_html__('Create an account','cascara-core');
    $link_url = $link_url ? $link_url : cs_get_option('signup_link');
    $link_text = $link_text ?  '<a href="'.esc_url($link_url).'">'.esc_attr($link_text).'</a>'  : '';
        //login form
        ?>
        <div class="cscra-form login-form">
        <div class="cscra-section-title">
          <?php echo $title.$sub_title; ?>
        </div>
        <div class="form-wrap">
                <?php
                    if ( ! is_user_logged_in() ) {
                    $args = array(

                        'remember'       => true,
                        'redirect'       => ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'],
                        'form_id'        => 'loginform',
                        'id_username'    => 'user_login',
                        'id_password'    => 'user_pass',
                        'id_remember'    => 'rememberme',
                        'id_submit'      => 'wp-submit',
                        'label_username' => __( 'Email', 'cascara-core' ),
                        'label_password' => __( 'Password', 'cascara-core' ),
                        'label_remember' => __( 'Remember Me', 'cascara-core' ),
                        'label_log_in'   => __( 'Login', 'cascara-core' ),
                        'value_username' => '',
                        'value_remember' => false
                    );
                    wp_login_form($args);
                    echo '<p class="create-account-link"><span>' . esc_attr($text_after) .'</span></p>';
                    echo '<p class="create-account-link-txt">' . $link_text .'</p>';
                    } else { // If logged in:
                        echo '<div class="cscra-logout-admin">';
                            wp_loginout( home_url() ); // Display "Log Out" link.
                            echo " | ";
                            wp_register('', ''); // Display "Site Admin" link.
                        echo '</div>';
                    }
                ?>
            </div>
            </div>

        <?php
    }

    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'cascara_login_signup', 'cascara_login_signup_function' );
