<?php
/**
 * Partners Section - Shortcode Options
 */
add_action( 'init', 'partner_vc_map' );
if ( ! function_exists( 'partner_vc_map' ) ) {
  function partner_vc_map() {
    vc_map( array(
      "name" => __( "Partners", 'cascara-core'),
      "base" => "cscra_partner",
      "description" => __( "Our Partners Section", 'cascara-core'),
      "icon" => "fa fa-sign-language color-pink",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        CascaraLib::vt_notice_field(__( "Partners Section", 'cascara-core' ),'tle_opt','cs-info', ''), // Notice

        // Client Logos
        array(
          'type' => 'param_group',
          'value' => '',
          'heading' => __( 'Partner Logos', 'cascara-core' ),
          'param_name' => 'partner_logos',
          // Note params is mapped inside param-group:
          'params' => array(
            array(
              'type' => 'attach_image',
              'value' => '',
              'heading' => __( 'Upload Image', 'cascara-core' ),
              'param_name' => 'partner_logo',
              'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Company Link', 'cascara-core' ),
              'param_name' => 'partner_link',
              'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Comapny Name', 'cascara-core' ),
              'param_name' => 'company_name',  
              "admin_label"=> true,           
            ),
            array(
              'type' => 'textfield',
              'value' => '',
              'heading' => __( 'Comapny Type', 'cascara-core' ),
              'param_name' => 'company_type',
            ),
            array(
              'type' => 'textarea',
              'value' => '',
              'heading' => __( 'Comapny Description', 'cascara-core' ),
              'param_name' => 'company_desc',
            )
          )
        ),

        CascaraLib::vt_open_link_tab(),
        CascaraLib::vt_class_option(),

         // Styling
        array(
          "type" => "colorpicker",
          "heading" => __( "Company Name Color", 'cascara-core' ),
          "param_name" => "company_name_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          "description" => __( "Pick company name text color.", 'cascara-core'),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Company Name  Size", 'cascara-core' ),
          "param_name" => "company_name_size",
          'value' => '',
          "description" => __( "Enter company name text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Company Type Color", 'cascara-core' ),
          "param_name" => "company_type_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
          "description" => __( "Pick company type text color.", 'cascara-core'),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Company Type Size", 'cascara-core' ),
          "param_name" => "company_type_size",
          'value' => '',
          "description" => __( "Enter company type text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Company Description Color", 'cascara-core' ),
          "param_name" => "company_desc_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
           "description" => __( "Pick company description color.", 'cascara-core'),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Company Description Size", 'cascara-core' ),
          "param_name" => "company_desc_size",
          'value' => '',
          "description" => __( "Enter company description text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),

      )
    ) );
  }
}
