<?php
/* ==========================================================
  Client Carousel
=========================================================== */
if ( !function_exists('cascara_partner_func')) {
  function cascara_partner_func( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'open_link'  => '',
      'partner_logos'  => '',
      'class'  => '',
      // Styling
      'company_name_color' =>'',
      'company_name_size' =>'',
      'company_type_color' =>'',
      'company_type_size' =>'',
      'company_desc_color' =>'',
      'company_desc_size' =>'',
    ), $atts));

    // Shortcode Style CSS
    $e_uniqid     = uniqid();
    $inline_style = '';

    // Link Target
    $open_link = $open_link ? 'target="_blank"' : '';

    // Title
    if ( $company_name_color || $company_name_size ) {
      $inline_style .= '.cscra-partners-'. $e_uniqid .' .partners-content-area h4 {';
      $inline_style .= ( $company_name_color ) ? 'color:'. $company_name_color .';' : '';
      $inline_style .= ( $company_name_size ) ? 'font-size:'. cascara_core_check_px($company_name_size) .';' : '';
      $inline_style .= '}';
    }
    // Type
    if ( $company_type_color || $company_type_size ) {
      $inline_style .= '.cscra-partners-'. $e_uniqid .' .partners-content-area h5 {';
      $inline_style .= ( $company_type_color ) ? 'color:'. $company_type_color .';' : '';
      $inline_style .= ( $company_type_size ) ? 'font-size:'. cascara_core_check_px($company_type_size) .';' : '';
      $inline_style .= '}';
    }
    // Description
    if ( $company_desc_color || $company_desc_size ) {
      $inline_style .= '.cscra-partners-'. $e_uniqid .' .partners-content-area p {';
      $inline_style .= ( $company_desc_color ) ? 'color:'. $company_desc_color .';' : '';
      $inline_style .= ( $company_desc_size ) ? 'font-size:'. cascara_core_check_px($company_desc_size) .';' : '';
      $inline_style .= '}';
    }

    // Group Field
    $partner_logos = (array) vc_param_group_parse_atts( $partner_logos );
    $get_partner_logos = array();
    foreach ( $partner_logos as $partner_logo ) {
      $each_logo = $partner_logo;
      $each_logo['partner_logo'] = isset( $partner_logo['partner_logo'] ) ? $partner_logo['partner_logo'] : '';
      $each_logo['partner_link'] = isset( $partner_logo['partner_link'] ) ? $partner_logo['partner_link'] : '';
      $each_logo['company_name'] = isset( $partner_logo['company_name'] ) ? $partner_logo['company_name'] : '';
      $each_logo['company_type'] = isset( $partner_logo['company_type'] ) ? $partner_logo['company_type'] : '';
      $each_logo['company_desc'] = isset( $partner_logo['company_desc'] ) ? $partner_logo['company_desc'] : '';
      $get_partner_logos[] = $each_logo;
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' cscra-partners-'. $e_uniqid;

    $output = '<div class="cscra-partners '. $styled_class .'"> <div class="row">';
                  // Group Param Output
                  foreach ( $get_partner_logos as $each_logo ) {
                    $image_url = wp_get_attachment_url( $each_logo['partner_logo'] );
                    if ($each_logo['partner_link']) {
                      $output .= '<div class="col-md-4"><div class="partner-item"><div class="cscra-image"><a href="'. $each_logo['partner_link'] .'" '. $open_link .'><img src="'. $image_url .'" alt=""></a></div><div class="partners-content-area"><h4>'.$each_logo['company_name'].'</h4><h5>'. $each_logo['company_type'] .'</h5><p>'.$each_logo['company_desc'].'</p></div></div></div>';
                    } else {
                      $output .= '<div class="col-md-4"><div class="partner-item"><div class="cscra-image"><img src="'. $image_url .'" alt=""></div><div class="partners-content-area"><h4>'.$each_logo['company_name'].'</h4><h5>'. $each_logo['company_type'] .'</h5><p>'.$each_logo['company_desc'].'</p></div></div></div>';
                    }
                  }
    $output .= '</div></div>';

    return $output;
  }
}
add_shortcode( 'cscra_partner', 'cascara_partner_func' );
