<?php
/**
 * Primary Posts - Shortcode Options
 */
add_action( 'init', 'cascara_primary_posts_vc_map' );
if ( ! function_exists( 'cascara_primary_posts_vc_map' ) ) {
  function cascara_primary_posts_vc_map() {
    vc_map( array(
      "name" => __( "Primary Posts", 'cascara-core'),
      "base" => "cscra_primary_posts",
      "description" => __( "Primary Posts Styles", 'cascara-core'),
      "icon" => "fa fa-newspaper-o color-red",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Primary Posts Style', 'cascara-core' ),
          'value' => array(
            __( 'Style One(Default)', 'cascara-core' ) => 'style-one',
            __( 'Style Two', 'cascara-core' ) => 'style-two',
            __( 'Style Three', 'cascara-core' ) => 'style-three',
          ),
          'admin_label' => true,
          'param_name' => 'blog_style',
          'description' => __( 'Select your blog style.', 'cascara-core' ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Columns', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Columns', 'cascara-core' ) => '',
            __( 'Column One', 'cascara-core' ) => 'col-one',
            __( 'Column Two', 'cascara-core' ) => 'col-two',
          ),
          'admin_label' => true,
          'param_name' => 'blog_column',
          'description' => __( 'Select your blog column.', 'cascara-core' ),
          'dependency' => array(
            'element' => 'blog_style',
            'value' => 'style-one',
          ),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Limit', 'cascara-core'),
          "param_name"  => "blog_limit",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter the number of items to show.", 'cascara-core'),
        ),

        array(
    			"type"        => "notice",
    			"heading"     => __( "Meta's to Hide", 'cascara-core' ),
    			"param_name"  => 'mts_opt',
    			'class'       => 'cs-warning',
    			'value'       => '',
    		),
        array(
          "type"        => 'switcher',
          "heading"     => __('Category', 'cascara-core'),
          "param_name"  => "blog_category",
          "value"       => "",
          "std"         => false,
          'edit_field_class' => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Date', 'cascara-core'),
          "param_name"  => "blog_date",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Author', 'cascara-core'),
          "param_name"  => "blog_author",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Comments', 'cascara-core'),
          "param_name"  => "blog_comments",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Views', 'cascara-core'),
          "param_name"  => "blog_views",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),

        array(
    			"type"        => "notice",
    			"heading"     => __( "Listing", 'cascara-core' ),
    			"param_name"  => 'lsng_opt',
    			'class'       => 'cs-warning',
    			'value'       => '',
    		),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Order', 'cascara-core' ) => '',
            __('Asending', 'cascara-core') => 'ASC',
            __('Desending', 'cascara-core') => 'DESC',
          ),
          'param_name' => 'blog_order',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order By', 'cascara-core' ),
          'value' => array(
            __('None', 'cascara-core') => 'none',
            __('ID', 'cascara-core') => 'ID',
            __('Author', 'cascara-core') => 'author',
            __('Title', 'cascara-core') => 'title',
            __('Date', 'cascara-core') => 'date',
          ),
          'param_name' => 'blog_orderby',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Show only certain categories?', 'cascara-core'),
          "param_name"  => "blog_show_category",
          "value"       => "",
          "description" => __( "Enter category SLUGS (comma separated) you want to display.", 'cascara-core')
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Short Content (Excerpt Length)', 'cascara-core'),
          "param_name"  => "short_content",
          "value"       => "",
          "description" => __( "Enter the numeric value of, how many words you want in short content paragraph.", 'cascara-core')
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Pagination', 'cascara-core'),
          "param_name"  => "blog_pagination",
          "value"       => "",
          "std"         => true,
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Read More Button Text', 'cascara-core'),
          "param_name"  => "read_more_txt",
          "value"       => "",
          "description" => __( "Enter read more button text.", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Miss-Aligned? Mention Minimum Height :', 'cascara-core'),
          "param_name"  => "miss_align_height",
          "value"       => "",
          "description" => __( "Enter the px value for minimum height. This will fix miss-aligned issue with your listing items.", 'cascara-core')
        ),
        CascaraLib::vt_class_option(),

      )
    ) );
  }
}
