<?php
/* ==========================================================
  Blog
=========================================================== */
if ( !function_exists('cscra_primary_posts_function')) {
  function cscra_primary_posts_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'blog_style'  => '',
      'blog_column'  => '',
      'blog_limit'  => '',
      // Enable & Disable
      'blog_category'  => '',
      'blog_date'  => '',
      'blog_author'  => '',
      'blog_comments'  => '',
      'blog_views' => '',
      'blog_pagination'  => '',
      // Listing
      'blog_order'  => '',
      'blog_orderby'  => '',
      'blog_show_category'  => '',
      'short_content'  => '',
      'class'  => '',
      // Read More Text
      'read_more_txt'  => '',
      // Miss Align
      'miss_align_height'  => '',
    ), $atts));
    // Image Link
    $image_link_wrap = cs_get_option('image_link_wrap');
    $theme_lazyload = cs_get_option('theme_lazyload');

    // Column
    if ($blog_style === 'cscra-blog-two') {
      $blog_column_class = $blog_column ? $blog_column : 'cscra-blog-col-2';
    } elseif ($blog_style === 'cscra-blog-three') {
      $blog_column_class = $blog_column ? $blog_column : 'cscra-blog-col-3';
    } else {
      $blog_column_class = 'cscra-blog-col-1';
    }

    // Excerpt
    if (cascara_framework_active()) {
      $excerpt_length = cs_get_option('theme_blog_excerpt');
      $excerpt_length = $excerpt_length ? $excerpt_length : '55';
      if ($short_content) {
        $short_content = $short_content;
      } else {
        $short_content = $excerpt_length;
      }
    } else {
      $short_content = '55';
    }

    // Style
    if ($blog_style === 'cscra-blog-two') {
      $blog_style_class = 'cscra-blog-one';
    } elseif ($blog_style === 'cscra-blog-three') {
      $blog_style_class = 'cscra-blog-one cscra-blog-two';
    } else {
      $blog_style_class = 'cscra-blog-one cscra-blog-list';
    }

    // Read More Text
    if (cascara_framework_active()) {
      $read_more_to = cs_get_option('read_more_text');
      if ($read_more_txt) {
        $read_more_txt = $read_more_txt;
      } elseif($read_more_to) {
        $read_more_txt = $read_more_to;
      } else {
        $read_more_txt = esc_html__( 'Read More', 'cascara-core' );
      }
    } else {
      $read_more_txt = $read_more_txt ? $read_more_txt : esc_html__( 'Read More', 'cascara-core' );
    }

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';

    // Miss-Aligned
    if ( $miss_align_height ) {
      $inline_style .= '.cscra-post-'. $e_uniqid .' .cscra-blog-post {';
      $inline_style .= ( $miss_align_height ) ? 'min-height:'. cascara_core_check_px($miss_align_height) .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' cscra-post-'. $e_uniqid;

    // Turn output buffer on
    ob_start();

    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'post',
      'posts_per_page' => (int)$blog_limit,
      'category_name' => esc_attr($blog_show_category),
      'orderby' => $blog_orderby,
      'order' => $blog_order
    );

    $cscra_post = new WP_Query( $args );
    if ($blog_style === 'style-three') {
      $style_cls = ' primary-posts-style-three';
    } elseif($blog_style === 'style-two') {
      $style_cls = ' primary-posts-style-two';
    } else {
      $style_cls = ' ';
    } ?>

    <!-- Blog Start -->
    <div class="cscra-primary-posts <?php echo esc_attr($style_cls); ?> <?php echo esc_attr($blog_style_class .' '. $blog_column_class .' '. $styled_class .' '. $class); ?>">
    <?php if($blog_style === 'style-two') {} ?>
      <div class="row">
      <?php
      if ($cscra_post->have_posts()) :
        $counter =  1;
        while ($cscra_post->have_posts()) : $cscra_post->the_post();

        $cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
        $cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
        $cascara_meta  = get_post_meta( $cascara_id, 'post_type_metabox', true );

        $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $cascara_large_image = $cascara_large_image[0];

        $cascara_read_more_text = cs_get_option('read_more_text');
        $cascara_read_text = $cascara_read_more_text ? $cascara_read_more_text : esc_html__( 'Read More', 'cascara' );
        $cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );

        $blog_style = $blog_style;
        $cascara_listing_column = $blog_column;

        if ($cascara_listing_column === 'col-two') {
          $col_class = ' col-md-6 col-sm-12';
        } else {
          $col_class = ' col-md-12';
        }
        $cascara_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
        if ($blog_style === 'style-three') {
        ?>
          <div class="col-md-6 col-sm-6">
            <div class="post-item">
              <div class="cscra-image">
              <?php
                  $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                  $cascara_large_image = $cascara_large_image[0];

                  if ($counter == 1) {
                    if(class_exists('Aq_Resize')) {
                      $gallery_thumb = aq_resize( $cascara_large_image, '580', '590', true );
                    } else {$gallery_thumb = $cascara_large_image;}
                    $place_img = CASCARA_IMAGES .'/580x590.jpg';
                  } else {
                    if(class_exists('Aq_Resize')) {
                      $gallery_thumb = aq_resize( $cascara_large_image, '580', '290', true );
                    } else {$gallery_thumb = $cascara_large_image;}
                    $place_img = CASCARA_IMAGES .'/580x290.jpg';
                  }
                  $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;

                  $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                  if($image_link_wrap) {
                    echo '<a href="'.esc_url(get_the_permalink()).'">';
                  }
                  if(!$theme_lazyload) {
                    echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
                  } else {
                    echo '<img class="lazyload" data-src="'. $gallery_img .'" src="'.$place_img.'" alt="'. esc_attr($cascara_alt) .'">';
                  }
                  if($image_link_wrap) {
                    echo '</a>';
                  }

                  cascara_post_cat(); ?>
                <div class="post-info">
                  <?php if(!$blog_views || !$blog_date || !$blog_comments) { ?>
                    <div class="post-meta">
                      <ul>
                      <?php
                      if(!$blog_views){
                        if ( function_exists( 'cascara_post_views_two' ) ) {
                          echo cascara_post_views_two(get_the_ID());
                        }
                      }
                       if(!$blog_date){ ?>
                        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                        <?php } if(!$blog_comments){
                        if (get_comments_number()!=0) { ?>
                        <li><?php echo '<i class="fa fa-commenting-o"></i>';
                          comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                        <?php } } ?>
                      </ul>
                    </div>
                  <?php } ?>
                  <h3 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
                </div>
              </div>
            </div>
          </div>
        <?php } elseif($blog_style === 'style-two') {
        if ($counter == 1) { ?>
          <div class="post-item post-spacer-one">
            <div class="cscra-image">
              <?php
                  $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                  $cascara_large_image = $cascara_large_image[0];

                  if(class_exists('Aq_Resize')) {
                    $gallery_thumb = aq_resize( $cascara_large_image, '1170', '590', true );
                  } else {$gallery_thumb = $cascara_large_image;}
                  $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;

                  $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                  if($image_link_wrap) {
                    echo '<a href="'.esc_url(get_the_permalink()).'">';
                  }
                  if(!$theme_lazyload) {
                    echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
                  } else {
                    echo '<img class="lazyload" data-src="'. $gallery_img .'" src="'.CASCARA_IMAGES . '/1170x590.jpg" alt="'. esc_attr($cascara_alt) .'">';
                  }
                  if($image_link_wrap) {
                    echo '</a>';
                  }


                  cascara_post_cat(); ?>
              <div class="post-info">
                <?php if(!$blog_views || !$blog_date || !$blog_comments) { ?>
                  <div class="post-meta">
                    <ul>
                    <?php
                    if(!$blog_views){
                      if ( function_exists( 'cascara_post_views_two' ) ) {
                        echo cascara_post_views_two(get_the_ID());
                      }
                    }
                     if(!$blog_date){ ?>
                      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                      <?php } if(!$blog_comments){
                        if (get_comments_number()!=0) { ?>
                      <li><?php echo '<i class="fa fa-commenting-o"></i>';
                        comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                      <?php } } ?>
                    </ul>
                  </div>
                <?php } ?>
                <h3 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
              </div>
            </div>
          </div>
        <?php } else { ?>
          <div class="col-md-4 col-sm-6">
            <div class="post-item post-spacer-two">
              <div class="cscra-image">
              <?php
                  $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                  $cascara_large_image = $cascara_large_image[0];

                  if(class_exists('Aq_Resize')) {
                    $gallery_thumb = aq_resize( $cascara_large_image, '640', '590', true );
                  } else {$gallery_thumb = $cascara_large_image;}
                  $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;

                  $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                  if($image_link_wrap) {
                    echo '<a href="'.esc_url(get_the_permalink()).'">';
                  }
                  if(!$theme_lazyload) {
                    echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
                  } else {
                    echo '<img class="lazyload"  data-src="'. $gallery_img .'" src="'.CASCARA_IMAGES . '/640x590.jpg" alt="'. esc_attr($cascara_alt) .'">';
                  }
                  if($image_link_wrap) {
                    echo '</a>';
                  }

                  cascara_post_cat(); ?>
              <div class="post-info">
                <?php if(!$blog_views || !$blog_date || !$blog_comments) { ?>
                  <div class="post-meta">
                    <ul>
                    <?php
                    if(!$blog_views){
                      if ( function_exists( 'cascara_post_views_two' ) ) {
                        echo cascara_post_views_two(get_the_ID());
                      }
                    }
                     if(!$blog_date){ ?>
                      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                      <?php } if(!$blog_comments){
                      if (get_comments_number()!=0) { ?>
                      <li><?php echo '<i class="fa fa-commenting-o"></i>';
                          comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                      <?php } } ?>
                    </ul>
                  </div>
                <?php } ?>
                <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
              </div>
            </div>
            </div>
          </div>

        <?php } } else { ?>
          <div class="col-lg-4 col-md-6 col-sm-6">
            <div class="post-item ">
              <div class="cscra-image">
                <?php
                  $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                  $cascara_large_image = $cascara_large_image[0];

                  if(class_exists('Aq_Resize')) {
                    $gallery_thumb = aq_resize( $cascara_large_image, '640', '590', true );
                  } else {$gallery_thumb = $cascara_large_image;}
                  $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;

                  $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                  if($image_link_wrap) {
                    echo '<a href="'.esc_url(get_the_permalink()).'">';
                  }
                  if(!$theme_lazyload) {
                    echo '<img src="'. $gallery_img .'" alt="'. esc_attr($cascara_alt) .'">';
                  } else {
                    echo '<img class="lazyload" data-src="'. $gallery_img .'" src="'.CASCARA_IMAGES . '/640x590.jpg" alt="'. esc_attr($cascara_alt) .'">';
                  }
                  if($image_link_wrap) {
                    echo '</a>';
                  }

                cascara_post_cat(); ?>
                <div class="post-info">
                  <?php if(!$blog_views || !$blog_date || !$blog_comments) { ?>
                    <div class="post-meta">
                      <ul>
                        <?php
                        if(!$blog_views){
                          if ( function_exists( 'cascara_post_views_two' ) ) {
                            echo cascara_post_views_two(get_the_ID());
                          }
                        }
                        if(!$blog_date){ ?>
                        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                        <?php } if(!$blog_comments){
                        if (get_comments_number()!=0) { ?>
                        <li><?php echo '<i class="fa fa-commenting-o"></i>';
                          comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                        <?php } } ?>
                      </ul>
                    </div>
                  <?php } ?>
                  <h3 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
                </div>
              </div>
            </div>
          </div>
        <?php }
        $counter++;
        endwhile;
        endif;
        wp_reset_postdata(); ?>

    </div>
    </div>
    <!-- Blog End -->

    <?php
    if ($blog_pagination) {
      if ( function_exists('wp_pagenavi')) {
        wp_pagenavi(array( 'query' => $cscra_post ) );
        wp_reset_postdata();  // avoid errors further down the page
      }
    }

    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'cscra_primary_posts', 'cscra_primary_posts_function' );
