<?php
/**
 * Sitemap - Shortcode Options
 */
add_action( 'init', 'cascara_sitemap_vc_map' );
if ( ! function_exists( 'cascara_sitemap_vc_map' ) ) {
  function cascara_sitemap_vc_map() {

    $custom_menus = array();
    if ( 'vc_edit_form' === vc_post_param( 'action' ) && vc_verify_admin_nonce() ) {
      $menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
      if ( is_array( $menus ) && ! empty( $menus ) ) {
        foreach ( $menus as $single_menu ) {
          if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->term_id ) ) {
            $custom_menus[ $single_menu->name ] = $single_menu->term_id;
          }
        }
      }
    }

    vc_map( array(
      "name" => __( "Sitemap", 'cascara-core'),
      "base" => "cscra_sitemap",
      "description" => __( "Sitemap Styles", 'cascara-core'),
      "icon" => "fa fa-sitemap color-green",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        // Sitemap
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Title', 'cascara-core' ),
          'description' => __( 'Enter menu title.', 'cascara-core' ),
          'param_name' => 'menu_title',
          'admin_label' => true,
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Menu', 'cascara-core' ),
          'value' => $custom_menus,
          'admin_label' => true,
          'param_name' => 'select_menu',
          'description' => __( 'Select your menu.', 'cascara-core' ),
        ),
        CascaraLib::vt_class_option(),

        // Style                
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Title Color', 'cascara-core' ),
          'param_name' => 'title_color',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
          'description' => __( 'Pick your title color.', 'cascara-core' ),
        ),      
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Title Size', 'cascara-core' ),
          'param_name' => 'title_size',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),  
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Link Color', 'cascara-core' ),
          'param_name' => 'link_color',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
          'description' => __( 'Pick your link color.', 'cascara-core' ),
        ),        
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Link Hover Color', 'cascara-core' ),
          'param_name' => 'link_hover_color',
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'colorpicker',
          'value' => '',
          'heading' => __( 'Border Color', 'cascara-core' ),
          'param_name' => 'border_color',
          'edit_field_class'   => 'vc_col-md-4 vc_column vt_field_space',
          'group' => __( 'Style', 'cascara-core' ),
        ),
        array(
          'type' => 'textfield',
          'value' => '',
          'heading' => __( 'Link Size', 'cascara-core' ),
          'param_name' => 'link_size',
          'group' => __( 'Style', 'cascara-core' ),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),        

      )
    ) );
  }
}
