<?php
/**
 * Team - Shortcode Options
 */
add_action( 'init', 'team_vc_map' );
if ( ! function_exists( 'team_vc_map' ) ) {
  function team_vc_map() {
    vc_map( array(
    "name" => __( "Team", 'cascara-core'),
    "base" => "cascara_team",
    "description" => __( "Team Style", 'cascara-core'),
    "icon" => "fa fa-users color-blue",
    "category" => CascaraLib::cascara_cat_name(),
    "params" => array(

        array(
          "type"        => "notice",
          "heading"     => __( "Listing", 'cascara-core' ),
          "param_name"  => 'lsng_opt',
          'class'       => 'cs-warning',
          'value'       => '',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Team Listing Column', 'cascara-core' ),
          'value' => array(
            __( 'Select Column', 'cascara-core' ) => 'col-sel',
            __( 'Three Column', 'cascara-core' ) => 'col-3',
            __( 'Four Column', 'cascara-core' ) => 'col-4',
          ),
          'param_name' => 'team_column',
          'description' => __( 'Select your team column.', 'cascara-core' ),
          'admin_label' => true,
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Limit', 'cascara-core'),
          "param_name"  => "team_limit",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter the number of items to show.", 'cascara-core'),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'cascara-core' ),
          'value' => array(
            __( 'Select Team Order', 'cascara-core' ) => '',
            __('Asending', 'cascara-core') => 'ASC',
            __('Desending', 'cascara-core') => 'DESC',
          ),
          'param_name' => 'team_order',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order By', 'cascara-core' ),
          'value' => array(
            __('None', 'cascara-core') => 'none',
            __('ID', 'cascara-core') => 'ID',
            __('Author', 'cascara-core') => 'author',
            __('Title', 'cascara-core') => 'title',
            __('Date', 'cascara-core') => 'date',
          ),
          'param_name' => 'team_orderby',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('ID', 'cascara-core'),
          "param_name"  => "team_id",
          "value"       => "",
          "description" => __( "Enter the id's (comma separated) of items to show.", 'cascara-core'),
        ),
        CascaraLib::vt_class_option(),

      ), // Params
    ) );
  }
}
