<?php
/* Team */
if ( !function_exists('cascara_team_function')) {
  function cascara_team_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'class'  => '',
      // Listing
      'team_column'  => '',
      'team_limit'  => '',
      'team_order'  => '',
      'team_orderby'  => '',
      'team_id'  => '',

    ), $atts));

    // Shortcode Style CSS
    $e_uniqid       = uniqid();
    $inline_style   = '';

    // Add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = 'cscra-team-'. $e_uniqid;

    // Turn output buffer on
    ob_start();

    // Query Starts Here
    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    if ($team_id) {
      $team_id = explode(',',$team_id);
    } else {
      $team_id = '';
    }

    $args = array(
      'paged' => $my_page,
      'post_type' => 'team',
      'posts_per_page' => (int)$team_limit,
      'orderby' => $team_orderby,
      'order' => $team_order,
      'post__in' => $team_id,
    );

    $cascara_team_qury = new WP_Query( $args );

    if ($cascara_team_qury->have_posts()) :

    if ($team_column === 'col-3') {
      $team_column_class = 'col-sm-4';
    } else {
      $team_column_class = 'col-md-3 col-sm-4';
    }
    ?>

    <div class="cscra-team">
      <div class="row">
        <?php 
        while ($cascara_team_qury->have_posts()) : $cascara_team_qury->the_post();

        // Featured Image
        $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $large_image = $large_image[0];
        $abt_title = get_the_title();

        if(class_exists('Aq_Resize')) {
          $team_img = aq_resize( $large_image, '270', '340', true );
          $team_featured_img = ( $team_img ) ? $team_img : $large_image;
        } else {$team_featured_img = $large_image;}

        // Link
        $team_options = get_post_meta( get_the_ID(), 'team_options', true );
        $team_pro = $team_options['team_job_position'];
        $team_featured_class = ( $large_image ) ? ' hav-thumb' : ' dhav-thumb';
        ?>
        <div class="<?php echo esc_attr($team_column_class); ?>">
          <div class="mate-item cscra-item<?php echo esc_attr($team_featured_class); ?>">
            <div class="cscra-image">
              <?php if ($large_image) { ?>
                <img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>">
              <?php } ?>
              <div class="mate-info">
                <h4 class="mate-name"><?php echo esc_html($abt_title); ?></h4>
                <?php if ($team_pro) { ?>
                  <p class="mate-designation"><?php echo esc_html($team_pro); ?></p>
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
        <?php endwhile; ?>
      </div>
    </div>
 <!-- Team End -->

<?php
  endif;
  wp_reset_postdata();

    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'cascara_team', 'cascara_team_function' );
