<?php
/**
 * Blog - Shortcode Options
 */
add_action( 'init', 'cascara_test_blog_vc_map' );
if ( ! function_exists( 'cascara_test_blog_vc_map' ) ) {
  function cascara_test_blog_vc_map() {
    vc_map( array(
      "name" => __( "Test Blog", 'cascara-core'),
      "base" => "cscra_test_blog",
      "description" => __( "Blog Styles", 'cascara-core'),
      "icon" => "fa fa-newspaper-o color-red",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Blog Style', 'cascara-core' ),
          'value' => array(
            __( 'Style One(Default)', 'cascara-core' ) => 'style-one',
            __( 'Style Two(Grid\'s)', 'cascara-core' ) => 'style-two',
            __( 'Style Three(Grid\'s)', 'cascara-core' ) => 'style-three',
            __( 'Style Four(Grid + List)', 'cascara-core' ) => 'style-four',
            __( 'Style Five(List)', 'cascara-core' ) => 'style-five',
            __( 'Style Six(Simple List)', 'cascara-core' ) => 'style-six',
            __( 'Style Seven(Image With Title Overlay)', 'cascara-core' ) => 'style-seven',
          ),
          'admin_label' => true,
          'param_name' => 'blog_style',
          'description' => __( 'Select your blog style.', 'cascara-core' ),
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Columns', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Columns', 'cascara-core' ) => '',
            __( 'Column One', 'cascara-core' ) => 'col-one',
            __( 'Column Two', 'cascara-core' ) => 'col-two',
            __( 'Column Three', 'cascara-core' ) => 'col-three',
            __( 'Column Four', 'cascara-core' ) => 'col-four',
          ),
          'admin_label' => true,
          'param_name' => 'blog_column',
          'description' => __( 'Select your blog column.', 'cascara-core' ),
          'dependency' => array(
            'element' => 'blog_style',
            'value' => array('style-one','style-seven'),
          ),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Blog Listing Title', 'cascara-core'),
          "param_name"  => "blog_listing_title",
          "value"       => "",
          "description" => __( "Enter the blog listing title.", 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('View All Posts Text', 'cascara-core'),
          "param_name"  => "blog_view_all_txt",
          "value"       => "",
          "description" => __( "Enter the view all blog text.", 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('View All Posts Link', 'cascara-core'),
          "param_name"  => "blog_view_all_link",
          "value"       => "",
          "description" => __( "Enter the view all blog link.", 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Limit', 'cascara-core'),
          "param_name"  => "blog_limit",
          "value"       => "",
          'admin_label' => true,
          "description" => __( "Enter the number of items to show.", 'cascara-core'),
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Hide Content', 'cascara-core'),
          "param_name"  => "hide_content",
          "value"       => "",
          'dependency' => array(
            'element' => 'blog_style',
            'value' => 'style-one',
          ),
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),

        array(
    			"type"        => "notice",
    			"heading"     => __( "Meta's to Hide", 'cascara-core' ),
    			"param_name"  => 'mts_opt',
    			'class'       => 'cs-warning',
    			'value'       => '',
    		),
        array(
          "type"        => 'switcher',
          "heading"     => __('Category', 'cascara-core'),
          "param_name"  => "blog_category",
          "value"       => "",
          "std"         => false,
          'edit_field_class' => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Date', 'cascara-core'),
          "param_name"  => "blog_date",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Author', 'cascara-core'),
          "param_name"  => "blog_author",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Comments', 'cascara-core'),
          "param_name"  => "blog_comments",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Views', 'cascara-core'),
          "param_name"  => "blog_views",
          "value"       => "",
          "std"         => false,
          'edit_field_class'   => 'vc_col-md-3 vc_column vt_field_space',
        ),

        array(
    			"type"        => "notice",
    			"heading"     => __( "Listing", 'cascara-core' ),
    			"param_name"  => 'lsng_opt',
    			'class'       => 'cs-warning',
    			'value'       => '',
    		),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order', 'cascara-core' ),
          'value' => array(
            __( 'Select Blog Order', 'cascara-core' ) => '',
            __('Asending', 'cascara-core') => 'ASC',
            __('Desending', 'cascara-core') => 'DESC',
          ),
          'param_name' => 'blog_order',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'type' => 'dropdown',
          'heading' => __( 'Order By', 'cascara-core' ),
          'value' => array(
            __('None', 'cascara-core') => 'none',
            __('ID', 'cascara-core') => 'ID',
            __('Author', 'cascara-core') => 'author',
            __('Title', 'cascara-core') => 'title',
            __('Date', 'cascara-core') => 'date',
            __('Post In(Given ID)', 'cascara-core') => 'post__in',
          ),
          'param_name' => 'blog_orderby',
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Show only certain categories?', 'cascara-core'),
          "param_name"  => "blog_show_category",
          "value"       => "",
          "description" => __( "Enter category SLUGS (comma separated) you want to display.", 'cascara-core')
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Specific ID', 'cascara-core'),
          "param_name"  => "post_id",
          "value"       => "",
          "description" => __( "Enter your post ID, to show them only by your choice.", 'cascara-core'),
        ),
        array(
          "type"        => 'textfield',
          "heading"     => __('Short Content (Excerpt Length)', 'cascara-core'),
          "param_name"  => "short_content",
          "value"       => "",
          "description" => __( "Enter the numeric value of, how many words you want in short content paragraph.", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Read More Button Text', 'cascara-core'),
          "param_name"  => "read_more_txt",
          "value"       => "",
          "description" => __( "Enter read more button text.", 'cascara-core'),
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"        =>'switcher',
          "heading"     =>__('Pagination', 'cascara-core'),
          "param_name"  => "blog_pagination",
          "value"       => "",
          "std"         => true,
          'edit_field_class'   => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          'param_name'      => 'blog_pagination_type',
          'type'    => 'dropdown',
          'heading'   => esc_html__('Blog Pagination Type', 'cascara-core'),
          'value'        => array(
            __( 'Select Pagination Type', 'cascara-core' ) => '',
            __( 'Ajax Infinite Scroll', 'cascara-core' ) => 'infinite-scroll',
            __( 'Ajax Button', 'cascara-core' ) => 'load-more',
            __( 'Navigation', 'cascara-core' ) => 'navigation',
          ),
          'dependency' => array(
            'element' => 'blog_pagination',
            'value' => 'true',
          ),
        ),
        array(
          'type'    => 'dropdown',
          'param_name'      => 'blog_load_btn_type',
          'heading'   => esc_html__('Load More Button Type', 'cascara-core'),
          'value'        => array(
            __( 'Select Load More Button Type', 'cascara-core' ) => '',
            __( 'Button', 'cascara-core' ) => 'button',
            __( 'Icon', 'cascara-core' ) => 'icon',
          ),
          'dependency' => array(
            'element' => 'blog_pagination_type',
            'value' => 'load-more',
          ),
        ),
        array(
          'param_name' => 'load_more_btn_txt',
          'type'       => 'textfield',
          'heading'      => esc_html__('Load More Button Text', 'cascara'),
          'dependency' => array(
            'element' => 'blog_load_btn_type',
            'value' => 'button',
          ),
        ),
        array(
          'param_name'        => 'load_icon_option',
          'type'      => 'dropdown',
          'value'   => array(
             __('Ball Scale Multiple', 'cascara-core') => 'ball-scale-multiple',
             __('Ball Pulse', 'cascara-core') => 'ball-pulse',
             __('Ball Grid Pulse', 'cascara-core') => 'ball-grid-pulse',
             __('Ball Clip Rotate', 'cascara-core') => 'ball-clip-rotate',
             __('Ball Clip Rotate Pulse', 'cascara-core') => 'ball-clip-rotate-pulse',
             __('Square Spin', 'cascara-core') => 'square-spin',
             __('Ball Clip Rotate Multiple', 'cascara-core') => 'ball-clip-rotate-multiple',
             __('Ball Pulse Rise', 'cascara-core') => 'ball-pulse-rise',
             __('Ball Rotate', 'cascara-core') => 'ball-rotate',
             __('Cube Transition', 'cascara-core') => 'cube-transition',
             __('Ball Zig Zag', 'cascara-core') => 'ball-zig-zag',
             __('Ball Zig Zag Deflect', 'cascara-core') => 'ball-zig-zag-deflect',
             __('Ball Triangle Path', 'cascara-core') => 'ball-triangle-path',
             __('Ball Scale', 'cascara-core') => 'ball-scale',
             __('Line Scale', 'cascara-core') => 'line-scale',
             __('Line Scale Party', 'cascara-core') => 'line-scale-party',
             __('Ball Pulse Sync', 'cascara-core') => 'ball-pulse-sync',
             __('Ball Beat', 'cascara-core') => 'ball-beat',
             __('Line Scale Pulse Out', 'cascara-core') => 'line-scale-pulse-out',
             __('Line Scale Pulse Out Rapid', 'cascara-core') => 'line-scale-pulse-out-rapid',
             __('Ball Scale Ripple', 'cascara-core') => 'ball-scale-ripple',
             __('Ball Scale Ripple Multiple', 'cascara-core') => 'ball-scale-ripple-multiple',
             __('Ball Spin Fade Loader', 'cascara-core') => 'ball-spin-fade-loader',
             __('Line Spin Fade Loader', 'cascara-core') => 'line-spin-fade-loader',
             __('Triangle Skew Spin', 'cascara-core') => 'triangle-skew-spin',
             __('Pacman', 'cascara-core') => 'pacman',
             __('Ball Grid Beat', 'cascara-core') => 'ball-grid-beat',
             __('Semi Circle Spin', 'cascara-core') => 'semi-circle-spin',
          ),
          'dependency' => array(
              'element' => 'blog_pagination_type',
              'value' => 'infinite-scroll',
            ),
          'heading'     => esc_html__('Loader Icon Style', 'cascara-core'),
        ),
        array(
          "type"        =>'textfield',
          "heading"     =>__('Miss-Aligned? Mention Minimum Height :', 'cascara-core'),
          "param_name"  => "miss_align_height",
          "value"       => "",
          "description" => __( "Enter the px value for minimum height. This will fix miss-aligned issue with your listing items.", 'cascara-core')
        ),
        CascaraLib::vt_class_option(),

      )
    ) );
  }
}
