<?php
/* ==========================================================
  Blog
=========================================================== */
if ( !function_exists('cascara_test_blog_function')) {
  function cascara_test_blog_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'blog_style'  => '',
      'blog_column'  => '',
      'blog_limit'  => '',
      'blog_listing_title' => '',
      'blog_view_all_txt' => '',
      'blog_view_all_link' => '',
      'hide_content' => '',
      // Enable & Disable
      'blog_category'  => '',
      'blog_date'  => '',
      'blog_author'  => '',
      'blog_comments'  => '',
      'blog_views' => '',
      'blog_pagination'  => '',
      'blog_pagination_type' => '',
      'blog_load_btn_type' => '',
      'load_more_btn_txt'   => '',
      'load_icon_option'   => '',
      // Listing
      'blog_order'  => '',
      'blog_orderby'  => '',
      'blog_show_category'  => '',
      'post_id' => '',
      'short_content'  => '',
      'class'  => '',
      // Read More Text
      'read_more_txt'  => '',
      // Miss Align
      'miss_align_height'  => '',
    ), $atts));

    // Column
    if ($blog_style === 'cscra-blog-two') {
      $blog_column_class = $blog_column ? $blog_column : 'cscra-blog-col-2';
    } elseif ($blog_style === 'cscra-blog-three') {
      $blog_column_class = $blog_column ? $blog_column : 'cscra-blog-col-3';
    } else {
      $blog_column_class = 'cscra-blog-col-1';
    }

    if($blog_pagination) {
      $pagi_class = 'cscra-post-load-more ';
    } else {
      $pagi_class = '';
    }

    // Excerpt
    if (cascara_framework_active()) {
      $excerpt_length = cs_get_option('theme_blog_excerpt');
      $excerpt_length = $excerpt_length ? $excerpt_length : '55';
      if ($short_content) {
        $short_content = $short_content;
      } else {
        $short_content = $excerpt_length;
      }
    } else {
      $short_content = '55';
    }

    // Style
    if ($blog_style === 'style-six') {
      $blog_style_class = ' items-spacer-six items-style-four';
    } elseif ($blog_style === 'style-five' || $blog_style === 'style-four' || $blog_style === 'style-three' || $blog_style === 'style-two') {
      $blog_style_class = '';
    } elseif($blog_style === 'style-seven'){
      $blog_style_class = ' cscra-fullwidth-posts';
    } else {
      $blog_style_class = ' frxo-blog-style-one';
    }

    // Read More Text
    if (cascara_framework_active()) {
      $read_more_to = cs_get_option('read_more_text');
      if ($read_more_txt) {
        $read_more_txt = $read_more_txt;
      } elseif($read_more_to) {
        $read_more_txt = $read_more_to;
      } else {
        $read_more_txt = esc_html__( 'Read More', 'cascara-core' );
      }
    } else {
      $read_more_txt = $read_more_txt ? $read_more_txt : esc_html__( 'Read More', 'cascara-core' );
    }

    $blog_listing_title = $blog_listing_title ? '<span>'.$blog_listing_title.'</span>' : '';
    $view_all = $blog_view_all_link ? '<a href="'.$blog_view_all_link.'" class="view-all">'.$blog_view_all_txt.' <i class="fa fa-angle-double-right" aria-hidden="true"></i></a>' : '';
    $view_all_actual = $blog_view_all_txt ? $view_all : '';

    // Shortcode Style CSS
    $e_uniqid        = uniqid();
    $inline_style  = '';

    // Miss-Aligned
    if ( $miss_align_height ) {
      $inline_style .= '.cscra-post-'. $e_uniqid .' .cscra-blog-post {';
      $inline_style .= ( $miss_align_height ) ? 'min-height:'. cascara_core_check_px($miss_align_height) .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' cscra-post-'. $e_uniqid;

    // Turn output buffer on
    ob_start();

    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    // Show ID
    if ($post_id) {
      $post_id = explode(',',$post_id);
    } else {
      $post_id = '';
    }

    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'post',
      'posts_per_page' => (int)$blog_limit,
      'category_name' => esc_attr($blog_show_category),
      'orderby' => $blog_orderby,
      'order' => $blog_order,
      'post__in' => $post_id,
    );

    $cscra_post = new WP_Query( $args );
    $load_more_btn_txt = $load_more_btn_txt ? $load_more_btn_txt : esc_html__('Load More','cascara'); ?>

<!-- Blog Start -->
<div class="blog-items-wrap load-posts <?php echo esc_attr($blog_style_class .' '.$pagi_class.' '. $blog_column_class .' '. $styled_class .' '. $class); ?>" data-select=".blog-items-wrap" data-item=".cscra-blog-post" data-space="20" data-paging="<?php echo esc_attr($blog_pagination_type); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($load_more_btn_txt); ?>" data-iconn="<?php echo esc_attr($load_icon_option); ?>">

<?php
if ($cscra_post->have_posts()) :
    if($blog_listing_title || $view_all_actual){ ?>
    <div class="posts-title-wrap">
      <div class="posts-title">
        <?php echo $blog_listing_title;
        echo $view_all_actual; ?>
      </div>
    </div>
  <?php } ?>
<div class="row">
  <?php
  $counter =  1;
  while ($cscra_post->have_posts()) : $cscra_post->the_post();
  $post_cat_options = get_post_meta( get_the_ID(), 'post_cat_options', true );
  if($post_cat_options){
    $cat_color = $post_cat_options['cat_color'];
    $cat_bg_color = $post_cat_options['cat_bg_color'];
  } else {
    $cat_color = '';
    $cat_bg_color = '';
  }
    $category_color = $cat_color ? 'data-color='.$cat_color.'' : '';
    $cat_bg_color = $cat_bg_color ? 'data-bgcolor='.$cat_bg_color.'' : '';

  $cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
  $cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
  $cascara_meta  = get_post_meta( $cascara_id, 'post_type_metabox', true );

  $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
  $cascara_large_image = $cascara_large_image[0];

  // Large Image
  if(class_exists('Aq_Resize')) {
    $image_large = aq_resize( $cascara_large_image, '390', '270', true );
  } else {$image_large = $cascara_large_image;}
  $large_img = ( $image_large ) ? $image_large : $cascara_large_image;
  // Large Two Image
  if(class_exists('Aq_Resize')) {
    $image_large_two = aq_resize( $cascara_large_image, '559', '320', true );
  } else {$image_large_two = $cascara_large_image;}
  $large_img_two = ( $image_large_two ) ? $image_large_two : $cascara_large_image;
  // Thumb Image
  if(class_exists('Aq_Resize')) {
    $image_thumb = aq_resize( $cascara_large_image, '130', '120', true );
  } else {$image_thumb = $cascara_large_image;}
  $thumb_img = ( $image_thumb ) ? $image_thumb : $cascara_large_image;
  // Thumb Two Image
  if(class_exists('Aq_Resize')) {
    $image_thumb_two = aq_resize( $cascara_large_image, '225', '180', true );
  } else {$image_thumb_two = $cascara_large_image;}
  $thumb_two_img = ( $image_thumb_two ) ? $image_thumb_two : $cascara_large_image;
  // Thumb Three Image
  if(class_exists('Aq_Resize')) {
    $image_thumb_three = aq_resize( $cascara_large_image, '260', '180', true );
  } else {$image_thumb_three = $cascara_large_image;}
  $thumb_three_img = ( $image_thumb_three ) ? $image_thumb_three : $cascara_large_image;

  $cascara_read_more_text = cs_get_option('read_more_text');
  $cascara_read_text = $cascara_read_more_text ? $cascara_read_more_text : esc_html__( 'Read More', 'cascara' );
  $cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );

  if(is_category()){
    $query_category = get_queried_object();
    $term = get_category_by_slug( $query_category->slug );
    $term_data = get_term_meta( $term->term_id, '_custom_taxonomy_options', true );
    $cascara_blog_style = $term_data['blog_listing_style'];
    $cascara_listing_column = $term_data['blog_listing_column'];
  } else {
    $cascara_blog_style = $blog_style;
    $cascara_listing_column = $blog_column;
  }

  // Column
  if ($cascara_listing_column === 'col-two') {
    $col_class = ' col-md-6 col-sm-12';
    if(class_exists('Aq_Resize')) {
      $image_large = aq_resize( $cascara_large_image, '565', '330', true );
    } else {
      $image_large = $cascara_large_image;
    }
    $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;

  } elseif ($cascara_listing_column === 'col-three') {
    $col_class = ' col-md-4 col-sm-6';
    if(class_exists('Aq_Resize')) {
      $image_large = aq_resize( $cascara_large_image, '370', '270', true );
    } else {
      $image_large = $cascara_large_image;
    }
    $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;

  } elseif ($cascara_listing_column === 'col-four') {
    $col_class = ' col-md-3 col-sm-4';
    if(class_exists('Aq_Resize')) {
      $image_large = aq_resize( $cascara_large_image, '270', '170', true );
    } else {
      $image_large = $cascara_large_image;
    }
    $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;
  } else {
    $col_class = ' col-md-12';
    $large_img_actual =$cascara_large_image;
  }
  $cascara_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
  ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post'); ?>>
  <?php
  if( $paged != 1 ) { ?>
    <div class="col-md-6 col-sm-6 cscra-item items-style-two <?php echo $counter; ?>">
      <div class="post-item">
        <?php
        if ($cascara_large_image) { ?>
          <!-- Standard -->
          <div class="cscra-image">
            <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
            <?php
              cascara_post_cat(); ?>
          </div>
        <?php } ?>
        <div class="post-info">
          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
        </div>
      </div>
    </div>
  <?php } else {
    if ($counter == 1) { ?>
      <div class="custom-column-left <?php echo $counter; ?>">
        <div class="post-items-wrap items-spacer-one">
          <div class="post-item">
            <?php
            if ($cascara_large_image) { ?>
              <!-- Standard -->
              <div class="cscra-image">
                <img src="<?php echo esc_url($large_img_two); ?>" alt="<?php echo get_the_title(); ?>">
                <?php
                cascara_post_cat(); ?>
              </div>
            <?php }  ?>
            <div class="post-info">
              <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
            </div>
          </div>
        </div>
      </div>
    <?php } elseif ($counter == 2 || $counter == 3) { ?>
      <div class="custom-column-right <?php echo $counter; ?>">
        <div class="post-items-wrap items-spacer-none items-style-three">
          <div class="post-item">
            <?php
            if ($cascara_large_image) { ?>
              <!-- Standard -->
              <div class="cscra-image">
                <img src="<?php echo esc_url($thumb_two_img); ?>" alt="<?php echo get_the_title(); ?>">
              </div>
            <?php } ?>
            <div class="post-info">
              <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
            </div>
          </div>
        </div>
      </div>
    <?php } else { ?>
    <div class="col-md-6 col-sm-6 cscra-item items-style-two <?php echo $counter; ?>">
      <div class="post-item">
        <?php
        if ($cascara_large_image) { ?>
          <!-- Standard -->
          <div class="cscra-image">
            <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
            <?php
              cascara_post_cat(); ?>
          </div>
        <?php } ?>
        <div class="post-info">
          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
        </div>
      </div>
    </div>
  <?php } } ?>
</div><!-- #post-## -->
<?php $counter++;
endwhile;
 ?>
</div>
<?php endif;
      wp_reset_postdata(); ?>
    <!-- Blog End -->

    <?php
    if ($blog_pagination) {
      if ( function_exists('wp_pagenavi')) {
        echo '<div class="cscra-pagination">';
        cascara_custom_paging_nav($cscra_post->max_num_pages,"",$paged);
        echo '</div>';
        wp_reset_postdata();  // avoid errors further down the page
      }
    } ?>
    </div>
<?php
    // Return outbut buffer
    return ob_get_clean();

  }
}
add_shortcode( 'cscra_test_blog', 'cascara_test_blog_function' );
