<?php
/**
 * Section Title - Shortcode Options
 */
add_action( 'init', 'cascara_section_title_vc_map' );
if ( ! function_exists( 'cascara_section_title_vc_map' ) ) {
  function cascara_section_title_vc_map() {
    vc_map( array(
      "name" => __( "Section Title", 'cascara-core'),
      "base" => "cascara_section_title",
      "description" => __( "Section Title Styles", 'cascara-core'),
      "icon" => "fa fa-header color-pink",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          'type' => 'dropdown',
          'heading' => __( 'Section Title Align', 'cascara-core' ),
          'value' => array(
            __( 'Title Alignment', 'cascara-core' ) => '',
            __( 'Left', 'cascara-core' ) => 'left',
            __( 'Center', 'cascara-core' ) => 'center',
            __( 'Right', 'cascara-core' ) => 'right',
          ),
          'param_name' => 'title_align',
          'description' => __( 'Select title alignment', 'cascara-core' ),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Section Title", 'cascara-core' ),
          "param_name" => "title_text",
          'value' => '',
          'admin_label' => true,
          "description" => __( "Enter your section title.", 'cascara-core'),
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Bottom Space", 'cascara-core' ),
          "param_name" => "btm_space",
          'value' => '',
          "description" => __( "Enter your title bottom space [Eg: 14px].", 'cascara-core'),
        ),
        CascaraLib::vt_class_option(),

        // Styling
        array(
          "type"        => "notice",
          "heading"     => __( "Title Option", 'cascara-core' ),
          "param_name"  => 'titless',
          'class'       => 'cs-success',
          'value'       => '',
          "group"       => __('Styling', 'cascara-core'),
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Title Color", 'cascara-core' ),
          "param_name" => "title_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "colorpicker",
          "heading" => __( "Border Color", 'cascara-core' ),
          "param_name" => "border_color",
          'value' => '',
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Title Size", 'cascara-core' ),
          "param_name" => "title_size",
          'value' => '',
          "description" => __( "Enter section title text font size. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Title Bottom Space(Padding)", 'cascara-core' ),
          "param_name" => "title_btm",
          'value' => '',
          "description" => __( "Enter section title bottom space. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Title Bottom Space(Margin)", 'cascara-core' ),
          "param_name" => "title_btm_space",
          'value' => '',
          "description" => __( "Enter title section bottom space. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type" => "textfield",
          "heading" => __( "Title Line Height", 'cascara-core' ),
          "param_name" => "title_lht",
          'value' => '',
          "description" => __( "Enter section title line height. [Eg: 14px]", 'cascara-core'),
          "group" => __( "Styling", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        
      )
    ) );
  }
}
