<?php
/* ===========================================================
    Section Title
=========================================================== */
if ( !function_exists('cascara_section_title_function')) {
  function cascara_section_title_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'title_align'  => '',
      'title_text'  => '',
      'btm_space'  => '',
      'class'  => '',
      // Styling
      'title_color'  => '',
      'border_color'  => '',
      'title_size'  => '',
      'title_btm'  => '',
      'title_btm_space' => '',
      'title_lht'  => '',
    ), $atts));

    // Shortcode Style CSS
    $e_uniqid     = uniqid();
    $inline_style = '';

    // Title Color
    if ( $title_color || $title_size || $title_btm || $title_lht || $title_btm_space) {
      $inline_style .= '.hanor-stitle-'. $e_uniqid .'.section-title-wrap h2.section-title {';
      $inline_style .= ( $title_color ) ? 'color:'. $title_color .';' : '';
      $inline_style .= ( $title_size ) ? 'font-size:'. cascara_core_check_px($title_size) .';' : '';
      $inline_style .= ( $title_btm ) ? 'padding-bottom:'. cascara_core_check_px($title_btm) .';' : '';
      $inline_style .= ( $title_lht ) ? 'line-height:'. cascara_core_check_px($title_lht) .';' : '';
      $inline_style .= '}';
    }
    // Title Section Bottom Space
    if ($title_btm_space) {
      $inline_style .= '.hanor-stitle-'. $e_uniqid .'.section-title-wrap {';
      $inline_style .= ( $title_btm_space ) ? 'margin-bottom:'. cascara_core_check_px($title_btm_space) .';' : '';
      $inline_style .= '}';
    }
    // Content Color
    if ( $border_color ) {
      $inline_style .= '.hanor-stitle-'. $e_uniqid .'.section-title-wrap:after {';
      $inline_style .= ( $border_color ) ? 'color:'. $border_color .';' : '';
      $inline_style .= '}';
    }
    // Section Bottom
    if ( $btm_space ) {
      $inline_style .= '.hanor-stitle-'. $e_uniqid .'.section-title-wrap {';
      $inline_style .= ( $btm_space ) ? 'padding-bottom:'. cascara_core_check_px($btm_space) .';' : '';
      $inline_style .= '}';
    }

    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' hanor-stitle-'. $e_uniqid;

    if ($title_align === 'right') {
      $align_class = ' cpation-right';
    } elseif ($title_align === 'left') {
      $align_class = ' cpation-left';
    } else {
      $align_class = ' cpation-center';
    }
    $s_title = $title_text ? '<h2 class="section-title">'.$title_text.'</h2>' : '';

    $output = '<div class="section-title-wrap'. $styled_class . $align_class .' '. $class .'">'. $s_title .'</div>';

    return $output;

  }
}
add_shortcode( 'cascara_section_title', 'cascara_section_title_function' );
