<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Theme Options
$cascara_error_heading = cs_get_option('error_heading');
$cascara_error_sub_heading = cs_get_option('error_sub_heading');
$cascara_error_page_content = cs_get_option('error_page_content');
$cascara_error_btn_text = cs_get_option('error_btn_text');
$promotion_image_404 = cs_get_option('promotion_image_404');
$promotion_image_link = cs_get_option('promotion_image_link_404');

$cascara_error_heading = ( $cascara_error_heading ) ? $cascara_error_heading : esc_html__( '404', 'cascara' );
$cascara_error_sub_heading = ( $cascara_error_sub_heading ) ? $cascara_error_sub_heading : esc_html__( 'Sorry! the requested page cannot be found', 'cascara' );
$cascara_error_page_content = ( $cascara_error_page_content ) ? $cascara_error_page_content : esc_html__( 'The Link You Followed Probably Broken, Or The Page Has Been Removed From Website.', 'cascara' );
$cascara_error_btn_text = ( $cascara_error_btn_text ) ? $cascara_error_btn_text : esc_html__( 'Back to Home', 'cascara' );

// Promotion Image
$image_url = wp_get_attachment_url( $promotion_image_404 );
$add_image = $image_url ? '<img src="'.$image_url.'" alt="'. esc_attr__( 'Advertisement', 'cascara' ) .'">' : '';
$add_image_link = $promotion_image_link ? '<a href="'.$promotion_image_link.'" target="_blank">'. $add_image .'</a>' : $add_image;

get_header(); ?>

  <div class="cscra-promotion">
    <div class="container">
       <?php echo $add_image_link; ?>
    </div>
  </div>

	<!-- Content -->
	<div class="cscra-mid-wrap">
    <div class="error-wrap">
      <div class="container">
        <div class="cscra-container">
          <h1 class="error-title"><?php echo esc_html($cascara_error_heading); ?></h1>
          <h3 class="error-sub-title"><?php echo esc_html($cascara_error_sub_heading); ?></h3>
          <p><?php echo esc_html($cascara_error_page_content); ?></p>
          <div class="cscra-btn-wrap"><a href="<?php echo esc_url(home_url( '/' )); ?>" class="cscra-btn cscra-large-btn"><?php echo esc_html($cascara_error_btn_text); ?></a></div>
        </div>
      </div>
    </div>
  </div>
	<!-- Content -->

<?php
get_footer();
