<?php
/*
 * Cascara Theme's Functions
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Define - Folder Paths
 */
define( 'CASCARA_THEMEROOT_PATH', get_template_directory() );
define( 'CASCARA_THEMEROOT_URI', get_template_directory_uri() );
define( 'CASCARA_CSS', CASCARA_THEMEROOT_URI . '/assets/css' );
define( 'CASCARA_IMAGES', CASCARA_THEMEROOT_URI . '/assets/images' );
define( 'CASCARA_SCRIPTS', CASCARA_THEMEROOT_URI . '/assets/js' );
define( 'CASCARA_FRAMEWORK', get_template_directory() . '/inc' );
define( 'CASCARA_LAYOUT', get_template_directory() . '/layouts' );
define( 'CASCARA_CS_IMAGES', CASCARA_THEMEROOT_URI . '/inc/theme-options/theme-extend/images' );
define( 'CASCARA_CS_FRAMEWORK', get_template_directory() . '/inc/theme-options/theme-extend' ); // Called in Icons field *.json
define( 'CASCARA_ADMIN_PATH', get_template_directory() . '/inc/theme-options/cs-framework' );

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$cascara_theme_child = wp_get_theme();
	$cascara_get_parent = $cascara_theme_child->Template;
	$cascara_theme = wp_get_theme($cascara_get_parent);
} else { // Parent Theme Active
	$cascara_theme = wp_get_theme();
}
define('CASCARA_NAME', $cascara_theme->get( 'Name' ));
define('CASCARA_VERSION', $cascara_theme->get( 'Version' ));
define('CASCARA_BRAND_URL', $cascara_theme->get( 'AuthorURI' ));
define('CASCARA_BRAND_NAME', $cascara_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( CASCARA_FRAMEWORK . '/init.php' );
