<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
?><!DOCTYPE html>
<!--[if IE 8]> <html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
$cascara_viewport = cs_get_option('theme_responsive');
if($cascara_viewport == 'on') { ?>
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php } else { }

// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
  if (cs_get_option('brand_fav_icon')) {
    echo '<link rel="shortcut icon" href="'. esc_url(wp_get_attachment_url(cs_get_option('brand_fav_icon'))) .'" />';
  } else { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(CASCARA_IMAGES); ?>/fav-icon.png" />
  <?php }
  if (cs_get_option('iphone_icon')) {
    echo '<link rel="apple-touch-icon" sizes="57x57" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_icon'))) .'" >';
  }
  if (cs_get_option('iphone_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="114x114" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
    echo '<link name="msapplication-TileImage" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
  }
  if (cs_get_option('ipad_icon')) {
    echo '<link rel="apple-touch-icon" sizes="72x72" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_icon'))) .'" >';
  }
  if (cs_get_option('ipad_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="144x144" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_retina_icon'))) .'" >';
  }
}
$cascara_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($cascara_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($cascara_all_element_color); ?>">

<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php
// Metabox
global $post;
$cascara_id    = ( isset( $post ) ) ? $post->ID : false;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $cascara_id : false;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

// Header Style
if ($cascara_meta) {
  $cascara_sticky_header  = $cascara_meta['sticky_header'];
  $cascara_sticky_footer  = $cascara_meta['sticky_footer'];
  $cascara_search_icon    = $cascara_meta['search_icon'];
  $cascara_fixed_navigation    = $cascara_meta['fixed_navigation'];
} else {
  $cascara_sticky_header  = cs_get_option('sticky_header');
  $cascara_sticky_footer  = cs_get_option('sticky_footer');
  $cascara_search_icon    = cs_get_option('search_icon');
  $cascara_fixed_navigation    = cs_get_option('fixed_navigation');
}

/* Fixed Navigation */
if ($cascara_meta && $cascara_fixed_navigation !== 'default') {
  $cascara_fixed_navigation  = $cascara_meta['fixed_navigation'];
} else {
  $cascara_fixed_navigation  = cs_get_option('fixed_navigation');
}

if($cascara_meta && $cascara_search_icon != 'default') {
  $cascara_search_icon    = $cascara_meta['search_icon'];
} else {
  $cascara_search_icon    = cs_get_option('search_icon');
}

$trending_top_bar = cs_get_option('trending_top_bar');

if ($cascara_meta && $cascara_sticky_footer !== 'default') {
  $cascara_sticky_footer  = $cascara_meta['sticky_footer'];
} else {
  $cascara_sticky_footer  = cs_get_option('sticky_footer');
}

if ($cascara_meta && $cascara_sticky_header !== 'default') {
  $cascara_sticky_header  = $cascara_meta['sticky_header'];
} else {
  $cascara_sticky_header  = cs_get_option('sticky_header');
}
// Banner Type - Meta Box
if ($cascara_meta && is_page()) {
  $cascara_banner_type = $cascara_meta['banner_type'];
} else { $cascara_banner_type = ''; }

wp_head();
// Sticky header Class
if($cascara_sticky_header === 'sticky') {
  $cascara_sticky_header_class = ' cscra-header-sticky';
} else {
  $cascara_sticky_header_class = '';
}

// Sticky Footer Class
if($cascara_sticky_footer === 'sticky') {
  $cascara_sticky_footer_class = ' cscra-sticky-footer';
} else {
  $cascara_sticky_footer_class = '';
}
?>
</head>
<body <?php body_class(); ?>>
<!-- Cascara Main Wrap, Cascara Sticky Footer -->
<div class="cscra-main-wrap <?php echo esc_attr($cascara_sticky_footer_class); ?>">
  <!-- Cascara Main Wrap Inner -->
  <div class="main-wrap-inner">

    <?php get_template_part( 'layouts/header/top', 'bar' );
      if(!$trending_top_bar){
        get_template_part( 'layouts/header/trending', 'bar' );
      }
    ?>
    <header class="cscra-header <?php echo esc_attr($cascara_sticky_header_class); ?>">
      <div class="container">
        <?php get_template_part( 'layouts/header/logo' ); ?>
        <div class="cscra-header-right">
          <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
        </div>
      </div>
    </header>
    <?php
      if($cascara_fixed_navigation === 'show'){
        get_template_part( 'layouts/header/side', 'menu' );
      }
    ?>
    <!-- Cascara Fullscreen Navigation -->
  <?php
    // Title Area
    if($cascara_meta && $cascara_banner_type === 'revolution-slider') { ?>
    <div class="cscra-page-wrap">
    <?php
      if($cascara_search_icon === 'show'){
          get_template_part( 'layouts/header/search', 'popup' );
        }
    } else {}

    $cascara_need_title_bar = cs_get_option('need_title_bar');
    if (isset($cascara_need_title_bar)) {
      get_template_part( 'layouts/header/title', 'bar' );
    }
    ?>

      <!-- cscra search wrapper -->
      <?php
      if(($cascara_meta && $cascara_banner_type != 'revolution-slider') || !$cascara_banner_type) { ?>
      <div class="cscra-page-wrap">
      <?php
        if($cascara_search_icon === 'show'){
          get_template_part( 'layouts/header/search', 'popup' );
        }
      }
