<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'cascara_vt_scripts_styles' ) ) {
  function cascara_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'font-awesome', CASCARA_THEMEROOT_URI . '/inc/theme-options/cs-framework/assets/css/font-awesome.min.css' );
    wp_enqueue_style( 'pe-icon-7', CASCARA_CSS .'/Pe-icon-7-stroke.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'loaders', CASCARA_CSS .'/loaders.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'magnific-popup', CASCARA_CSS .'/magnific-popup.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'flexslider', CASCARA_CSS .'/flexslider.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'owl-carousel', CASCARA_CSS .'/owl.carousel.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'weather-icons', CASCARA_CSS .'/weather-icons.min.css', array(), '2.0', 'all' );
    wp_enqueue_style( 'meanmenu', CASCARA_CSS .'/meanmenu.css', array(), '2.0.7', 'all' );
    wp_enqueue_style( 'bootstrap', CASCARA_CSS .'/bootstrap.min.css', array(), '4.5.3', 'all' );
    wp_enqueue_style( 'cascara-style', CASCARA_CSS .'/styles.css', array(), CASCARA_VERSION, 'all' );

    // Scripts
    wp_enqueue_script( 'bootstrap', CASCARA_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.5.3', true );
    wp_enqueue_script( 'popper', CASCARA_SCRIPTS . '/popper.min.js', array( 'jquery' ), CASCARA_VERSION, true );
    wp_enqueue_script( 'html5shiv', CASCARA_SCRIPTS . '/html5shiv.min.js', array( 'jquery' ), '3.7.0', true );
    wp_enqueue_script( 'respond', CASCARA_SCRIPTS . '/respond.min.js', array( 'jquery' ), '1.4.2', true );
    wp_enqueue_script( 'enscroll', CASCARA_SCRIPTS . '/enscroll.min.js', array( 'jquery' ), '0.6.2', true );
    wp_enqueue_script( 'placeholders', CASCARA_SCRIPTS . '/placeholders.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'jquery-sticky', CASCARA_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.5', true );
    wp_enqueue_script( 'match-height', CASCARA_SCRIPTS . '/jquery.matchHeight-min.js', array( 'jquery' ), '0.7.2', true );
    wp_enqueue_script( 'sticky-sidebar', CASCARA_SCRIPTS . '/theia-sticky-sidebar.min.js', array( 'jquery' ), '1.5.0', true );
    wp_enqueue_script( 'isotope', CASCARA_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '3.0.1', true );
    wp_enqueue_script( 'meanmenu', CASCARA_SCRIPTS . '/jquery.meanmenu.js', array( 'jquery' ), '2.0.8', true );
    wp_enqueue_script( 'packery-mode', CASCARA_SCRIPTS . '/packery-mode.pkgd.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'owl-carousel', CASCARA_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.1.6', true );
    wp_enqueue_script( 'smoothscroll', CASCARA_SCRIPTS . '/smoothscroll.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'jarallax', CASCARA_SCRIPTS . '/jarallax.min.js', array( 'jquery' ), '1.7.3', true );
    wp_enqueue_script( 'flexslider', CASCARA_SCRIPTS . '/flexslider.min.js', array( 'jquery' ), '2.6.4', true );
    wp_enqueue_script( 'magnific-popup', CASCARA_SCRIPTS . '/jquery.magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'loaders', CASCARA_SCRIPTS . '/loaders.min.js', array( 'jquery' ), CASCARA_VERSION, true );
    wp_enqueue_script( 'lazyload', CASCARA_SCRIPTS . '/lazyload.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'marquee', CASCARA_SCRIPTS . '/jquery.marquee.min.js', array( 'jquery' ), CASCARA_VERSION, true );
    wp_enqueue_script( 'waypoints', CASCARA_SCRIPTS . '/waypoints.min.js', array( 'jquery' ), '2.0.3', true );
    wp_enqueue_script( 'cascara-scripts', CASCARA_SCRIPTS . '/scripts.js', array( 'jquery' ), CASCARA_VERSION, true );

    // Comments
    wp_enqueue_script( 'jquery-validate-js', CASCARA_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'jquery-validate-js', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $cascara_viewport = cs_get_option('theme_responsive');
    if($cascara_viewport === 'off') {} else {
    wp_enqueue_style( 'cascara-responsive', CASCARA_CSS .'/responsive.css', array(), CASCARA_VERSION, 'all' );
    }

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'cascara_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'cascara_vt_admin_scripts_styles' ) ) {
  function cascara_vt_admin_scripts_styles() {

    wp_enqueue_style( 'cascara-admin-main', CASCARA_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'cascara-admin-scripts', CASCARA_SCRIPTS . '/admin-scripts.js', true );
    wp_enqueue_style( 'pe-icon-7', CASCARA_CSS .'/Pe-icon-7-stroke.min.css', array(), '2.4', 'all' );

  }
  add_action( 'admin_enqueue_scripts', 'cascara_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'cascara_vt_wp_enqueue_styles' ) ) {
  function cascara_vt_wp_enqueue_styles() {
    cascara_vt_google_fonts();
    add_action( 'wp_head', 'cascara_vt_custom_css', 99 );
  }
  add_action( 'wp_enqueue_scripts', 'cascara_vt_wp_enqueue_styles' );
}
/**
 * Apply theme's stylesheet to the visual editor.
 *
 * @uses add_editor_style() Links a stylesheet to visual editor
 * @uses get_stylesheet_uri() Returns URI of theme stylesheet
 */
function cascara_add_editor_styles() {
  add_editor_style( get_stylesheet_uri() );
}
add_action( 'init', 'cascara_add_editor_styles' );
