<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// TAXONOMY OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options     = array();

// -----------------------------------------
// Taxonomy Options                        -
// -----------------------------------------
$options[]   = array(
  'id'       => '_custom_taxonomy_options',
  'taxonomy' => 'category', // category, post_tag or your custom taxonomy name
  'fields'   => array(

    array(
      'id'             => 'blog_listing_style',
      'type'           => 'select',
      'title'          => esc_html__('Blog Listing Style', 'cascara'),
      'options'        => array(
        'style-one'   => esc_html__('Style One (Default)', 'cascara'),
        'style-two'   => esc_html__('Style Two (Grid\'s)', 'cascara'),
        'style-three' => esc_html__('Style Three (Grid\'s)', 'cascara'),
        'style-four'  => esc_html__('Style Four (Grid + List)', 'cascara'),
        'style-five'  => esc_html__('Style Five (List)', 'cascara'),
        'style-six'  => esc_html__('Style Six (Grid/1-column/2-Column & List)', 'cascara'),
        'style-seven'  => esc_html__('Style Seven (Grid/1-column/2-Column & 3-Column)', 'cascara'),
      ),
      // 'default_option' => 'Select blog style',
    ),
    array(
      'id'    => 'cat_color',
      'type'  => 'color_picker',
      'title' => esc_html__('Category Text Color', 'cascara'),
    ),
    array(
      'id'    => 'cat_bg_color',
      'type'  => 'color_picker',
      'title' => esc_html__('Category Background Color', 'cascara'),
    ),
    array(
      'id'             => 'primary_layout_count',
      'type'           => 'text',
      'title'          => esc_html__('Primary Layout Count', 'cascara'),
      'dependency'     => array('blog_listing_style', '==', 'style-four'),
      'info'           => esc_html__('Enter how many post item have to show in primary layout','cascara'),
    ),
    array(
      'id'             => 'one_column_count',
      'type'           => 'text',
      'title'          => esc_html__('One Column Posts Count', 'cascara'),
      'dependency'     => array('blog_listing_style', '==', 'style-seven'),
      'info'           => esc_html__('Enter how many post item have to show in one column','cascara'),
    ),
    array(
      'id'             => 'two_column_count',
      'type'           => 'text',
      'title'          => esc_html__('Two Column Posts Count', 'cascara'),
      'dependency'     => array('blog_listing_style', '==', 'style-seven'),
      'info'           => esc_html__('Enter how many post item have to show in two column','cascara'),
    ),
    array(
      'id'             => 'blog_listing_column',
      'type'           => 'select',
      'title'          => esc_html__('Blog Listing Column', 'cascara'),
      'options'        => array(
        'col-one'   => esc_html__('Column One', 'cascara'),
        'col-two'   => esc_html__('Column Two', 'cascara'),
      ),
      'dependency'     => array('blog_listing_style', '==', 'style-one'),
    ),

  ),
);

CSFramework_Taxonomy::instance( $options );
