<?php
// Logo Image
$cascara_brand_logo_default = cs_get_option('brand_logo_default');
$cascara_brand_logo_retina = cs_get_option('brand_logo_retina');

// Mobile Logo
$cascara_mobile_logo = cs_get_option('mobile_logo_retina');
$cascara_mobile_width = cs_get_option('mobile_logo_width');
$cascara_mobile_height = cs_get_option('mobile_logo_height');
$cascara_mobile_logo_top = cs_get_option('mobile_logo_top');
$cascara_mobile_logo_bottom = cs_get_option('mobile_logo_bottom');
$cascara_mobile_class = $cascara_mobile_logo ? ' hav-mobile-logo' : ' dhve-mobile-logo';
$cascara_retina_class = $cascara_brand_logo_retina ? ' hav-retina-logo' : ' dhve-retina-logo';
$cascara_normal_class = $cascara_brand_logo_default ? ' hav-normal-logo' : ' dhve-normal-logo';

// Metabox - Header Transparent
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox'. true );

// Retina Size
$cascara_retina_width = cs_get_option('retina_width');
$cascara_retina_height = cs_get_option('retina_height');
$retina_height_actual = $cascara_retina_height ? 'height ='.$cascara_retina_height.'' : '';
$retina_width_actual = $cascara_retina_width ? 'width ='.$cascara_retina_width.'' : '';

// Logo Spacings
$cascara_brand_logo_top = cs_get_option('brand_logo_top');
$cascara_brand_logo_bottom = cs_get_option('brand_logo_bottom');
if ($cascara_mobile_logo_top) {
	$cascara_brand_logo_top = 'padding-top:'. cascara_check_px($cascara_mobile_logo_top) .';';
} elseif ($cascara_brand_logo_top) {
	$cascara_brand_logo_top = 'padding-top:'. cascara_check_px($cascara_brand_logo_top) .';';
} else { $cascara_brand_logo_top = ''; }
if ($cascara_mobile_logo_bottom) {
	$cascara_brand_logo_bottom = 'padding-bottom:'. cascara_check_px($cascara_mobile_logo_bottom) .';';
} elseif ($cascara_brand_logo_bottom) {
	$cascara_brand_logo_bottom = 'padding-bottom:'. cascara_check_px($cascara_brand_logo_bottom) .';';
} else { $cascara_brand_logo_bottom = ''; }

$mobile_height_actual = $cascara_mobile_height ? 'height ='.$cascara_mobile_height.'' : '';
$mobile_width_actual = $cascara_mobile_width ? 'width ='.$cascara_mobile_width.'' : '';
?>
<div class="cscra-brand<?php echo esc_attr($cascara_mobile_class); ?><?php echo esc_attr($cascara_retina_class); ?><?php echo esc_attr($cascara_normal_class); ?>" style="<?php echo esc_attr($cascara_brand_logo_top); echo esc_attr($cascara_brand_logo_bottom); ?>">
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
	<?php
	if (isset($cascara_brand_logo_default)) {
		if ($cascara_brand_logo_retina){
			echo '<img src="'. esc_url(wp_get_attachment_url($cascara_brand_logo_retina)) .'" '.esc_attr($retina_width_actual).' '.esc_attr($retina_height_actual).' alt="'. esc_attr( get_bloginfo( 'name' ) ) .'" class="retina-logo normal-logo">
				';
		}
		echo '<img src="'. esc_url(wp_get_attachment_url($cascara_brand_logo_default)) .'" alt="'. esc_attr( get_bloginfo( 'name' ) ) .'" class="default-logo normal-logo" '.esc_attr($retina_width_actual).' '.esc_attr($retina_height_actual).'>';
	} else {
		echo '<div class="text-logo">'. esc_html(get_bloginfo( 'name' )) . '</div>';
	}
	if ($cascara_mobile_logo) {
		echo '<img src="'. esc_url(wp_get_attachment_url($cascara_mobile_logo)) .'" '.esc_attr($mobile_width_actual).' '.esc_attr($mobile_height_actual).' alt="'. esc_attr( get_bloginfo( 'name' ) ) .'" class="mobile-logo">';
	}
	echo '</a>';
	?>
</div>
<?php
