<?php
// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $cascara_id : false;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

// Header Style - ThemeOptions & Metabox
if ($cascara_meta) {
  if(isset($cascara_meta['login_signup_icon'])) {
    $cascara_login_signup_icon    = $cascara_meta['login_signup_icon'];
  } else {
    $cascara_login_signup_icon    = cs_get_option('login_signup_icon');
  }
  $cascara_sticky_header  = $cascara_meta['sticky_header'];
  $cascara_search_icon    = $cascara_meta['search_icon'];
  $cascara_fixed_navigation    = $cascara_meta['fixed_navigation'];
} else {
  $cascara_sticky_header  = cs_get_option('sticky_header');
  $cascara_search_icon    = cs_get_option('search_icon');
  $cascara_fixed_navigation    = cs_get_option('fixed_navigation');
  $cascara_login_signup_icon    = cs_get_option('login_signup_icon');
}

/* Search Icon */
if ($cascara_meta && $cascara_search_icon !== 'default') {
  $cascara_search_icon  = $cascara_meta['search_icon'];
} else {
  $cascara_search_icon  = cs_get_option('search_icon');
}

/* Fixed Navigation */
if ($cascara_meta && $cascara_fixed_navigation !== 'default') {
  $cascara_fixed_navigation  = $cascara_meta['fixed_navigation'];
} else {
  $cascara_fixed_navigation  = cs_get_option('fixed_navigation');
}

/* Fixed Navigation */
if ($cascara_meta && $cascara_login_signup_icon !== 'default') {
  if(isset($cascara_meta['login_signup_icon'])) {
    $cascara_login_signup_icon    = $cascara_meta['login_signup_icon'];
  } else {
    $cascara_login_signup_icon    = cs_get_option('login_signup_icon');
  }
} else {
  $cascara_login_signup_icon  = cs_get_option('login_signup_icon');
}

$login_page_link = cs_get_option('login_link');
$cascara_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$cascara_breakpoint = $cascara_mobile_breakpoint ? $cascara_mobile_breakpoint : '991';

?>
<!-- Navigation & Search -->
<nav class="cscra-navigation" data-nav="<?php echo esc_attr($cascara_breakpoint); ?>">
  <?php
    if ($cascara_meta) {
      $cascara_choose_menu = $cascara_meta['choose_menu'];
    } else { $cascara_choose_menu = ''; }
    $cascara_choose_menu = $cascara_choose_menu ? $cascara_choose_menu : '';

    wp_nav_menu(
      array(
        'menu'              => 'primary',
        'theme_location'    => 'primary',
        'container'         => '',
        'container_class'   => '',
        'container_id'      => '',
        'menu'              => $cascara_choose_menu,
        'menu_class'        => '',
        'fallback_cb'       => 'cascara_wp_bootstrap_navwalker::fallback',
        'walker'            => new cascara_wp_bootstrap_navwalker()
      )
    );
  ?>
</nav> <!-- cscra-navigation -->
<div class="header-links-wrap">
  <?php if($cascara_login_signup_icon === 'show') { ?>
  <div class="login-link">
    <a href="<?php echo esc_url($login_page_link); ?>"><i class="fa fa-user-circle" aria-hidden="true"></i></a>
  </div>
  <?php } if ($cascara_search_icon === 'show') { ?>
    <div class="search-link">
      <a href="javascript:void(0);"><i class="fa fa-search" aria-hidden="true"></i></a>
    </div>
  <?php }
  if ($cascara_fixed_navigation === 'hide') {
    $fixed_class = ' toggle-hide';
  } else {
    $fixed_class = '';
  } ?>
  <div class="cscra-toggle <?php echo esc_attr($fixed_class); ?>">
    <a href="javascript:void(0);" class="cscra-toggle-link"><span class="toggle-separator"></span></a>
  </div>
</div>
<?php
