<?php
  $recent_post = cs_get_option('recent_post');
  $recent_post_column = cs_get_option('recent_post_column');
  $search_placeholder_text = cs_get_option('search_placeholder_text');
  $search_enter_text = cs_get_option('search_enter_text');
  $back_text = cs_get_option('back_text');
  $recent_post_title = cs_get_option('recent_post_title');

  $placeholder_text = $search_placeholder_text ? $search_placeholder_text : esc_html__('Start Searching','cascara');
  $enter_txt = $search_enter_text ? $search_enter_text : esc_html__('SEARCH AND PRESS ENTER','cascara');
  $recent_post_title = $recent_post_title ? $recent_post_title : esc_html__('Recent Posts','cascara');
  $back_txt = $back_text ? $back_text : esc_html__('Back','cascara');
  if($recent_post_column) {
    $column_cls = $recent_post_column;
  } else {
    $column_cls = ' col-md-4';
  }
?>
<div class="cscra-search-wrap">
  <div class="cscra-table-container">
    <div class="cscra-align-container container">
      <div class="search-closer"></div>
      <div class="search-container-wrap">
      <span class="overlay-back search-back"><i class="fa fa-long-arrow-left"></i><?php echo esc_html($back_txt); ?></span>
      <form method="get" id="searchform" action="<?php echo esc_url(home_url('/')); ?>" class="searchform" >
          <input type="text" name="s" id="s" placeholder="<?php echo esc_attr($placeholder_text); ?>" class="search-input" />
      </form>
        <span><?php echo esc_html($enter_txt); ?></span>
        <?php if(!$recent_post){ ?>
        <div class="search-recent-post-wrap">
        <?php if($recent_post_title){ ?>
          <div class="posts-title">
            <span><?php echo esc_html($recent_post_title); ?></span>
          </div>
          <?php }
          $blog_limit = cs_get_option('search_blog_limit');
          $blog_order = cs_get_option('search_blog_order');
          $blog_orderby = cs_get_option('search_blog_orderby');
          $exclude_cat_ids = cs_get_option('search_particular_cat');
          if($exclude_cat_ids) {
            foreach( $exclude_cat_ids as $exclude_cat_id ) {
              $arr=array ($exclude_cat_id);
            }
              $cat = implode(", ",$exclude_cat_ids);
          }
          // Excerpt
          if (cascara_framework_active()) {
            $excerpt_length = cs_get_option('theme_blog_excerpt');
            $excerpt_length = $excerpt_length ? $excerpt_length : '55';
            $short_content = $excerpt_length;
          } else {
            $short_content = '55';
          }

          // Pagination
          global $paged;
          if( get_query_var( 'paged' ) )
            $my_page = get_query_var( 'paged' );
          else {
            if( get_query_var( 'page' ) )
              $my_page = get_query_var( 'page' );
            else
              $my_page = 1;
            set_query_var( 'paged', $my_page );
            $paged = $my_page;
          }

          $metas_hide = (array) cs_get_option( 'theme_metas_hide' );

          $args = array(
            // other query params here,
            'paged' => $my_page,
            'post_type' => 'post',
            'posts_per_page' => (int)$blog_limit,
            'cat' => array($cat),
            'orderby' => $blog_orderby,
            'order' => $blog_order,
          );

          $cscra_post = new WP_Query( $args );
          if ($cscra_post->have_posts()) : ?>
          <div class="post-items-wrap items-spacer-three">
            <div class="cscra-masonry">
              <div class="row">
            <?php while ($cscra_post->have_posts()) : $cscra_post->the_post();
            $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
            $cascara_large_image = $cascara_large_image[0];

            if ($recent_post_column === 'col-md-3') {
              $col_class = ' col-md-3 col-sm-4';
              if(class_exists('Aq_Resize')) {
                $image_large = aq_resize( $cascara_large_image, '270', '170', true );
              } else {
                $image_large = $cascara_large_image;
              }
              $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;

            } elseif ($recent_post_column === 'col-md-4') {
              $col_class = ' col-md-4 col-sm-6';
              if(class_exists('Aq_Resize')) {
                $image_large = aq_resize( $cascara_large_image, '370', '270', true );
              } else {
                $image_large = $cascara_large_image;
              }
              $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;

            } else {
              $col_class = ' col-md-6 col-sm-12';
              if(class_exists('Aq_Resize')) {
                $image_large = aq_resize( $cascara_large_image, '565', '330', true );
              } else {
                $image_large = $cascara_large_image;
              }
              $large_img_actual = ( $image_large ) ? $image_large : $cascara_large_image;
            }
            ?>
              <div class="<?php echo esc_attr($column_cls); ?>">
                <div class="post-item cscra-item">
                <?php
                if ($cascara_large_image) { ?>
                  <!-- Standard -->
                  <div class="cscra-image">
                    <img src="<?php echo esc_url($large_img_actual); ?>" alt="<?php echo get_the_title(); ?>">
                    <?php
                    cascara_post_cat(); ?>
                  </div>
                <?php } ?>
                  <div class="post-info">
                  <?php if(!in_array( 'views', $metas_hide ) || !in_array( 'date', $metas_hide ) || !in_array( 'comments', $metas_hide )) { ?>
                    <div class="post-meta">
                      <ul>
                      <?php
                        if ( !in_array( 'views', $metas_hide ) ) {
                          if ( function_exists( 'cascara_post_views_two' ) ) {
                            cascara_post_views_two(get_the_ID());
                          }
                        }
                        if ( !in_array( 'date', $metas_hide ) ) { ?>
                        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                        <?php } if ( !in_array( 'comments', $metas_hide ) ) {
                        if (get_comments_number()!=0) { ?>
                        <li><?php
                        echo '<i class="fa fa-commenting-o"></i>';
                        comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                        <?php } }?>
                      </ul>
                    </div>
                    <?php } ?>
                    <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
                    <p><?php
                    cascara_excerpt($short_content);
                    echo cascara_wp_link_pages();
                    ?></p>
                  </div>
                </div>
              </div>
              <?php endwhile; ?>
             </div>
            </div>
          </div>
          <?php endif;  wp_reset_postdata(); ?>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
</div>
<?php
