<?php
/*
 * The main template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }

// Theme Options
$trend_title = cs_get_option('trending_title');
$blog_limit = cs_get_option('trend_blog_limit');
$blog_order = cs_get_option('trend_blog_order');
$blog_orderby = cs_get_option('trend_blog_orderby');

$trend_title = $trend_title ? $trend_title : esc_html__('Trending Now','cascara');
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  $exclude_cat_ids = cs_get_option('particular_cat');
	if($exclude_cat_ids) {
		foreach( $exclude_cat_ids as $exclude_cat_id ) {
			$arr=array ($exclude_cat_id);
		}
			$cat = implode(", ",$exclude_cat_ids);
	}

$args = array(
  // other query params here,
  'paged' => $my_page,
  'post_type' => 'post',
  'posts_per_page' => (int)$blog_limit,
  'cat' => array($cat),
  'orderby' => $blog_orderby,
  'order' => $blog_order,
);

$cascara_post = new WP_Query( $args );
?>
<div class="trending-top-bar">
  <div class="container">
			<?php
			if ($cascara_post->have_posts()) : ?>
        <span class="trend-txt"><i class="fa fa-bolt"></i><?php echo esc_html($trend_title); ?> </span><div class="marquee">
			<?php	while ($cascara_post->have_posts()) : $cascara_post->the_post();
      if(get_the_title()) { ?>
				<a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html__('#','cascara');?><?php echo get_the_title(); ?></a>
			<?php	}
			endwhile;
      wp_reset_postdata(); ?>
			</div>
			<?php
			endif; ?>
	</div><!-- Blog Div -->
</div>
<?php
