<?php
/**
 * Template part for displaying posts.
 */
// Metabox
if(is_category()){
  $query_category = get_queried_object();
  $term = get_category_by_slug( $query_category->slug );
  $term_data = get_term_meta( $term->term_id, '_custom_taxonomy_options', true );

  if($term_data){
	  $cascara_blog_style = $term_data['blog_listing_style'];
	  $cascara_listing_column = $term_data['blog_listing_column'];
	  $primary_layout_count = $term_data['primary_layout_count'];
	  $one_column_count = $term_data['one_column_count'];
	  $two_column_count = $term_data['two_column_count'];
	} else {
		$cascara_blog_style = cs_get_option('blog_listing_style');
		$cascara_listing_column = cs_get_option('blog_listing_column');
		$primary_layout_count = cs_get_option('primary_layout_count');
	  $one_column_count = cs_get_option('one_column_count');
		$two_column_count = cs_get_option('two_column_count');
	}
} else {
	$cascara_blog_style = cs_get_option('blog_listing_style');
	$cascara_listing_column = cs_get_option('blog_listing_column');
	$primary_layout_count = cs_get_option('primary_layout_count');
  $one_column_count = cs_get_option('one_column_count');
	$two_column_count = cs_get_option('two_column_count');
}

// Image Link
$image_link_wrap = cs_get_option('image_link_wrap');
// Lazy Load
$theme_lazyload = cs_get_option('theme_lazyload');

$post_counter = $primary_layout_count ? $primary_layout_count : '1';
$one_column_count = $one_column_count ? $one_column_count : '1';
$two_column_count = $two_column_count ? $two_column_count : '2';

if ($cascara_blog_style === 'style-two') { ?>
<div class="post-items-wrap">
<?php } elseif ($cascara_blog_style === 'style-three') { ?>
<div class="posts-custom-columns">
<?php } else {} ?>
<div class="row">
<?php $counter =  1;
while ( have_posts() ) : the_post();

if(is_sticky()){
  $sticky_cls = ' tag-sticky';
} else {
  $sticky_cls = '';
}

$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'post_type_metabox', true );

$cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$cascara_large_image = $cascara_large_image[0];

// Large Image
if(class_exists('Aq_Resize')) {
	$image_large = aq_resize( $cascara_large_image, '390', '270', true );
} else {$image_large = $cascara_large_image;}
$large_img = ( $image_large ) ? $image_large : $cascara_large_image;
// Large Two Image
if(class_exists('Aq_Resize')) {
	$image_large_two = aq_resize( $cascara_large_image, '559', '320', true );
} else {$image_large_two = $cascara_large_image;}
$large_img_two = ( $image_large_two ) ? $image_large_two : $cascara_large_image;
// Thumb Image
if(class_exists('Aq_Resize')) {
	$image_thumb = aq_resize( $cascara_large_image, '130', '120', true );
} else {$image_thumb = $cascara_large_image;}
$thumb_img = ( $image_thumb ) ? $image_thumb : $cascara_large_image;
// Thumb Two Image
if(class_exists('Aq_Resize')) {
	$image_thumb_two = aq_resize( $cascara_large_image, '225', '180', true );
} else {$image_thumb_two = $cascara_large_image;}
$thumb_two_img = ( $image_thumb_two ) ? $image_thumb_two : $cascara_large_image;
// Thumb Three Image
if(class_exists('Aq_Resize')) {
	$image_thumb_three = aq_resize( $cascara_large_image, '260', '180', true );
} else {$image_thumb_three = $cascara_large_image;}
$thumb_three_img = ( $image_thumb_three ) ? $image_thumb_three : $cascara_large_image;

$cascara_read_more_text = cs_get_option('read_more_text');
$cascara_read_text = $cascara_read_more_text ? $cascara_read_more_text : esc_html__( 'Read More', 'cascara' );
$cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );

if(is_category()){
  $query_category = get_queried_object();
  $term = get_category_by_slug( $query_category->slug );
  $term_data = get_term_meta( $term->term_id, '_custom_taxonomy_options', true );
  if($term_data){
  $cascara_blog_style = $term_data['blog_listing_style'];
  $cascara_listing_column = $term_data['blog_listing_column'];
	} else {
		$cascara_blog_style = cs_get_option('blog_listing_style');
		$cascara_listing_column = cs_get_option('blog_listing_column');
	}
} else {
	$cascara_blog_style = cs_get_option('blog_listing_style');
	$cascara_listing_column = cs_get_option('blog_listing_column');
}
if ($cascara_listing_column === 'col-two') {
	$col_class = ' col-md-6 col-sm-12 ';
} else {
	$col_class = ' col-md-12 ';
}
$metas_hide = (array) cs_get_option( 'theme_metas_hide' );
?>
	<?php if ($cascara_blog_style === 'style-two') {
		if ($counter == 1 || $counter == 2) { ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 cscra-item '.esc_attr($sticky_cls).''); ?>>
	      <div class="post-item">
	        <?php if ( get_post_format() === 'gallery' ) {
					if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
						<!-- Gallery -->
						<div class="flexslider main-flexslider">
				      <ul class="slides">
				      	<?php
							  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
							  foreach ( $cascara_ids as $id ) {
							    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
							    $cascara_attachment = $cascara_attachment[0];

							    if(class_exists('Aq_Resize')) {
										$gallery_thumb = aq_resize( $cascara_attachment, '390', '270', true );
									} else {$gallery_thumb = $cascara_attachment;}
									$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

							    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
							    echo '<li><div class="cscra-image">';
							    if($image_link_wrap) {
                    echo '<a href="'.esc_url(get_the_permalink()).'">';
                  }
                  if(!$theme_lazyload) {
                  	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
                  } else {
							    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES . '/390x270.jpg" alt="'. esc_attr($cascara_alt) .'">';
                  }
							    if($image_link_wrap) {
                    echo '</a>';
                  }
							    echo '</div></li>';
							  }
								?>
				      </ul>
				      <?php
				      cascara_post_cat(); ?>
				    </div>
			    <?php } else {
			    	if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
					  		<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php }
				  }
			   } elseif ( get_post_format() === 'video' ) {
					if($cascara_post_type){
						$video_post = $cascara_post_type['video_post'];
					} else {
						$video_post = '';
					}
				  if ($cascara_large_image) { ?>
				    <!-- Video -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      cascara_post_cat();
				      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
				      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
				      <?php } ?>
					  </div>
				  <?php } } else {
					if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
					    <?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      cascara_post_cat(); ?>
					  </div>
				  <?php } } ?>
	        <div class="post-info">
	          <?php cascara_post_metas_two(); ?>
	          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
	          <p><?php
						$blog_excerpt = cs_get_option('theme_blog_excerpt');
						if ($blog_excerpt) {
							$blog_excerpt = $blog_excerpt;
						} else {
							$blog_excerpt = '24';
						}
						cascara_excerpt($blog_excerpt);
						echo cascara_wp_link_pages();
						?></p>
	        </div>
	      </div>
	    </div>
    <?php } else { ?>
    	<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-4 col-sm-4 cscra-item items-style-two '.esc_attr($sticky_cls).''); ?>>
	      <div class="post-item">
	        <?php if ( get_post_format() === 'video' ) {
					if($cascara_post_type){
						$video_post = $cascara_post_type['video_post'];
					} else {
						$video_post = '';
					}
				  if ($cascara_large_image) { ?>
				    <!-- Video -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_three_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_three_img); ?>" src="<?php echo CASCARA_IMAGES ?>/260x180.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
				      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
				      <?php } ?>
					  </div>
				  <?php } } else {
					if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_three_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_three_img); ?>" src="<?php echo CASCARA_IMAGES ?>/260x180.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php } ?>
					  </div>
				  <?php } } ?>
	        <div class="post-info">
	          <?php cascara_post_metas_three(); ?>
	          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
	        </div>
	      </div>
	    </div>
	<?php } } elseif ($cascara_blog_style === 'style-three') {
		if ($counter == 1) { ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post custom-column-left '.esc_attr($sticky_cls).''); ?>>
	      <div class="post-items-wrap items-spacer-one">
	        <div class="post-item">
	          <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '559', '320', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'. esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES . '/559x320.jpg" alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      cascara_post_cat(); ?>
					    </div>
				    <?php } else {
				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
						      cascara_post_cat(); ?>
							  </div>
						  <?php }
					  }
				   } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img_two); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
									<img data-src="<?php echo esc_url($large_img_two); ?>" src="<?php echo CASCARA_IMAGES ?>/559x320.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img_two); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img_two); ?>" src="<?php echo CASCARA_IMAGES ?>/559x320.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
	          <div class="post-info">
	             <?php cascara_post_metas_two(); ?>
	            <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
	            <p><?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '24';
							}
							cascara_excerpt($blog_excerpt);
							echo cascara_wp_link_pages();
							?></p>
	          </div>
	        </div>
	      </div>
	    </div>
    <?php } elseif ($counter == 2 || $counter == 3) { ?>
    	<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post custom-column-right '.esc_attr($sticky_cls).''); ?>>
	      <div class="post-items-wrap items-spacer-none items-style-three">
		    	<div class="post-item">
			      <?php if ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($thumb_two_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($thumb_two_img); ?>" src="<?php echo CASCARA_IMAGES ?>/225x180.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php }
					      if ( !in_array( 'views', $metas_hide ) ) {
					      	if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
				      	} ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($thumb_two_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($thumb_two_img); ?>" src="<?php echo CASCARA_IMAGES ?>/225x180.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
						    if ( !in_array( 'views', $metas_hide ) ) {
					    		if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
					    	}
					    	?>
						  </div>
					  <?php } } ?>
			      <div class="post-info">
			        <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
			      </div>
			    </div>
		    </div>
	    </div>
    <?php } else { ?>
    	<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 cscra-item items-style-two '.esc_attr($sticky_cls).''); ?>>
      <div class="post-item">
        <?php if ( get_post_format() === 'video' ) {
				if($cascara_post_type){
					$video_post = $cascara_post_type['video_post'];
				} else {
					$video_post = '';
				}
			  if ($cascara_large_image) { ?>
			    <!-- Video -->
				  <div class="cscra-image">
					  <?php if($image_link_wrap) { ?>
	            <a href="<?php echo esc_url(get_the_permalink()); ?>">
	          <?php }
	          if(!$theme_lazyload) { ?>
				    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
				    <?php } else { ?>
				    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
				    <?php } if($image_link_wrap) { ?>
              </a>
            <?php }
				      cascara_post_cat();
			      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
			      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
			      <?php } ?>
				  </div>
			  <?php } } else {
				if ($cascara_large_image) { ?>
			    <!-- Standard -->
				  <div class="cscra-image">
					  <?php if($image_link_wrap) { ?>
	            <a href="<?php echo esc_url(get_the_permalink()); ?>">
	          <?php }
	          if(!$theme_lazyload) { ?>
				    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
				    <?php } else { ?>
				    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
				    <?php } if($image_link_wrap) { ?>
              </a>
            <?php }
				      cascara_post_cat(); ?>
				  </div>
			  <?php } } ?>
        <div class="post-info">
        	<?php cascara_post_metas_two(); ?>
          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
          <p><?php
					$blog_excerpt = cs_get_option('theme_blog_excerpt');
					if ($blog_excerpt) {
						$blog_excerpt = $blog_excerpt;
					} else {
						$blog_excerpt = '20';
					}
					cascara_excerpt(20);
					echo cascara_wp_link_pages();
					?></p>
        </div>
      </div>
    </div>
	<?php } } elseif ($cascara_blog_style === 'style-four') {

		if ($counter <= $post_counter) { ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 '.esc_attr($sticky_cls).''); ?>>
      <div class="post-items-wrap blog-items-style-four">
        <div class="post-item">
          <?php if ( get_post_format() === 'video' ) {
					if($cascara_post_type){
						$video_post = $cascara_post_type['video_post'];
					} else {
						$video_post = '';
					}
				  if ($cascara_large_image) { ?>
				    <!-- Video -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
					    <?php } if($image_link_wrap) { ?>
                <a>
              <?php }
				      cascara_post_cat();
				      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
				      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
				      <?php } ?>
					  </div>
				  <?php } } else {
					if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      cascara_post_cat(); ?>
					  </div>
				  <?php } } ?>
          <div class="post-info">
            <?php cascara_post_metas_two(); ?>
            <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
            <p><?php
						$blog_excerpt = cs_get_option('theme_blog_excerpt');
						if ($blog_excerpt) {
							$blog_excerpt = $blog_excerpt;
						} else {
							$blog_excerpt = '20';
						}
						cascara_excerpt(20);
						echo cascara_wp_link_pages();
						?></p>
          </div>
        </div>
      </div>
    </div>

	<?php } else { ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 '.esc_attr($sticky_cls).''); ?>>
      <div class="post-items-wrap items-style-four">
        <div class="post-item">
          <?php if ( get_post_format() === 'video' ) {
					if($cascara_post_type){
						$video_post = $cascara_post_type['video_post'];
					} else {
						$video_post = '';
					}
				  if ($cascara_large_image) { ?>
				    <!-- Video -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_img); ?>" src="<?php echo CASCARA_IMAGES ?>/130x120.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
				      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
				      <?php }
				      if ( !in_array( 'views', $metas_hide ) ) {
			      		if ( function_exists( 'cascara_post_views' ) ) {
				          cascara_post_views(get_the_ID());
				        }
			      	} ?>
					  </div>
				  <?php } } else {
					if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_img); ?>" src="<?php echo CASCARA_IMAGES ?>/130x120.jpg" alt="<?php echo get_the_title(); ?>">
					    <?php } if($image_link_wrap) { ?>
                </a>
              <?php }
					    if ( !in_array( 'views', $metas_hide ) ) {
				    		if ( function_exists( 'cascara_post_views' ) ) {
				          cascara_post_views(get_the_ID());
				        }
				    	} ?>
					  </div>
				  <?php } } ?>
          <div class="post-info cscra-item">
            <div class="cscra-table-wrap">
              <div class="cscra-align-wrap">
                <div class="post-meta">
						      <ul>
						        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
						        <?php if (get_comments_number()!=0) { ?>
							        <li><?php echo '<i class="fa fa-commenting-o"></i>';
        								comments_popup_link( '0', '1', '%', '', '' );  ?></li>
						        <?php } ?>
						      </ul>
						    </div>
                <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
	<?php } } elseif ($cascara_blog_style === 'style-five') {
		// Thumb Image
		if(class_exists('Aq_Resize')) {
			$image_thumb = aq_resize( $cascara_large_image, '130', '120', true );
		} else {$image_thumb = $cascara_large_image;}
		$thumb_img = ( $image_thumb ) ? $image_thumb : $cascara_large_image;

	if ($counter == 1) { ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-12 '.esc_attr($sticky_cls).''); ?>>
			<div class="post-item cscra-item">
			<?php if ( get_post_format() === 'gallery' ) {
				if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
					<!-- Gallery -->
					<div class="flexslider main-flexslider">
			      <ul class="slides">
			      	<?php
						  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
						  foreach ( $cascara_ids as $id ) {
						    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
						    $cascara_attachment = $cascara_attachment[0];
						    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
						    echo '<li><div class="cscra-image">';
						    if($image_link_wrap) {
                  echo '<a href="'.esc_url(get_the_permalink()).'">';
                }
                if(!$theme_lazyload) {
                	echo '<img src="'. esc_url($cascara_attachment) .'" alt="'. esc_attr($cascara_alt) .'">';
                } else {
						    	echo '<img data-src="'. esc_url($cascara_attachment) .'" src="'.CASCARA_IMAGES.'/815x415.jpg" alt="'. esc_attr($cascara_alt) .'">';
                }
						    if($image_link_wrap) {
                  echo '</a>';
                }
						    echo '</div></li>';
						  }
							?>
			      </ul>
			      <?php
			      cascara_post_cat(); ?>
			    </div>
		    <?php } else {
		    	if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
				    	<?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      cascara_post_cat(); ?>
					  </div>
				  <?php }
			  }
		   } elseif ( get_post_format() === 'video' ) {
			if($cascara_post_type){
				$video_post = $cascara_post_type['video_post'];
			} else {
				$video_post = '';
			}
		  if ($cascara_large_image) { ?>
		    <!-- Video -->
			  <div class="cscra-image">
  				<?php if($image_link_wrap) { ?>
            <a href="<?php echo esc_url(get_the_permalink()); ?>">
          <?php }
          if(!$theme_lazyload) { ?>
			    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
			    <?php } else { ?>
			    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
			    <?php } if($image_link_wrap) { ?>
            </a>
          <?php }
		      cascara_post_cat();
		      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
		      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
		      <?php } ?>
			  </div>
		  <?php } } else {
			if ($cascara_large_image) { ?>
		    <!-- Standard -->
			  <div class="cscra-image">
  				<?php if($image_link_wrap) { ?>
            <a href="<?php echo esc_url(get_the_permalink()); ?>">
          <?php }
          if(!$theme_lazyload) { ?>
			    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
			    <?php } else { ?>
			    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
			    <?php } if($image_link_wrap) { ?>
            </a>
          <?php }
		      cascara_post_cat(); ?>
			  </div>
		  <?php } } ?>
			  <div class="post-info">
			    <?php cascara_post_metas_two(); ?>
			    <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
			    <p><?php
					$blog_excerpt = cs_get_option('theme_blog_excerpt');
					if ($blog_excerpt) {
						$blog_excerpt = $blog_excerpt;
					} else {
						$blog_excerpt = '55';
					}
					cascara_excerpt($blog_excerpt);
					echo cascara_wp_link_pages();
					?></p>
			  </div>
			</div>
		</div>
	<?php } else { ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post post-items-wrap items-spacer-two items-style-four col-md-6 col-sm-6 '.esc_attr($sticky_cls).''); ?>>
        <div class="post-item">
          <?php if ( get_post_format() === 'video' ) {
					if($cascara_post_type){
						$video_post = $cascara_post_type['video_post'];
					} else {
						$video_post = '';
					}
				  if ($cascara_large_image) { ?>
				    <!-- Video -->
					  <div class="cscra-image">
				  		<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_img); ?>" src="<?php echo CASCARA_IMAGES ?>/130x120.jpg" alt="<?php echo get_the_title(); ?>">
					    <?php } if($image_link_wrap) { ?>
                </a>
              <?php }
				      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
				      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
				      <?php }
				      if ( !in_array( 'views', $metas_hide ) ) {
			      		if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
			      	} ?>
					  </div>
				  <?php } } else {
					if ($cascara_large_image) { ?>
				    <!-- Standard -->
					  <div class="cscra-image">
					  	<?php if($image_link_wrap) { ?>
                <a href="<?php echo esc_url(get_the_permalink()); ?>">
              <?php }
              if(!$theme_lazyload) { ?>
					    	<img src="<?php echo esc_url($thumb_img); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php } else { ?>
					    	<img data-src="<?php echo esc_url($thumb_img); ?>" src="<?php echo CASCARA_IMAGES ?>/130x120.jpg" alt="<?php echo get_the_title(); ?>">
					    <?php } if($image_link_wrap) { ?>
                </a>
              <?php }
					    if ( !in_array( 'views', $metas_hide ) ) {
				    			if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
				    	} ?>
					  </div>
				  <?php } } ?>
          <div class="post-info cscra-item">
            <div class="cscra-table-wrap">
              <div class="cscra-align-wrap">
                <div class="post-meta">
						      <ul>
						        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
						        <?php if (get_comments_number()!=0) { ?>
							        <li><?php echo '<i class="fa fa-commenting-o"></i>';
        								comments_popup_link( '0', '1', '%', '', '' );  ?></li>
						        <?php } ?>
						      </ul>
						    </div>
                <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
              </div>
            </div>
          </div>
        </div>
      </div>
	<?php } } elseif ($cascara_blog_style === 'style-six') {
		if ($counter == 1) {
			if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '815', '475', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image; ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-12 '.esc_attr($sticky_cls).''); ?>>
				<div class="post-items-wrap items-spacer-three">
		      <div class="post-item">
		        <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '815', '475', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'.esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES.'/815x475.jpg" alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      	cascara_post_cat();
					      ?>
					    </div>
				    <?php } else {

				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
							     cascara_post_cat();
						      ?>
							  </div>
						  <?php }
					  }
				  } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
						    cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
		        <div class="post-info">
		          <?php cascara_post_metas_two(); ?>
		          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		          <p><?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '24';
							}
							cascara_excerpt($blog_excerpt);
							echo cascara_wp_link_pages();
							?></p>
		        </div>
		      </div>
		    </div>
	    </div>

    <?php } elseif($counter === 2 || $counter === 3 ){
    	if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '390', '270', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image; ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 '.esc_attr($sticky_cls).''); ?>>
	        <div class="post-item">
		        <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '390', '270', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'.esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES.'/390x270.jpg"  alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      cascara_post_cat(); ?>
					    </div>
				    <?php } else {
				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
						      cascara_post_cat(); ?>
							  </div>
						  <?php }
					  }
				  } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
					  		<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
		        <div class="post-info">
		          <?php cascara_post_metas_two(); ?>
		          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		          <p><?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '24';
							}
							cascara_excerpt($blog_excerpt);
							echo cascara_wp_link_pages();
							?></p>
		        </div>
		      </div>
	      </div>
    <?php } else {
    	if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '250', '170', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image;?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-12 '.esc_attr($sticky_cls).''); ?>>
	    	<div class="post-items-wrap items-spacer-six items-style-four">
	        <div class="post-item">
	          <?php if ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/250x170.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php }
					      if ( !in_array( 'views', $metas_hide ) ) {
				      		if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
				      	} ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						    <?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/250x170.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
						    if ( !in_array( 'views', $metas_hide ) ) {
					    		if ( function_exists( 'cascara_post_views' ) ) {
					          cascara_post_views(get_the_ID());
					        }
					    	} ?>
						  </div>
					  <?php } } ?>
	          <div class="post-info cscra-item">
	            <div class="cscra-table-wrap">
	              <div class="cscra-align-wrap">
	                <div class="post-meta">
	                  <ul>
							        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
							        <?php if (get_comments_number()!=0) { ?>
								        <li><?php echo '<i class="fa fa-commenting-o"></i>';
        										comments_popup_link( '0', '1', '%', '', '' );  ?></li>
							        <?php } ?>
							      </ul>
	                </div>
	                <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
	                <p><?php
										$blog_excerpt = cs_get_option('theme_blog_excerpt');
										if ($blog_excerpt) {
											$blog_excerpt = $blog_excerpt;
										} else {
											$blog_excerpt = '24';
										}
										cascara_excerpt($blog_excerpt);
										echo cascara_wp_link_pages();
										?></p>
	              </div>
	            </div>
	          </div>
	        </div>
	      </div>
      </div>
	<?php } } elseif ($cascara_blog_style === 'style-seven') {
		if ($counter <= $one_column_count) {
			if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '815', '475', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image; ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-12 '.esc_attr($sticky_cls).''); ?>>
				<div class="post-items-wrap items-spacer-three">
		      <div class="post-item">
		        <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '815', '475', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'.esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES.'/815x475.jpg" alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      cascara_post_cat(); ?>
					    </div>
				    <?php } else {

				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
						      cascara_post_cat(); ?>
							  </div>
						  <?php }
					  }
				  } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/815x475.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
		        <div class="post-info">
		          <?php cascara_post_metas_two(); ?>
		          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		          <p><?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '24';
							}
							cascara_excerpt($blog_excerpt);
							echo cascara_wp_link_pages();
							?></p>
		        </div>
		      </div>
		    </div>
	    </div>

    <?php } elseif($counter <= ($one_column_count+$two_column_count) ) {
    	if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '390', '270', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image; ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-6 col-sm-6 '.esc_attr($sticky_cls).''); ?>>
	        <div class="post-item cscra-item">
		        <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '390', '270', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'.esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES.'/390x270.jpg" alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      cascara_post_cat(); ?>
					    </div>
				    <?php } else {
				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
						      cascara_post_cat(); ?>
							  </div>
						  <?php }
					  }
				  } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/390x270.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
		        <div class="post-info">
		          <?php cascara_post_metas_two(); ?>
		          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		          <p><?php
							$blog_excerpt = cs_get_option('theme_blog_excerpt');
							if ($blog_excerpt) {
								$blog_excerpt = $blog_excerpt;
							} else {
								$blog_excerpt = '24';
							}
							cascara_excerpt($blog_excerpt);
							echo cascara_wp_link_pages();
							?></p>
		        </div>
		      </div>
	      </div>
    <?php } else {
    	if(class_exists('Aq_Resize')) {
				$image_large = aq_resize( $cascara_large_image, '250', '170', true );
			} else {$image_large = $cascara_large_image;}
			$large_img = ( $image_large ) ? $image_large : $cascara_large_image;?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post col-md-4 col-sm-4 '.esc_attr($sticky_cls).''); ?>>
	        <div class="post-item cscra-item">
		        <?php if ( get_post_format() === 'gallery' ) {
						if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
							<!-- Gallery -->
							<div class="flexslider main-flexslider">
					      <ul class="slides">
					      	<?php
								  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
								  foreach ( $cascara_ids as $id ) {
								    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
								    $cascara_attachment = $cascara_attachment[0];

								    if(class_exists('Aq_Resize')) {
											$gallery_thumb = aq_resize( $cascara_attachment, '390', '270', true );
										} else {$gallery_thumb = $cascara_attachment;}
										$gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

								    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
								    echo '<li><div class="cscra-image">';
								    if($image_link_wrap) {
		                  echo '<a href="'.esc_url(get_the_permalink()).'">';
		                }
		                if(!$theme_lazyload) {
		                	echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
		                } else {
								    	echo '<img data-src="'. esc_url($gallery_img) .'" src="'.CASCARA_IMAGES.'/390x270.jpg" alt="'. esc_attr($cascara_alt) .'">';
		                }
								    if($image_link_wrap) {
		                  echo '</a>';
		                }
								    echo '</div></li>';
								  }
									?>
					      </ul>
					      <?php
					      cascara_post_cat(); ?>
					    </div>
				    <?php } else {
				    	if ($cascara_large_image) { ?>
						    <!-- Standard -->
							  <div class="cscra-image">
								  <?php if($image_link_wrap) { ?>
	                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
	                <?php }
	                if(!$theme_lazyload) { ?>
							    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
							    <?php } else { ?>
							    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/250x170.jpg" alt="<?php echo get_the_title(); ?>">
							    <?php } if($image_link_wrap) { ?>
	                  </a>
	                <?php }
						      cascara_post_cat(); ?>
							  </div>
						  <?php }
					  }
				  } elseif ( get_post_format() === 'video' ) {
						if($cascara_post_type){
							$video_post = $cascara_post_type['video_post'];
						} else {
							$video_post = '';
						}
					  if ($cascara_large_image) { ?>
					    <!-- Video -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/250x170.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat();
					      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
					      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
					      <?php } ?>
						  </div>
					  <?php } } else {
						if ($cascara_large_image) { ?>
					    <!-- Standard -->
						  <div class="cscra-image">
						  	<?php if($image_link_wrap) { ?>
                  <a href="<?php echo esc_url(get_the_permalink()); ?>">
                <?php }
                if(!$theme_lazyload) { ?>
						    	<img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
						    <?php } else { ?>
						    	<img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo CASCARA_IMAGES ?>/250x170.jpg" alt="<?php echo get_the_title(); ?>">
						    <?php } if($image_link_wrap) { ?>
                  </a>
                <?php }
					      cascara_post_cat(); ?>
						  </div>
					  <?php } } ?>
		        <div class="post-info">
		          <?php cascara_post_metas_three(); ?>
		          <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		        </div>
		      </div>
	      </div>
	<?php } } else { ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post '.esc_attr($col_class.$sticky_cls).''); ?>>
		<div class="post-item cscra-item default-listing">
		<?php if ( get_post_format() === 'gallery' ) {
			if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) { ?>
				<!-- Gallery -->
				<div class="flexslider main-flexslider">
		      <ul class="slides">
		      	<?php
					  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
					  foreach ( $cascara_ids as $id ) {
					    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
					    $cascara_attachment = $cascara_attachment[0];
					    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
					    echo '<li><div class="cscra-image">';
					    if($image_link_wrap) {
                echo '<a href="'.esc_url(get_the_permalink()).'">';
              }
              if(!$theme_lazyload) {
              	echo '<img src="'. esc_url($cascara_attachment) .'" alt="'. esc_attr($cascara_alt) .'">';
              } else {
					    	echo '<img data-src="'. esc_url($cascara_attachment) .'" src="'.CASCARA_IMAGES.'/815x415.jpg" alt="'. esc_attr($cascara_alt) .'">';
              }
					    if($image_link_wrap) {
                echo '</a>';
              }
					    echo '</div></li>';
					  }
						?>
		      </ul>
		      <?php
		      cascara_post_cat(); ?>
		    </div>
	    <?php } else {
	    	if ($cascara_large_image) { ?>
			    <!-- Standard -->
				  <div class="cscra-image">
					  <?php if($image_link_wrap) { ?>
              <a href="<?php echo esc_url(get_the_permalink()); ?>">
            <?php }
            if(!$theme_lazyload) { ?>
				    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
				    <?php } else { ?>
				    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
				    <?php } if($image_link_wrap) { ?>
              </a>
            <?php }
			      cascara_post_cat(); ?>
				  </div>
			  <?php }
		  }
	  } elseif ( get_post_format() === 'video' ) {
		if($cascara_post_type){
			$video_post = $cascara_post_type['video_post'];
		} else {
			$video_post = '';
		}
	  if ($cascara_large_image) { ?>
	    <!-- Video -->
		  <div class="cscra-image">
			  <?php if($image_link_wrap) { ?>
	        <a href="<?php echo esc_url(get_the_permalink()); ?>">
	      <?php }
	      if(!$theme_lazyload) { ?>
		    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
		    <?php } else { ?>
		    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
		    <?php } if($image_link_wrap) { ?>
          </a>
        <?php }
	      cascara_post_cat();
	      if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
	      <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
	      <?php } ?>
		  </div>
	  <?php } } else {
		if ($cascara_large_image) { ?>
	    <!-- Standard -->
		  <div class="cscra-image">
			  <?php if($image_link_wrap) { ?>
	        <a href="<?php echo esc_url(get_the_permalink()); ?>">
	      <?php }
	      if(!$theme_lazyload) { ?>
		    	<img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
		    <?php } else { ?>
		    	<img data-src="<?php echo esc_url($cascara_large_image); ?>" src="<?php echo CASCARA_IMAGES ?>/815x415.jpg" alt="<?php echo get_the_title(); ?>">
		    <?php } if($image_link_wrap) { ?>
          </a>
        <?php }
	      cascara_post_cat(); ?>
		  </div>
	  <?php } } ?>
		  <div class="post-info">
		    <?php cascara_post_metas_two(); ?>
		    <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
		    <p><?php
				$blog_excerpt = cs_get_option('theme_blog_excerpt');
				if ($blog_excerpt) {
					$blog_excerpt = $blog_excerpt;
				} else {
					$blog_excerpt = '55';
				}
				cascara_excerpt($blog_excerpt);
				echo cascara_wp_link_pages();
				?></p>
				<div class="cscra-read-more pull-left"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html($cascara_read_text); ?></a></div>
		  </div>
		</div>
	</div>
	<?php } ?>

<?php $counter++;
endwhile;
if ($cascara_blog_style === 'style-two' || $cascara_blog_style === 'style-three') { ?>
</div>
<?php } ?>
</div>
<?php
