<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }
// Padding - Metabox
if ($cascara_content_padding && $cascara_content_padding !== 'padding-none') {
	$cascara_content_top_spacings = $cascara_meta['content_top_spacings'];
	$cascara_content_bottom_spacings = $cascara_meta['content_bottom_spacings'];
	if ($cascara_content_padding === 'padding-custom') {
		$cascara_content_top_spacings = $cascara_content_top_spacings ? 'padding-top:'. cascara_check_px($cascara_content_top_spacings) .';' : '';
		$cascara_content_bottom_spacings = $cascara_content_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_content_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_content_top_spacings . $cascara_content_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_custom_padding = '';
}

// Page Layout Options
$cascara_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
if ($cascara_page_layout) {
	$cascara_page_layout = $cascara_page_layout['page_layout'];
	if($cascara_page_layout === 'left-sidebar' || $cascara_page_layout === 'right-sidebar') {
		$cascara_column_class = 'cscra-primary';
	} else {
		$cascara_column_class = 'col-md-12';
	}
	// Page Layout Class
	if ($cascara_page_layout === 'left-sidebar') {
		$cascara_sidebar_class = 'left-sidebar';
	} elseif ($cascara_page_layout === 'right-sidebar') {
		$cascara_sidebar_class = 'right-sidebar';
	} else {
		$cascara_sidebar_class = 'full-width';
	}
} else {
	$cascara_column_class = 'col-md-12';
	$cascara_sidebar_class = 'full-width';
}

get_header(); ?>
<div class="cscra-mid-wrap <?php echo esc_attr($cascara_content_padding .' '. $cascara_sidebar_class); ?>" style="<?php echo esc_attr($cascara_custom_padding); ?>">

  <div class="container">
    <div class="row">


			<?php
			// Left Sidebar
			if($cascara_page_layout === 'left-sidebar') {
	   		get_sidebar();
			}
			// echo '<pre>'. json_encode( get_option('_cs_options') ). '<pre>'; // CascaraWP - JSON File, json, Json.
			?>

			<div class="<?php echo esc_attr($cascara_column_class); ?>">
				<?php
				while ( have_posts() ) : the_post();
					the_content();
					echo cascara_wp_link_pages();
					// If comments are open or we have at least one comment, load up the comment template.
					if (comments_open() || get_comments_number()) :
						comments_template();
					endif;
				endwhile; // End of the loop.
					wp_reset_postdata();
				?>
			</div><!-- Content Area -->

			<?php
			// Right Sidebar
			if($cascara_page_layout === 'right-sidebar') {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>

<?php
get_footer();
